package devmgr.api.model;

import devmgr.api.symbol.FibreInterface;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * A Fibre Channel Host Interface Port on one of the controllers
 */
@XmlRootElement
public class FibreInterfacePort extends FibreInterface implements HostInterfacePort{
    private String controllerId;
    @Override
    public String getInterfaceId() {
        return getInterfaceRef();
    }


    @Override
    public String getAddressId() {
        return this.getPortName();
    }

    @XmlElement
    public String getNiceAddressId() {
        String formatted;
        String raw = getAddressId();
        if (raw == null){
            return "";
        }
        if (raw.contains(":")) { // Formatted with colons to look nice.
            formatted = raw;
        } else {
            StringBuffer strBuf = new StringBuffer();

            for (int i = 0; i < raw.length(); i++) {
                if ((i != 0) && (i % 2 == 0)) {
                    strBuf.append(":");
                }
                strBuf.append(raw.charAt(i));
            }

            formatted = strBuf.toString();
        }
        return formatted;
    }


    @Override
    public String getControllerId() {
        return controllerId;
    }

    public void setControllerId(String controllerId) {
        this.controllerId = controllerId;
    }
}

