package devmgr.api.model;

import devmgr.api.symbol.IOInterfaceType;

import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by masonb on 1/7/14.
 */
@XmlRootElement
public class HostSidePort implements Serializable{
    private IOInterfaceType type;
    private String address;
    private String label;

    public HostSidePort() {
    }

    public HostSidePort(IOInterfaceType type, String address, String label) {
        this.type = type;
        this.address = address;
        this.label = label;
    }


    public IOInterfaceType getType() {
        return type;
    }

    public void setType(IOInterfaceType type) {
        this.type = type;
    }

    /**
     * The address of the port.  IQN, FC WWWN, sas or IB address as a string
     * @return
     */
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * The user defined label for this port
     * @return
     */
    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
