package devmgr.api.model;

import devmgr.api.symbol.SasInterface;
import devmgr.api.symbol.SasPort;
import devmgr.api.symbol.SasPortTypeData;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * Created with IntelliJ IDEA.
 * User: masonb
 * Date: 12/11/13
 * Time: 5:10 PM
 * To change this template use File | Settings | File Templates.
 */
@XmlRootElement
public class SasInterfacePort extends SasInterface implements HostInterfacePort {

    @Override
    public String getInterfaceId() {
        return getInterfaceRef();
    }

    @Override
    public String getAddressId() {
        String ret = null;
        final SasPort port = getIocPort();
        if(port != null){
            final SasPortTypeData data = port.getPortTypeData();
            if(data != null){
                ret = data.getPortIdentifier();
            }
        }
        return ret;
    }

    @Override
    public String getNiceAddressId() {
        return getAddressId();
    }
    private String controllerId;
    @Override
    public String getControllerId() {
        return controllerId;
    }

    @Override
    public void setControllerId(String id) {
        this.controllerId=id;
    }

    /**
     * Get the base address of the HBA card.  This address has the phy portion of the address removed, giving the base
     * address used by the card.
     *
     * @return
     *   A string with the phy portion of the port address stripped off.
     *   Could return null if there was no address, probably a coding issue.
     */
    public String getBasePortAddress() {
        return (getAddressId() != null) ? getAddressId().substring(0, getAddressId().length() - 1) : null;
    }

    /**
     * Given a string that is a SAS address, this will return its base address.
     * This address has the phy portion of the address removed, giving the base
     * address used by the card.
     *
     * @return
     *   A string with the phy portion of the port address stripped off.
     *   Could return null if null is passed in, which is probably a coding error.
     */
    static public String getBasePortAddress(String fullAddress) {
        return (fullAddress != null) ? fullAddress.substring(0, fullAddress.length() - 1) : null;
    }

}
