package devmgr.api.model;

import devmgr.api.symbol.ProtectionType;
import devmgr.api.symbol.SecurityType;
import devmgr.api.symbol.VolumeCache;
import devmgr.api.symbol.VolumeMediaScanParams;

import java.util.List;

/**
 * Created by lorenp on 12/8/2014.
 */
public interface UserVolume extends MappableObject {
    public boolean isDiskPool();
    public ProtectionType getProtectionType();
    public String getVolumeGroupRef();
    public int getSegmentSize();
    public boolean isFlashCached();
    public int getBlkSize();
    public List<VolumeMetadataItem> getMetadata();
    public boolean isThinProvisioned();
    public boolean isDataAssurance();

    public VolumeMediaScanParams getMediaScan();

    @io.swagger.annotations.ApiModelProperty(value ="The volume-specific caching parameters currently in effect for the volume.", required = true)
    public VolumeCache getCacheSettings();
}
