package devmgr.api.model;

import io.swagger.annotations.ApiModelProperty;
import devmgr.api.symbol.VolumeCopy;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * An extension of a VolumeCopy
 * @see devmgr.api.symbol.VolumeCopy
 */
@XmlRootElement
public class VolumeCopyPair extends VolumeCopy {
    /**
     * Id of the VolumeCopy.
     * @return
     */
    public String getId(){
        return getVolcopyRef();
    }

    public boolean isOnlineCopy(){
        return isCloneCopy();
    }

    @ApiModelProperty("The source's base volume identifier (the same as the sourceVolume in the case of an offline copy). ")
    private String baseSourceVolumeId;

    public String getBaseSourceVolumeId() {
        return baseSourceVolumeId;
    }

    public void setBaseSourceVolumeId(String baseSourceVolumeId) {
        this.baseSourceVolumeId = baseSourceVolumeId;
    }

    //TODO add volume copy capacity, max(src, tgt)
}
