/*******************************************************************************
 * Copyright 2009 LSI Corporation.  All rights reserved.                       *
 *                                                                             *
 * This file is confidential and a trade secret of LSI Corporation.            *
 * The receipt of or possession of this file does not convey any rights to     *
 * reproduce or disclose its contents or to manufacture, use, or sell anything *
 * it may describe, in whole, or in part, without the specific written consent *
 * of LSI Corporation.                                                         *
 ******************************************************************************/


package devmgr.api.model;


public enum VolumeUse
{

	/** @API_Spec_Description A standard RAID volume. */
    standardVolume(true),

	/** @API_Spec_Description A repository volume used to support a feature such as snapshots or mirroring. */
    repositoryVolume(false),

	/** @API_Spec_Description The volume is the secondary volume of a mirroring configuration. */
    mirrorTargetVolume(true),

	/** @API_Spec_Description The volume is the primary volume of a mirroring configuration.*/
    mirrorSourceVolume(true),

	/** @API_Spec_Description The volume is a concatenated volume.*/
    concatVolume(false),            // New volume types with fremont, we don't want to display these

	/** @API_Spec_Description A repository volume that is not currently in use to support a copy services feature. */
    freeRepositoryVolume(false),    // A fremont repository volume that isn't a concat volume.

	/** @API_Spec_Description The volume is the primary volume of an asynchronous mirroring configuration.*/
    asyncMirrorSourceVolume(true),

	/** @API_Spec_Description The volume is the secondary volume of an asynchronous mirroring configuration.*/
    asyncMirrorTargetVolume(true);

    private VolumeUse(boolean mappable)
    {
        this.mappable = mappable;
    }

    public boolean isMappable()
    {
        return mappable;
    }

    private boolean mappable;
}
