package devmgr.api.rpc;

import devmgr.api.runtime.Decoder;
import devmgr.api.symbolutils.SYMbolAuthGenerator;

import java.net.InetAddress;

/**
 * Represents an abstract connection to the storage system
 * Created by masonb on 12/24/13.
 */
public interface AbstractRPCClient extends AutoCloseable{
    void setTypeOverrides(Decoder.TypeOverrideTable typeOverrides);

    <T> T call(String proc, Object args) throws Exception;

    <T> T call(int proc, Object args) throws Exception;

    Object call(String proc, Object args, NIOClientCallback callback);

    int call(int proc, Object args, NIOClientCallback callback);


}
