package devmgr.api.runtime;

import java.util.HashMap;

public class StructSpec
extends TypeSpec
{
    public boolean isVarLen;
    public boolean isCollapsed;
    public HashMap<String, TypeBinding> nameMap; 
    public TypeBinding[] fields;
    public Class<?> cls;
  
    public
    StructSpec(boolean varLen, TypeBinding[] flds, Class<?> objClass)
    {
        this(varLen, flds, objClass, false);
    }
    
    public
    StructSpec(boolean varLen, TypeBinding[] flds, 
               Class<?> objClass, boolean collapsed)
    {
        super(TypeSpec.TypeCode.STRUCT);
        
        isVarLen = varLen;
        isCollapsed = collapsed;
        fields = flds;
        cls = objClass;
        
        // Collapsed structures must have only one field.
        if ( isCollapsed && (flds.length != 1) )
            throw new RuntimeException("Illegal collapsed StructSpec");

        // Build the map that we need for decode operations.
        nameMap = new HashMap<String, TypeBinding>(fields.length);
        for (int i = 0; i < fields.length; i++)
            nameMap.put(fields[i].itemName, fields[i]);
    }
}