package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the variable length data that stores the user-specified key-value pairs and the mappings between volumes and their key-value tags. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1061)
public class ApplicationAwarenessBundle implements Serializable {
	public ApplicationAwarenessBundle() {
	}

	/** This is an array of elements that report the a key-value tag and its reference. */
	@io.swagger.annotations.ApiModelProperty(value ="This is an array of elements that report the a key-value tag and its reference." , required = true)
	@XmlElement(required = true)
	private KeyValueTag[] keyValueTag;

	/** @return This is an array of elements that report the a key-value tag and its reference. */
	public KeyValueTag[] getKeyValueTag() {
		return this.keyValueTag;
	}
	/** @param x This is an array of elements that report the a key-value tag and its reference. */
	public void setKeyValueTag(KeyValueTag[] x) {
		this.keyValueTag = x;
	}

	/** This element is an array of the mappings (using references) between a key-value tag and a volume. */
	@io.swagger.annotations.ApiModelProperty(value ="This element is an array of the mappings (using references) between a key-value tag and a volume." , required = true)
	@XmlElement(required = true)
	private KeyValueTagMapping[] keyValueTagMapping;

	/** @return This element is an array of the mappings (using references) between a key-value tag and a volume. */
	public KeyValueTagMapping[] getKeyValueTagMapping() {
		return this.keyValueTagMapping;
	}
	/** @param x This element is an array of the mappings (using references) between a key-value tag and a volume. */
	public void setKeyValueTagMapping(KeyValueTagMapping[] x) {
		this.keyValueTagMapping = x;
	}

	/** This is an array of elements that reports Workload references. */
	@io.swagger.annotations.ApiModelProperty(value ="This is an array of elements that reports Workload references." , required = true)
	@XmlElement(required = true)
	private Workload[] workload;

	/** @return This is an array of elements that reports Workload references. */
	public Workload[] getWorkload() {
		return this.workload;
	}
	/** @param x This is an array of elements that reports Workload references. */
	public void setWorkload(Workload[] x) {
		this.workload = x;
	}

	/** This is an array of elements that report the mapping between workloads and volumes. */
	@io.swagger.annotations.ApiModelProperty(value ="This is an array of elements that report the mapping between workloads and volumes." , required = true)
	@XmlElement(required = true)
	private WorkloadVolumeMapping[] workloadVolumeMapping;

	/** @return This is an array of elements that report the mapping between workloads and volumes. */
	public WorkloadVolumeMapping[] getWorkloadVolumeMapping() {
		return this.workloadVolumeMapping;
	}
	/** @param x This is an array of elements that report the mapping between workloads and volumes. */
	public void setWorkloadVolumeMapping(WorkloadVolumeMapping[] x) {
		this.workloadVolumeMapping = x;
	}
}
