package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to add a member to an existing primary Asynchronous Mirror Group (AMG). This is the first step in the process of adding a member and is directed at the primary array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1164)
public class AsyncMirrorGroupAddPrimaryMemberDescriptor implements Serializable {
	public AsyncMirrorGroupAddPrimaryMemberDescriptor() {
	}

	/** The AMG to which the member will be added. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG to which the member will be added." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The AMG to which the member will be added. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The AMG to which the member will be added. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** The member local volume to add to the AMG. */
	@io.swagger.annotations.ApiModelProperty(value ="The member local volume to add to the AMG." , required = true)
	@XmlElement(required = true)
	private String localVolume;

	/** @return The member local volume to add to the AMG. */
	public String getLocalVolume() {
		return this.localVolume;
	}
	/** @param x The member local volume to add to the AMG. */
	public void setLocalVolume(String x) {
		this.localVolume = x;
	}

	/** The password for remote array. This is required to make sure the SYMbol client has authenticated the users access privileges to both the primary and secondary array. */
	@io.swagger.annotations.ApiModelProperty(value ="The password for remote array. This is required to make sure the SYMbol client has authenticated the users access privileges to both the primary and secondary array." , required = true)
	@XmlElement(required = true)
	private RemoteArrayAuthenticator remotePassword;

	/** @return The password for remote array. This is required to make sure the SYMbol client has authenticated the users access privileges to both the primary and secondary array. */
	public RemoteArrayAuthenticator getRemotePassword() {
		return this.remotePassword;
	}
	/** @param x The password for remote array. This is required to make sure the SYMbol client has authenticated the users access privileges to both the primary and secondary array. */
	public void setRemotePassword(RemoteArrayAuthenticator x) {
		this.remotePassword = x;
	}

	/** The repository volume candidate for the mirror repository on the primary array. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository volume candidate for the mirror repository on the primary array." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeCreationDescriptor repositoryCandidate;

	/** @return The repository volume candidate for the mirror repository on the primary array. */
	public ConcatVolumeCreationDescriptor getRepositoryCandidate() {
		return this.repositoryCandidate;
	}
	/** @param x The repository volume candidate for the mirror repository on the primary array. */
	public void setRepositoryCandidate(ConcatVolumeCreationDescriptor x) {
		this.repositoryCandidate = x;
	}
}
