package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to add a member to an existing secondary Asynchronous Mirror Group (AMG). This is the second step in the process of adding a member and is directed at the secondary array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1157)
public class AsyncMirrorGroupAddSecondaryMemberDescriptor implements Serializable {
	public AsyncMirrorGroupAddSecondaryMemberDescriptor() {
	}

	/** The"incomplete member" to finish configuring (implies AMG). */
	@io.swagger.annotations.ApiModelProperty(value ="The\"incomplete member\" to finish configuring (implies AMG)." , required = true)
	@XmlElement(required = true)
	private String incompleteMemberRef;

	/** @return The"incomplete member" to finish configuring (implies AMG). */
	public String getIncompleteMemberRef() {
		return this.incompleteMemberRef;
	}
	/** @param x The"incomplete member" to finish configuring (implies AMG). */
	public void setIncompleteMemberRef(String x) {
		this.incompleteMemberRef = x;
	}

	/** The member volume to add to the AMG (the mirror secondary volume). */
	@io.swagger.annotations.ApiModelProperty(value ="The member volume to add to the AMG (the mirror secondary volume)." , required = true)
	@XmlElement(required = true)
	private String localVolume;

	/** @return The member volume to add to the AMG (the mirror secondary volume). */
	public String getLocalVolume() {
		return this.localVolume;
	}
	/** @param x The member volume to add to the AMG (the mirror secondary volume). */
	public void setLocalVolume(String x) {
		this.localVolume = x;
	}

	/** The repository volume candidate for the mirror repository on the primary array. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository volume candidate for the mirror repository on the primary array." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeCreationDescriptor repositoryCandidate;

	/** @return The repository volume candidate for the mirror repository on the primary array. */
	public ConcatVolumeCreationDescriptor getRepositoryCandidate() {
		return this.repositoryCandidate;
	}
	/** @param x The repository volume candidate for the mirror repository on the primary array. */
	public void setRepositoryCandidate(ConcatVolumeCreationDescriptor x) {
		this.repositoryCandidate = x;
	}
}
