package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey input parameters to the AMG connectivity test. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(642)
public class AsyncMirrorGroupConnectivityTestDescriptor implements Serializable {
	public AsyncMirrorGroupConnectivityTestDescriptor() {
	}

	/** The Async Mirror Group on which the connectivity test is to be performed. */
	@io.swagger.annotations.ApiModelProperty(value ="The Async Mirror Group on which the connectivity test is to be performed." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The Async Mirror Group on which the connectivity test is to be performed. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The Async Mirror Group on which the connectivity test is to be performed. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** Type of test to perform. */
	@io.swagger.annotations.ApiModelProperty(value ="Type of test to perform." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupConnectivityTestType requestedTestType = AsyncMirrorGroupConnectivityTestType.__UNDEFINED;

	/** @return Type of test to perform. */
	public AsyncMirrorGroupConnectivityTestType getRequestedTestType() {
		return this.requestedTestType;
	}
	/** @param x Type of test to perform. */
	public void setRequestedTestType(AsyncMirrorGroupConnectivityTestType x) {
		this.requestedTestType = x;
	}

	/** Number of test iterations to run. */
	@io.swagger.annotations.ApiModelProperty(value ="Number of test iterations to run." , required = true)
	@XmlElement(required = true)
	private int testIterations;

	/** @return Number of test iterations to run. */
	public int getTestIterations() {
		return this.testIterations;
	}
	/** @param x Number of test iterations to run. */
	public void setTestIterations(int x) {
		this.testIterations = x;
	}

	/** Timeout in seconds. For no timeout, this value should be set to ARVM_CONNECTIVITY_TEST_NO_TIMEOUT. */
	@io.swagger.annotations.ApiModelProperty(value ="Timeout in seconds. For no timeout, this value should be set to ARVM_CONNECTIVITY_TEST_NO_TIMEOUT." , required = true)
	@XmlElement(required = true)
	private int timeout;

	/** @return Timeout in seconds. For no timeout, this value should be set to ARVM_CONNECTIVITY_TEST_NO_TIMEOUT. */
	public int getTimeout() {
		return this.timeout;
	}
	/** @param x Timeout in seconds. For no timeout, this value should be set to ARVM_CONNECTIVITY_TEST_NO_TIMEOUT. */
	public void setTimeout(int x) {
		this.timeout = x;
	}
}
