package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to represent the concept of an Asynchronous Mirror Group Member (an individual async mirror relationship, similar to MirrorProxy). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1076)
public class AsyncMirrorGroupMember implements Serializable,devmgr.api.model.Identifiable {
	public AsyncMirrorGroupMember() {
	}

	/** The reference (key) for the group member. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for the group member." , required = true)
	@XmlElement(required = true)
	private String memberRef;

	/** @return The reference (key) for the group member. */
	public String getMemberRef() {
		return this.memberRef;
	}
	/** @param x The reference (key) for the group member. */
	public void setMemberRef(String x) {
		this.memberRef = x;
	}

	/** The AMG with which this member is associated. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG with which this member is associated." , required = true)
	@XmlElement(required = true)
	private String mirrorGroup;

	/** @return The AMG with which this member is associated. */
	public String getMirrorGroup() {
		return this.mirrorGroup;
	}
	/** @param x The AMG with which this member is associated. */
	public void setMirrorGroup(String x) {
		this.mirrorGroup = x;
	}

	/** The local volume for this mirror. This is the volume being mirrored if the AMG role is primary, otherwise this is the target of mirror synchronization. */
	@io.swagger.annotations.ApiModelProperty(value ="The local volume for this mirror. This is the volume being mirrored if the AMG role is primary, otherwise this is the target of mirror synchronization." , required = true)
	@XmlElement(required = true)
	private String localVolume;

	/** @return The local volume for this mirror. This is the volume being mirrored if the AMG role is primary, otherwise this is the target of mirror synchronization. */
	public String getLocalVolume() {
		return this.localVolume;
	}
	/** @param x The local volume for this mirror. This is the volume being mirrored if the AMG role is primary, otherwise this is the target of mirror synchronization. */
	public void setLocalVolume(String x) {
		this.localVolume = x;
	}

	/** The remote volume. This is the target of mirror synchronization on the remote array if the AMG role is primary, otherwise this is the volume on the remote array that is being mirrored. */
	@io.swagger.annotations.ApiModelProperty(value ="The remote volume. This is the target of mirror synchronization on the remote array if the AMG role is primary, otherwise this is the volume on the remote array that is being mirrored." , required = true)
	@XmlElement(required = true)
	private String remoteVolume;

	/** @return The remote volume. This is the target of mirror synchronization on the remote array if the AMG role is primary, otherwise this is the volume on the remote array that is being mirrored. */
	public String getRemoteVolume() {
		return this.remoteVolume;
	}
	/** @param x The remote volume. This is the target of mirror synchronization on the remote array if the AMG role is primary, otherwise this is the volume on the remote array that is being mirrored. */
	public void setRemoteVolume(String x) {
		this.remoteVolume = x;
	}

	/** The state of this mirror relationship (as known by this array). */
	@io.swagger.annotations.ApiModelProperty(value ="The state of this mirror relationship (as known by this array)." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupMemberState memberState = AsyncMirrorGroupMemberState.__UNDEFINED;

	/** @return The state of this mirror relationship (as known by this array). */
	public AsyncMirrorGroupMemberState getMemberState() {
		return this.memberState;
	}
	/** @param x The state of this mirror relationship (as known by this array). */
	public void setMemberState(AsyncMirrorGroupMemberState x) {
		this.memberState = x;
	}

	/** The timestamp, represented in seconds since midnight GMT on January 1, 1970, of the last recovery point PiT on secondary. If no recovery point image exists, the value of this field will be ARVM_NO_RECOVERY_POINT_TIMESTAMP. */
	@io.swagger.annotations.ApiModelProperty(value ="The timestamp, represented in seconds since midnight GMT on January 1, 1970, of the last recovery point PiT on secondary. If no recovery point image exists, the value of this field will be ARVM_NO_RECOVERY_POINT_TIMESTAMP." , required = true)
	@XmlElement(required = true)
	private long lastRecoveryPointTime;

	/** @return The timestamp, represented in seconds since midnight GMT on January 1, 1970, of the last recovery point PiT on secondary. If no recovery point image exists, the value of this field will be ARVM_NO_RECOVERY_POINT_TIMESTAMP. */
	public long getLastRecoveryPointTime() {
		return this.lastRecoveryPointTime;
	}
	/** @param x The timestamp, represented in seconds since midnight GMT on January 1, 1970, of the last recovery point PiT on secondary. If no recovery point image exists, the value of this field will be ARVM_NO_RECOVERY_POINT_TIMESTAMP. */
	public void setLastRecoveryPointTime(long x) {
		this.lastRecoveryPointTime = x;
	}

	/** If true, the repository capacity utilized is over the warning threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the repository capacity utilized is over the warning threshold." , required = true)
	@XmlElement(required = true)
	private boolean overUtilizationWarnThreshold;

	/** @return If true, the repository capacity utilized is over the warning threshold. */
	public boolean isOverUtilizationWarnThreshold() {
		return this.overUtilizationWarnThreshold;
	}
	/** @param x If true, the repository capacity utilized is over the warning threshold. */
	public void setOverUtilizationWarnThreshold(boolean x) {
		this.overUtilizationWarnThreshold = x;
	}

	/** The current local volume capacity that is being mirrored. This will be less than the actual local volume capacity if we have not yet reached a point where the next PiT can be taken and delta-logs resized (and until that point the expanded local capacity will not be opened up to host writes). */
	@io.swagger.annotations.ApiModelProperty(value ="The current local volume capacity that is being mirrored. This will be less than the actual local volume capacity if we have not yet reached a point where the next PiT can be taken and delta-logs resized (and until that point the expanded local capacity will not be opened up to host writes)." , required = true)
	@XmlElement(required = true)
	private long mirroredLocalCapacity;

	/** @return The current local volume capacity that is being mirrored. This will be less than the actual local volume capacity if we have not yet reached a point where the next PiT can be taken and delta-logs resized (and until that point the expanded local capacity will not be opened up to host writes). */
	public long getMirroredLocalCapacity() {
		return this.mirroredLocalCapacity;
	}
	/** @param x The current local volume capacity that is being mirrored. This will be less than the actual local volume capacity if we have not yet reached a point where the next PiT can be taken and delta-logs resized (and until that point the expanded local capacity will not be opened up to host writes). */
	public void setMirroredLocalCapacity(long x) {
		this.mirroredLocalCapacity = x;
	}

	/** The metadata volume (Copy-on-Write / DeltaLog Repository) for this mirror. */
	@io.swagger.annotations.ApiModelProperty(value ="The metadata volume (Copy-on-Write / DeltaLog Repository) for this mirror." , required = true)
	@XmlElement(required = true)
	private String repositoryVolume;

	/** @return The metadata volume (Copy-on-Write / DeltaLog Repository) for this mirror. */
	public String getRepositoryVolume() {
		return this.repositoryVolume;
	}
	/** @param x The metadata volume (Copy-on-Write / DeltaLog Repository) for this mirror. */
	public void setRepositoryVolume(String x) {
		this.repositoryVolume = x;
	}

	/** The WWN of the async mirror proxy. */
	@io.swagger.annotations.ApiModelProperty(value ="The WWN of the async mirror proxy." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The WWN of the async mirror proxy. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The WWN of the async mirror proxy. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** The SSID of the async mirror proxy. */
	@io.swagger.annotations.ApiModelProperty(value ="The SSID of the async mirror proxy." , required = true)
	@XmlElement(required = true)
	private int volumeHandle;

	/** @return The SSID of the async mirror proxy. */
	public int getVolumeHandle() {
		return this.volumeHandle;
	}
	/** @param x The SSID of the async mirror proxy. */
	public void setVolumeHandle(int x) {
		this.volumeHandle = x;
	}

	/** If true, the repository is full (100% of available capacity utilized). */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the repository is full (100% of available capacity utilized)." , required = true)
	@XmlElement(required = true)
	private boolean repositoryFull;

	/** @return If true, the repository is full (100% of available capacity utilized). */
	public boolean isRepositoryFull() {
		return this.repositoryFull;
	}
	/** @param x If true, the repository is full (100% of available capacity utilized). */
	public void setRepositoryFull(boolean x) {
		this.repositoryFull = x;
	}
	@Override
	public String getId(){
		return memberRef;
	}
}
