package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to remove a member from an existing Async Mirror Group (AMG). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(941)
public class AsyncMirrorGroupRemoveMemberDescriptor implements Serializable {
	public AsyncMirrorGroupRemoveMemberDescriptor() {
	}

	/** The AMG from which the member is to be removed. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG from which the member is to be removed." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The AMG from which the member is to be removed. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The AMG from which the member is to be removed. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** The member to remove (must be a member of the mirror group specified above). */
	@io.swagger.annotations.ApiModelProperty(value ="The member to remove (must be a member of the mirror group specified above)." , required = true)
	@XmlElement(required = true)
	private String memberRef;

	/** @return The member to remove (must be a member of the mirror group specified above). */
	public String getMemberRef() {
		return this.memberRef;
	}
	/** @param x The member to remove (must be a member of the mirror group specified above). */
	public void setMemberRef(String x) {
		this.memberRef = x;
	}

	/** If true, the REPOSITORY member volumes should be retained. If false, they will be deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the REPOSITORY member volumes should be retained. If false, they will be deleted." , required = true)
	@XmlElement(required = true)
	private boolean retainRepositoryMembers;

	/** @return If true, the REPOSITORY member volumes should be retained. If false, they will be deleted. */
	public boolean isRetainRepositoryMembers() {
		return this.retainRepositoryMembers;
	}
	/** @param x If true, the REPOSITORY member volumes should be retained. If false, they will be deleted. */
	public void setRetainRepositoryMembers(boolean x) {
		this.retainRepositoryMembers = x;
	}

	/** If true, the member removal should be forced. This is necessary when trying to remove an orphaned member or remove a member when the remote is unreachable (for example, when the remote array was physically destroyed so member deletion needs to be forced to allow for AMG deletion. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the member removal should be forced. This is necessary when trying to remove an orphaned member or remove a member when the remote is unreachable (for example, when the remote array was physically destroyed so member deletion needs to be forced to allow for AMG deletion." , required = true)
	@XmlElement(required = true)
	private boolean force;

	/** @return If true, the member removal should be forced. This is necessary when trying to remove an orphaned member or remove a member when the remote is unreachable (for example, when the remote array was physically destroyed so member deletion needs to be forced to allow for AMG deletion. */
	public boolean isForce() {
		return this.force;
	}
	/** @param x If true, the member removal should be forced. This is necessary when trying to remove an orphaned member or remove a member when the remote is unreachable (for example, when the remote array was physically destroyed so member deletion needs to be forced to allow for AMG deletion. */
	public void setForce(boolean x) {
		this.force = x;
	}
}
