package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to resume an Async Mirror Group (AMG) synchronization that was suspended. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(753)
public class AsyncMirrorGroupResumeDescriptor implements Serializable {
	public AsyncMirrorGroupResumeDescriptor() {
	}

	/** The AMG on which synchronization is to be resumed. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG on which synchronization is to be resumed." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The AMG on which synchronization is to be resumed. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The AMG on which synchronization is to be resumed. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** Flag indicating whether recovery point can be deleted on the secondary if necessary to achieve the synchronization. If true, and if the amount of unsynchronized data exceeds the CoW repository capacity on the secondary for any member volume, the last recovery point will be deleted and synchronization will continue. If false, the synchronization will be suspended if the amount of unsynchronized data exceeds the CoW Repository capacity on the secondary and the recovery point will be preserved. */
	@io.swagger.annotations.ApiModelProperty(value ="Flag indicating whether recovery point can be deleted on the secondary if necessary to achieve the synchronization. If true, and if the amount of unsynchronized data exceeds the CoW repository capacity on the secondary for any member volume, the last recovery point will be deleted and synchronization will continue. If false, the synchronization will be suspended if the amount of unsynchronized data exceeds the CoW Repository capacity on the secondary and the recovery point will be preserved." , required = true)
	@XmlElement(required = true)
	private boolean deleteRecoveryPointIfNecessary;

	/** @return Flag indicating whether recovery point can be deleted on the secondary if necessary to achieve the synchronization. If true, and if the amount of unsynchronized data exceeds the CoW repository capacity on the secondary for any member volume, the last recovery point will be deleted and synchronization will continue. If false, the synchronization will be suspended if the amount of unsynchronized data exceeds the CoW Repository capacity on the secondary and the recovery point will be preserved. */
	public boolean isDeleteRecoveryPointIfNecessary() {
		return this.deleteRecoveryPointIfNecessary;
	}
	/** @param x Flag indicating whether recovery point can be deleted on the secondary if necessary to achieve the synchronization. If true, and if the amount of unsynchronized data exceeds the CoW repository capacity on the secondary for any member volume, the last recovery point will be deleted and synchronization will continue. If false, the synchronization will be suspended if the amount of unsynchronized data exceeds the CoW Repository capacity on the secondary and the recovery point will be preserved. */
	public void setDeleteRecoveryPointIfNecessary(boolean x) {
		this.deleteRecoveryPointIfNecessary = x;
	}
}
