package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to change Async Mirror Group (AMG) roles. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(695)
public class AsyncMirrorGroupRoleChangeDescriptor implements Serializable {
	public AsyncMirrorGroupRoleChangeDescriptor() {
	}

	/** The reference of the AMG on which the change is to be made. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference of the AMG on which the change is to be made." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The reference of the AMG on which the change is to be made. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The reference of the AMG on which the change is to be made. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** Force flag. If true, ignore if the remote array role change fails. */
	@io.swagger.annotations.ApiModelProperty(value ="Force flag. If true, ignore if the remote array role change fails." , required = true)
	@XmlElement(required = true)
	private boolean force;

	/** @return Force flag. If true, ignore if the remote array role change fails. */
	public boolean isForce() {
		return this.force;
	}
	/** @param x Force flag. If true, ignore if the remote array role change fails. */
	public void setForce(boolean x) {
		this.force = x;
	}

	/** The role for the local AMG. */
	@io.swagger.annotations.ApiModelProperty(value ="The role for the local AMG." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupRole toRole = AsyncMirrorGroupRole.__UNDEFINED;

	/** @return The role for the local AMG. */
	public AsyncMirrorGroupRole getToRole() {
		return this.toRole;
	}
	/** @param x The role for the local AMG. */
	public void setToRole(AsyncMirrorGroupRole x) {
		this.toRole = x;
	}

	/** If true, changed data will not be synchronized before completing the role change. This will revert secondary (new primary) content to last recovery point. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, changed data will not be synchronized before completing the role change. This will revert secondary (new primary) content to last recovery point." , required = true)
	@XmlElement(required = true)
	private boolean noSync;

	/** @return If true, changed data will not be synchronized before completing the role change. This will revert secondary (new primary) content to last recovery point. */
	public boolean isNoSync() {
		return this.noSync;
	}
	/** @param x If true, changed data will not be synchronized before completing the role change. This will revert secondary (new primary) content to last recovery point. */
	public void setNoSync(boolean x) {
		this.noSync = x;
	}
}
