package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration expresses the different operational statuses of the cache backup devices. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(235)
public enum CacheBackupDeviceStatus implements Serializable {
		/** The status of the backup device is unknown. */
		unknown(0),
		/** The backup device is operating correctly. */
		optimal(1),
		/** The backup device is not working. */
		failed(2),
		/** The backup device is not present. */
		removed(3),
		/** The backup device is write-protected. */
		writeProtected(4),
		/** The backup device does not respond to the expected command set. Replace the backup device. */
		incompatible(5),
		__UNDEFINED(464378545);

		public final int value;

		private CacheBackupDeviceStatus(int v) {
			this.value = v;
		}
}
