package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about the current configuration change state of the array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(318)
public class ChangeState implements Serializable {
	public ChangeState() {
	}

	/** The configuration generation number associated with the storage array's current state and configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="The configuration generation number associated with the storage array's current state and configuration." , required = true)
	@XmlElement(required = true)
	private long configGeneration;

	/** @return The configuration generation number associated with the storage array's current state and configuration. */
	public long getConfigGeneration() {
		return this.configGeneration;
	}
	/** @param x The configuration generation number associated with the storage array's current state and configuration. */
	public void setConfigGeneration(long x) {
		this.configGeneration = x;
	}

	/** The sequence number of the most recent MEL entry that was tagged as critical. */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number of the most recent MEL entry that was tagged as critical." , required = true)
	@XmlElement(required = true)
	private long lastCriticalMelSeqNumber;

	/** @return The sequence number of the most recent MEL entry that was tagged as critical. */
	public long getLastCriticalMelSeqNumber() {
		return this.lastCriticalMelSeqNumber;
	}
	/** @param x The sequence number of the most recent MEL entry that was tagged as critical. */
	public void setLastCriticalMelSeqNumber(long x) {
		this.lastCriticalMelSeqNumber = x;
	}
}
