package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains channel diagnostic test results that are specific to Fibre Channel interfaces. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1123)
public class ChannelDiagFcDependentResults implements Serializable {
	public ChannelDiagFcDependentResults() {
	}

	/** An array of fibre Channel Read Link Status data for the channel under test. Each element in the array represents a Fibre Channel device for which data is being reported. All fields within rlsData are set to meaningful values except the baselineTime field which is set to zero. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of fibre Channel Read Link Status data for the channel under test. Each element in the array represents a Fibre Channel device for which data is being reported. All fields within rlsData are set to meaningful values except the baselineTime field which is set to zero." , required = true)
	@XmlElement(required = true)
	private RLSData[] rlsData;

	/** @return An array of fibre Channel Read Link Status data for the channel under test. Each element in the array represents a Fibre Channel device for which data is being reported. All fields within rlsData are set to meaningful values except the baselineTime field which is set to zero. */
	public RLSData[] getRlsData() {
		return this.rlsData;
	}
	/** @param x An array of fibre Channel Read Link Status data for the channel under test. Each element in the array represents a Fibre Channel device for which data is being reported. All fields within rlsData are set to meaningful values except the baselineTime field which is set to zero. */
	public void setRlsData(RLSData[] x) {
		this.rlsData = x;
	}

	/** An array of SOC diagnostic data for the channel under test. Each element of the array represents a SOC chip for which data is being reported. Within each element, port diagnostic data is included for just the ports on the channel under test. All fields of socData and its sub-structures are set to meaningful data except for collectionElapsedTime in SocDeviceData, which is set to zero. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SOC diagnostic data for the channel under test. Each element of the array represents a SOC chip for which data is being reported. Within each element, port diagnostic data is included for just the ports on the channel under test. All fields of socData and its sub-structures are set to meaningful data except for collectionElapsedTime in SocDeviceData, which is set to zero." , required = true)
	@XmlElement(required = true)
	private SocData[] socData;

	/** @return An array of SOC diagnostic data for the channel under test. Each element of the array represents a SOC chip for which data is being reported. Within each element, port diagnostic data is included for just the ports on the channel under test. All fields of socData and its sub-structures are set to meaningful data except for collectionElapsedTime in SocDeviceData, which is set to zero. */
	public SocData[] getSocData() {
		return this.socData;
	}
	/** @param x An array of SOC diagnostic data for the channel under test. Each element of the array represents a SOC chip for which data is being reported. Within each element, port diagnostic data is included for just the ports on the channel under test. All fields of socData and its sub-structures are set to meaningful data except for collectionElapsedTime in SocDeviceData, which is set to zero. */
	public void setSocData(SocData[] x) {
		this.socData = x;
	}
}
