package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the performance limitation settings for a cluster. It also contains a counter indicating the number of IOPs that have been impacted due to the performance limitations. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(899)
public class ClusterPerformanceLimitationValues implements Serializable {
	public ClusterPerformanceLimitationValues() {
	}

	/** This is a reference to the cluster for which the parameters apply. */
	@io.swagger.annotations.ApiModelProperty(value ="This is a reference to the cluster for which the parameters apply." , required = true)
	@XmlElement(required = true)
	private String clusterRef;

	/** @return This is a reference to the cluster for which the parameters apply. */
	public String getClusterRef() {
		return this.clusterRef;
	}
	/** @param x This is a reference to the cluster for which the parameters apply. */
	public void setClusterRef(String x) {
		this.clusterRef = x;
	}

	/** This is the maximum number of IOPs permitted on this cluster. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the maximum number of IOPs permitted on this cluster." , required = true)
	@XmlElement(required = true)
	private long maxIopsPermittedOnCluster;

	/** @return This is the maximum number of IOPs permitted on this cluster. */
	public long getMaxIopsPermittedOnCluster() {
		return this.maxIopsPermittedOnCluster;
	}
	/** @param x This is the maximum number of IOPs permitted on this cluster. */
	public void setMaxIopsPermittedOnCluster(long x) {
		this.maxIopsPermittedOnCluster = x;
	}

	/** This is the maximum number of MB per second permitted on this cluster. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the maximum number of MB per second permitted on this cluster." , required = true)
	@XmlElement(required = true)
	private long maxMBsPermittedOnCluster;

	/** @return This is the maximum number of MB per second permitted on this cluster. */
	public long getMaxMBsPermittedOnCluster() {
		return this.maxMBsPermittedOnCluster;
	}
	/** @param x This is the maximum number of MB per second permitted on this cluster. */
	public void setMaxMBsPermittedOnCluster(long x) {
		this.maxMBsPermittedOnCluster = x;
	}

	/** This is a count of the number of IOPs that have been impacted by the performance limitations set on this cluster. */
	@io.swagger.annotations.ApiModelProperty(value ="This is a count of the number of IOPs that have been impacted by the performance limitations set on this cluster." , required = true)
	@XmlElement(required = true)
	private long iopsImpactedByLimitationsOnThisCluster;

	/** @return This is a count of the number of IOPs that have been impacted by the performance limitations set on this cluster. */
	public long getIopsImpactedByLimitationsOnThisCluster() {
		return this.iopsImpactedByLimitationsOnThisCluster;
	}
	/** @param x This is a count of the number of IOPs that have been impacted by the performance limitations set on this cluster. */
	public void setIopsImpactedByLimitationsOnThisCluster(long x) {
		this.iopsImpactedByLimitationsOnThisCluster = x;
	}
}
