package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different action types to be used when requesting a CoW repository analysis. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(200)
public enum CoWRepositoryAnalysisAction implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The analysis will be performed on all failed repositories. */
		failedRepositories(1),
		/** The analysis will be performed on a specific repository. */
		specificRepository(2),
		__UNDEFINED(464378545);

		public final int value;

		private CoWRepositoryAnalysisAction(int v) {
			this.value = v;
		}
}
