package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the removal methods that apply to any component. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(19)
public enum ComponentRemovalMethod implements Serializable {
		/** This removal method indicates that the component is housed in a parent container, and is not independently removable. */
		parent(1),
		/** This removal method indicates that the component is an independently removable item. */
		self(2),
		__UNDEFINED(464378545);

		public final int value;

		private ComponentRemovalMethod(int v) {
			this.value = v;
		}
}
