package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a concatenated volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(922)
public class ConcatVolume implements Serializable,devmgr.api.model.Identifiable {
	public ConcatVolume() {
	}

	/** A reference (key) for ConcatVolume. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference (key) for ConcatVolume." , required = true)
	@XmlElement(required = true)
	private String concatVolRef;

	/** @return A reference (key) for ConcatVolume. */
	public String getConcatVolRef() {
		return this.concatVolRef;
	}
	/** @param x A reference (key) for ConcatVolume. */
	public void setConcatVolRef(String x) {
		this.concatVolRef = x;
	}

	/** The status/state of the concatenated volume. This will be the worst status among the member volumes. */
	@io.swagger.annotations.ApiModelProperty(value ="The status/state of the concatenated volume. This will be the worst status among the member volumes." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeStatus status = ConcatVolumeStatus.__UNDEFINED;

	/** @return The status/state of the concatenated volume. This will be the worst status among the member volumes. */
	public ConcatVolumeStatus getStatus() {
		return this.status;
	}
	/** @param x The status/state of the concatenated volume. This will be the worst status among the member volumes. */
	public void setStatus(ConcatVolumeStatus x) {
		this.status = x;
	}

	/** The number of actual storage volumes comprising this volume. Note that this is just for convenience, this information can be derived from member objects. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of actual storage volumes comprising this volume. Note that this is just for convenience, this information can be derived from member objects." , required = true)
	@XmlElement(required = true)
	private int memberCount;

	/** @return The number of actual storage volumes comprising this volume. Note that this is just for convenience, this information can be derived from member objects. */
	public int getMemberCount() {
		return this.memberCount;
	}
	/** @param x The number of actual storage volumes comprising this volume. Note that this is just for convenience, this information can be derived from member objects. */
	public void setMemberCount(int x) {
		this.memberCount = x;
	}

	/** The aggregate capacity in bytes of all member volumes. */
	@io.swagger.annotations.ApiModelProperty(value ="The aggregate capacity in bytes of all member volumes." , required = true)
	@XmlElement(required = true)
	private long aggregateCapacity;

	/** @return The aggregate capacity in bytes of all member volumes. */
	public long getAggregateCapacity() {
		return this.aggregateCapacity;
	}
	/** @param x The aggregate capacity in bytes of all member volumes. */
	public void setAggregateCapacity(long x) {
		this.aggregateCapacity = x;
	}

	/** Media scan parameters. */
	@io.swagger.annotations.ApiModelProperty(value ="Media scan parameters." , required = true)
	@XmlElement(required = true)
	private VolumeMediaScanParams mediaScanParams;

	/** @return Media scan parameters. */
	public VolumeMediaScanParams getMediaScanParams() {
		return this.mediaScanParams;
	}
	/** @param x Media scan parameters. */
	public void setMediaScanParams(VolumeMediaScanParams x) {
		this.mediaScanParams = x;
	}

	/** The volume ssid. This is provided primarily for debug purposes. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume ssid. This is provided primarily for debug purposes." , required = true)
	@XmlElement(required = true)
	private int volumeHandle;

	/** @return The volume ssid. This is provided primarily for debug purposes. */
	public int getVolumeHandle() {
		return this.volumeHandle;
	}
	/** @param x The volume ssid. This is provided primarily for debug purposes. */
	public void setVolumeHandle(int x) {
		this.volumeHandle = x;
	}

	/** Operations allowed on the ConcatVolume. This can be used if ConcatVolume is ever exposed as a host-addressable volume to specify whether the volume is host-mappable or not (repository volumes would never be mappable). */
	@io.swagger.annotations.ApiModelProperty(value ="Operations allowed on the ConcatVolume. This can be used if ConcatVolume is ever exposed as a host-addressable volume to specify whether the volume is host-mappable or not (repository volumes would never be mappable)." , required = true)
	@XmlElement(required = true)
	private VolumePerms allowedOperations;

	/** @return Operations allowed on the ConcatVolume. This can be used if ConcatVolume is ever exposed as a host-addressable volume to specify whether the volume is host-mappable or not (repository volumes would never be mappable). */
	public VolumePerms getAllowedOperations() {
		return this.allowedOperations;
	}
	/** @param x Operations allowed on the ConcatVolume. This can be used if ConcatVolume is ever exposed as a host-addressable volume to specify whether the volume is host-mappable or not (repository volumes would never be mappable). */
	public void setAllowedOperations(VolumePerms x) {
		this.allowedOperations = x;
	}
	@Override
	public String getId(){
		return concatVolRef;
	}
}
