package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument for a call to the bindToController procedure. It uniquely identifies the controller to which all further RPC requests are to be directed. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(617)
public class ControllerDescriptor implements Serializable {
	public ControllerDescriptor() {
	}

	/** The reference value that uniquely identifies the controller within its own storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that uniquely identifies the controller within its own storage array." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The reference value that uniquely identifies the controller within its own storage array. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The reference value that uniquely identifies the controller within its own storage array. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The storage array identifier that uniquely identifies a particular storage array that contains the desired target controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The storage array identifier that uniquely identifies a particular storage array that contains the desired target controller." , required = true)
	@XmlElement(required = true)
	private SAIdentifier saId;

	/** @return The storage array identifier that uniquely identifies a particular storage array that contains the desired target controller. */
	public SAIdentifier getSaId() {
		return this.saId;
	}
	/** @param x The storage array identifier that uniquely identifies a particular storage array that contains the desired target controller. */
	public void setSaId(SAIdentifier x) {
		this.saId = x;
	}
}
