package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Contains the return data for the getControllerHostIoInterfaces procedure. Contains a return code and, provided that code is RETCODE_OK, a list of the controller host-side IO interfaces. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1168)
public class ControllerHostIoInterfacesReturned implements Serializable {
	public ControllerHostIoInterfacesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** A variable-length array of IoInterface structures populated with the most-recent data for each controller host-side I/O interface. This field is only valid if the value of the discriminator returnCode is RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of IoInterface structures populated with the most-recent data for each controller host-side I/O interface. This field is only valid if the value of the discriminator returnCode is RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private IoInterface[] controllerHostIoInterfaces;

	/** @return A variable-length array of IoInterface structures populated with the most-recent data for each controller host-side I/O interface. This field is only valid if the value of the discriminator returnCode is RETCODE_OK. */
	public IoInterface[] getControllerHostIoInterfaces() {
		return this.controllerHostIoInterfaces;
	}
	/** @param x A variable-length array of IoInterface structures populated with the most-recent data for each controller host-side I/O interface. This field is only valid if the value of the discriminator returnCode is RETCODE_OK. */
	public void setControllerHostIoInterfaces(IoInterface[] x) {
		this.controllerHostIoInterfaces = x;
	}
}
