package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration identifies the type of CRU a component has. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(156)
public enum CruType implements Serializable {
		/** The type of CRU is unknown. */
		unknown(1),
		/** The component has its own dedicated CRU. */
		dedicated(2),
		/** The component shares the CRU with other components. */
		shared(3),
		/** This value is identical in meaning to CRU_TYPE_SHARED, i.e., it means the component shares the CRU with other components. The difference is that, in the RTRAttributes structure, this value is associated with a reference to the parent CRU in which the shared components reside. */
		aggregate(4),
		__UNDEFINED(464378545);

		public final int value;

		private CruType(int v) {
			this.value = v;
		}
}
