package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information regarding the state of an IOC data dump -- if it needs to be retrieved, and the tag and timestamp of the dump. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(293)
public class CtrlIOCDumpData implements Serializable {
	public CtrlIOCDumpData() {
	}

	/** If true, an IOC Dump currently exists in controller memory and has not been retrieved. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, an IOC Dump currently exists in controller memory and has not been retrieved." , required = true)
	@XmlElement(required = true)
	private boolean iocDumpNeedsRetrieved;

	/** @return If true, an IOC Dump currently exists in controller memory and has not been retrieved. */
	public boolean isIocDumpNeedsRetrieved() {
		return this.iocDumpNeedsRetrieved;
	}
	/** @param x If true, an IOC Dump currently exists in controller memory and has not been retrieved. */
	public void setIocDumpNeedsRetrieved(boolean x) {
		this.iocDumpNeedsRetrieved = x;
	}

	/** The tag value of the IOC Dump currently in controller memory. Each dump has a unique tag value. A value of IOC_DUMP_NULL_TAG indicates there is no IOC Dump to retrieve. */
	@io.swagger.annotations.ApiModelProperty(value ="The tag value of the IOC Dump currently in controller memory. Each dump has a unique tag value. A value of IOC_DUMP_NULL_TAG indicates there is no IOC Dump to retrieve." , required = true)
	@XmlElement(required = true)
	private int iocDumpTag;

	/** @return The tag value of the IOC Dump currently in controller memory. Each dump has a unique tag value. A value of IOC_DUMP_NULL_TAG indicates there is no IOC Dump to retrieve. */
	public int getIocDumpTag() {
		return this.iocDumpTag;
	}
	/** @param x The tag value of the IOC Dump currently in controller memory. Each dump has a unique tag value. A value of IOC_DUMP_NULL_TAG indicates there is no IOC Dump to retrieve. */
	public void setIocDumpTag(int x) {
		this.iocDumpTag = x;
	}

	/** The time that the dump was collected measured in seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time that the dump was collected measured in seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long timeStamp;

	/** @return The time that the dump was collected measured in seconds since midnight GMT on January 1, 1970. */
	public long getTimeStamp() {
		return this.timeStamp;
	}
	/** @param x The time that the dump was collected measured in seconds since midnight GMT on January 1, 1970. */
	public void setTimeStamp(long x) {
		this.timeStamp = x;
	}
}
