package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union structure is returned by the getCumulativeStatisticsBundle procedure. It contains the return code for the procedure call, and, if the value of the return code is RETCODE_OK, the bundle of statistical data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1118)
public class CumulativeStatisticsBundleReturned implements Serializable {
	public CumulativeStatisticsBundleReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The requested bundle of statistical data. This field is only valid if returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="The requested bundle of statistical data. This field is only valid if returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private CumulativeStatisticsBundle statBundle;

	/** @return The requested bundle of statistical data. This field is only valid if returnCode is equal to RETCODE_OK. */
	public CumulativeStatisticsBundle getStatBundle() {
		return this.statBundle;
	}
	/** @param x The requested bundle of statistical data. This field is only valid if returnCode is equal to RETCODE_OK. */
	public void setStatBundle(CumulativeStatisticsBundle x) {
		this.statBundle = x;
	}
}
