package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input to the getCumulativeStatisticsBundle procedure call. It contains the individual arguments that define the statistics bundle to return. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(694)
public class CumulativeStatisticsDescriptor implements Serializable {
	public CumulativeStatisticsDescriptor() {
	}

	/** A reference to the storage array object (e.g., volume, drive, ets.) for which counters are to be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the storage array object (e.g., volume, drive, ets.) for which counters are to be returned." , required = true)
	@XmlElement(required = true)
	private ObjectReference objectRef;

	/** @return A reference to the storage array object (e.g., volume, drive, ets.) for which counters are to be returned. */
	public ObjectReference getObjectRef() {
		return this.objectRef;
	}
	/** @param x A reference to the storage array object (e.g., volume, drive, ets.) for which counters are to be returned. */
	public void setObjectRef(ObjectReference x) {
		this.objectRef = x;
	}

	/** The type of counter group to be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of counter group to be returned." , required = true)
	@XmlElement(required = true)
	private CounterGroupType groupType = CounterGroupType.__UNDEFINED;

	/** @return The type of counter group to be returned. */
	public CounterGroupType getGroupType() {
		return this.groupType;
	}
	/** @param x The type of counter group to be returned. */
	public void setGroupType(CounterGroupType x) {
		this.groupType = x;
	}

	/** Location of counter group data to be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="Location of counter group data to be returned." , required = true)
	@XmlElement(required = true)
	private CounterGroupDataLocation dataLocation = CounterGroupDataLocation.__UNDEFINED;

	/** @return Location of counter group data to be returned. */
	public CounterGroupDataLocation getDataLocation() {
		return this.dataLocation;
	}
	/** @param x Location of counter group data to be returned. */
	public void setDataLocation(CounterGroupDataLocation x) {
		this.dataLocation = x;
	}

	/** Identifies if the resolution is low or high. */
	@io.swagger.annotations.ApiModelProperty(value ="Identifies if the resolution is low or high." , required = true)
	@XmlElement(required = true)
	private StatisticsResolutionType statisticsResolution = StatisticsResolutionType.__UNDEFINED;

	/** @return Identifies if the resolution is low or high. */
	public StatisticsResolutionType getStatisticsResolution() {
		return this.statisticsResolution;
	}
	/** @param x Identifies if the resolution is low or high. */
	public void setStatisticsResolution(StatisticsResolutionType x) {
		this.statisticsResolution = x;
	}
}
