package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the detailed content of the data sent to the controller for a chunk transfer that occurs in the context of a DBM Record restore operations, i.e. in a continueRawDataRestore() request. This structure includes only chunk data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(381)
public class DbmRecRestoreChunkDetails implements Serializable {
	public DbmRecRestoreChunkDetails() {
	}

	/** The data chunk. */
	@io.swagger.annotations.ApiModelProperty(value ="The data chunk." , required = true)
	@XmlElement(required = true)
	private String chunkData;

	/** @return The data chunk. */
	public String getChunkData() {
		return this.chunkData;
	}
	/** @param x The data chunk. */
	public void setChunkData(String x) {
		this.chunkData = x;
	}
}
