package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the detailed parameters that are supplied to the controller when starting a restore of DBM Record data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(459)
public class DbmRecRestoreStartDetails implements Serializable {
	public DbmRecRestoreStartDetails() {
	}

	/** Contains the size of the entire restore image. */
	@io.swagger.annotations.ApiModelProperty(value ="Contains the size of the entire restore image." , required = true)
	@XmlElement(required = true)
	private int totalImageSize;

	/** @return Contains the size of the entire restore image. */
	public int getTotalImageSize() {
		return this.totalImageSize;
	}
	/** @param x Contains the size of the entire restore image. */
	public void setTotalImageSize(int x) {
		this.totalImageSize = x;
	}

	/** A hash of the controller serial numbers. */
	@io.swagger.annotations.ApiModelProperty(value ="A hash of the controller serial numbers." , required = true)
	@XmlElement(required = true)
	private String validator;

	/** @return A hash of the controller serial numbers. */
	public String getValidator() {
		return this.validator;
	}
	/** @param x A hash of the controller serial numbers. */
	public void setValidator(String x) {
		this.validator = x;
	}

	/** Which record type to restore. */
	@io.swagger.annotations.ApiModelProperty(value ="Which record type to restore." , required = true)
	@XmlElement(required = true)
	private DbmRecConfigType configType = DbmRecConfigType.__UNDEFINED;

	/** @return Which record type to restore. */
	public DbmRecConfigType getConfigType() {
		return this.configType;
	}
	/** @param x Which record type to restore. */
	public void setConfigType(DbmRecConfigType x) {
		this.configType = x;
	}

	/** The storage medium containing the restore source image. */
	@io.swagger.annotations.ApiModelProperty(value ="The storage medium containing the restore source image." , required = true)
	@XmlElement(required = true)
	private DbmDatabaseLocation sourceLocation = DbmDatabaseLocation.__UNDEFINED;

	/** @return The storage medium containing the restore source image. */
	public DbmDatabaseLocation getSourceLocation() {
		return this.sourceLocation;
	}
	/** @param x The storage medium containing the restore source image. */
	public void setSourceLocation(DbmDatabaseLocation x) {
		this.sourceLocation = x;
	}

	/** If true, then skip any checks to certify that the image being restored from matches this array. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, then skip any checks to certify that the image being restored from matches this array." , required = true)
	@XmlElement(required = true)
	private boolean skipMismatchCheck;

	/** @return If true, then skip any checks to certify that the image being restored from matches this array. */
	public boolean isSkipMismatchCheck() {
		return this.skipMismatchCheck;
	}
	/** @param x If true, then skip any checks to certify that the image being restored from matches this array. */
	public void setSkipMismatchCheck(boolean x) {
		this.skipMismatchCheck = x;
	}
}
