package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the statistical data collected by the array comprising a discrete time series set. A discrete time series is defined as a series of observations made at regular intervals and ordered chronologically. In this structure, there is one instance of such a series per controller. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(795)
public class DiscreteTimeSeriesBundle implements Serializable {
	public DiscreteTimeSeriesBundle() {
	}

	/** The time that the discrete time series was retrieved. Time is the number of seconds since midnight, January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time that the discrete time series was retrieved. Time is the number of seconds since midnight, January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long observationTime;

	/** @return The time that the discrete time series was retrieved. Time is the number of seconds since midnight, January 1, 1970. */
	public long getObservationTime() {
		return this.observationTime;
	}
	/** @param x The time that the discrete time series was retrieved. Time is the number of seconds since midnight, January 1, 1970. */
	public void setObservationTime(long x) {
		this.observationTime = x;
	}

	/** A reference to the object to which the discrete time series applies. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the object to which the discrete time series applies." , required = true)
	@XmlElement(required = true)
	private ObjectReference objectRef;

	/** @return A reference to the object to which the discrete time series applies. */
	public ObjectReference getObjectRef() {
		return this.objectRef;
	}
	/** @param x A reference to the object to which the discrete time series applies. */
	public void setObjectRef(ObjectReference x) {
		this.objectRef = x;
	}

	/** An array of discrete time series streams, one stream per controller. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of discrete time series streams, one stream per controller." , required = true)
	@XmlElement(required = true)
	private DiscreteTimeSeries[] dts;

	/** @return An array of discrete time series streams, one stream per controller. */
	public DiscreteTimeSeries[] getDts() {
		return this.dts;
	}
	/** @param x An array of discrete time series streams, one stream per controller. */
	public void setDts(DiscreteTimeSeries[] x) {
		this.dts = x;
	}
}
