package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used when calling the setDiskPoolPriority procedure to set the reconstruction and background operation priorities for a Disk Pool. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(788)
public class DiskPoolPriorityUpdateDescriptor implements Serializable {
	public DiskPoolPriorityUpdateDescriptor() {
	}

	/** A reference to the Disk Pool. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the Disk Pool." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return A reference to the Disk Pool. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x A reference to the Disk Pool. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** The Disk Pool priority type to set. */
	@io.swagger.annotations.ApiModelProperty(value ="The Disk Pool priority type to set." , required = true)
	@XmlElement(required = true)
	private DiskPoolPriorityType priorityType = DiskPoolPriorityType.__UNDEFINED;

	/** @return The Disk Pool priority type to set. */
	public DiskPoolPriorityType getPriorityType() {
		return this.priorityType;
	}
	/** @param x The Disk Pool priority type to set. */
	public void setPriorityType(DiskPoolPriorityType x) {
		this.priorityType = x;
	}

	/** The new priority value. */
	@io.swagger.annotations.ApiModelProperty(value ="The new priority value." , required = true)
	@XmlElement(required = true)
	private DiskPoolOperationPriority newPriorityValue = DiskPoolOperationPriority.__UNDEFINED;

	/** @return The new priority value. */
	public DiskPoolOperationPriority getNewPriorityValue() {
		return this.newPriorityValue;
	}
	/** @param x The new priority value. */
	public void setNewPriorityValue(DiskPoolOperationPriority x) {
		this.newPriorityValue = x;
	}
}
