package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Enumerates the types of support data that can be retrieved from Dom0 */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(220)
public enum Dom0SupportDataType implements Serializable {
		/** Represents no type has been chosen. */
		unknownType(0),
		/** Specifies that we want to retrieve the Dom0 Journal. */
		journalLogs(1),
		/** Specifies that we want to retrieve the Dom0 misc logs. */
		miscLogs(2),
		/** Specifies that we want to retrieve the ouput of the commands for daily support. */
		dailyDiagnostics(3),
		/** Specifies that we want to retrieve the output of the commands for weekly support. */
		weeklyDiagnostics(4),
		/** Specifies retrieval of core files created by daemons that are running in Dom0 if they are terminated. */
		dataCoreFiles(5),
		__UNDEFINED(464378545);

		public final int value;

		private Dom0SupportDataType(int v) {
			this.value = v;
		}
}
