package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a counter group containing drive-related statistical counters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(669)
public class DriveCounterGroup implements Serializable {
	public DriveCounterGroup() {
	}

	/** A reference to the controller that accumulated the counters for this group. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller that accumulated the counters for this group." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A reference to the controller that accumulated the counters for this group. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A reference to the controller that accumulated the counters for this group. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The time that the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time that the counters were last reset. Time is the number of seconds since midnight, January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long baseTime;

	/** @return The time that the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	public long getBaseTime() {
		return this.baseTime;
	}
	/** @param x The time that the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	public void setBaseTime(long x) {
		this.baseTime = x;
	}

	/** The number of read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of read operations." , required = true)
	@XmlElement(required = true)
	private long readOps;

	/** @return The number of read operations. */
	public long getReadOps() {
		return this.readOps;
	}
	/** @param x The number of read operations. */
	public void setReadOps(long x) {
		this.readOps = x;
	}

	/** The number of bytes read. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes read." , required = true)
	@XmlElement(required = true)
	private long readBytes;

	/** @return The number of bytes read. */
	public long getReadBytes() {
		return this.readBytes;
	}
	/** @param x The number of bytes read. */
	public void setReadBytes(long x) {
		this.readBytes = x;
	}

	/** The total time in microseconds spent in read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The total time in microseconds spent in read operations." , required = true)
	@XmlElement(required = true)
	private long readTimeTotal;

	/** @return The total time in microseconds spent in read operations. */
	public long getReadTimeTotal() {
		return this.readTimeTotal;
	}
	/** @param x The total time in microseconds spent in read operations. */
	public void setReadTimeTotal(long x) {
		this.readTimeTotal = x;
	}

	/** The maximum time in microseconds spent in any one read operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum time in microseconds spent in any one read operation." , required = true)
	@XmlElement(required = true)
	private long readTimeMax;

	/** @return The maximum time in microseconds spent in any one read operation. */
	public long getReadTimeMax() {
		return this.readTimeMax;
	}
	/** @param x The maximum time in microseconds spent in any one read operation. */
	public void setReadTimeMax(long x) {
		this.readTimeMax = x;
	}

	/** The number of write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of write operations." , required = true)
	@XmlElement(required = true)
	private long writeOps;

	/** @return The number of write operations. */
	public long getWriteOps() {
		return this.writeOps;
	}
	/** @param x The number of write operations. */
	public void setWriteOps(long x) {
		this.writeOps = x;
	}

	/** The number of bytes written. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes written." , required = true)
	@XmlElement(required = true)
	private long writeBytes;

	/** @return The number of bytes written. */
	public long getWriteBytes() {
		return this.writeBytes;
	}
	/** @param x The number of bytes written. */
	public void setWriteBytes(long x) {
		this.writeBytes = x;
	}

	/** The total time in microseconds spent in write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The total time in microseconds spent in write operations." , required = true)
	@XmlElement(required = true)
	private long writeTimeTotal;

	/** @return The total time in microseconds spent in write operations. */
	public long getWriteTimeTotal() {
		return this.writeTimeTotal;
	}
	/** @param x The total time in microseconds spent in write operations. */
	public void setWriteTimeTotal(long x) {
		this.writeTimeTotal = x;
	}

	/** The maximum time in microseconds spent in any one write operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum time in microseconds spent in any one write operation." , required = true)
	@XmlElement(required = true)
	private long writeTimeMax;

	/** @return The maximum time in microseconds spent in any one write operation. */
	public long getWriteTimeMax() {
		return this.writeTimeMax;
	}
	/** @param x The maximum time in microseconds spent in any one write operation. */
	public void setWriteTimeMax(long x) {
		this.writeTimeMax = x;
	}

	/** The number of non-read-write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of non-read-write operations." , required = true)
	@XmlElement(required = true)
	private long otherOps;

	/** @return The number of non-read-write operations. */
	public long getOtherOps() {
		return this.otherOps;
	}
	/** @param x The number of non-read-write operations. */
	public void setOtherOps(long x) {
		this.otherOps = x;
	}

	/** The total time in microseconds spent in non-read-write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The total time in microseconds spent in non-read-write operations." , required = true)
	@XmlElement(required = true)
	private long otherTimeTotal;

	/** @return The total time in microseconds spent in non-read-write operations. */
	public long getOtherTimeTotal() {
		return this.otherTimeTotal;
	}
	/** @param x The total time in microseconds spent in non-read-write operations. */
	public void setOtherTimeTotal(long x) {
		this.otherTimeTotal = x;
	}

	/** The maximum time in microseconds spent in any one non-read-write operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum time in microseconds spent in any one non-read-write operation." , required = true)
	@XmlElement(required = true)
	private long otherTimeMax;

	/** @return The maximum time in microseconds spent in any one non-read-write operation. */
	public long getOtherTimeMax() {
		return this.otherTimeMax;
	}
	/** @param x The maximum time in microseconds spent in any one non-read-write operation. */
	public void setOtherTimeMax(long x) {
		this.otherTimeMax = x;
	}

	/** The total time in microseconds spent idle since baseTime. */
	@io.swagger.annotations.ApiModelProperty(value ="The total time in microseconds spent idle since baseTime." , required = true)
	@XmlElement(required = true)
	private long idleTime;

	/** @return The total time in microseconds spent idle since baseTime. */
	public long getIdleTime() {
		return this.idleTime;
	}
	/** @param x The total time in microseconds spent idle since baseTime. */
	public void setIdleTime(long x) {
		this.idleTime = x;
	}

	/** The number of recovered errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of recovered errors." , required = true)
	@XmlElement(required = true)
	private long recoveredErrors;

	/** @return The number of recovered errors. */
	public long getRecoveredErrors() {
		return this.recoveredErrors;
	}
	/** @param x The number of recovered errors. */
	public void setRecoveredErrors(long x) {
		this.recoveredErrors = x;
	}

	/** The number of unrecovered errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of unrecovered errors." , required = true)
	@XmlElement(required = true)
	private long unrecoveredErrors;

	/** @return The number of unrecovered errors. */
	public long getUnrecoveredErrors() {
		return this.unrecoveredErrors;
	}
	/** @param x The number of unrecovered errors. */
	public void setUnrecoveredErrors(long x) {
		this.unrecoveredErrors = x;
	}

	/** The number of timeouts. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of timeouts." , required = true)
	@XmlElement(required = true)
	private long timeouts;

	/** @return The number of timeouts. */
	public long getTimeouts() {
		return this.timeouts;
	}
	/** @param x The number of timeouts. */
	public void setTimeouts(long x) {
		this.timeouts = x;
	}

	/** The number of retried I/O operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of retried I/O operations." , required = true)
	@XmlElement(required = true)
	private long retriedIos;

	/** @return The number of retried I/O operations. */
	public long getRetriedIos() {
		return this.retriedIos;
	}
	/** @param x The number of retried I/O operations. */
	public void setRetriedIos(long x) {
		this.retriedIos = x;
	}

	/** The sum of the squares of microseconds spent in read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The sum of the squares of microseconds spent in read operations." , required = true)
	@XmlElement(required = true)
	private long readTimeTotalSq;

	/** @return The sum of the squares of microseconds spent in read operations. */
	public long getReadTimeTotalSq() {
		return this.readTimeTotalSq;
	}
	/** @param x The sum of the squares of microseconds spent in read operations. */
	public void setReadTimeTotalSq(long x) {
		this.readTimeTotalSq = x;
	}

	/** The sum of the squares of microseconds spent in write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The sum of the squares of microseconds spent in write operations." , required = true)
	@XmlElement(required = true)
	private long writeTimeTotalSq;

	/** @return The sum of the squares of microseconds spent in write operations. */
	public long getWriteTimeTotalSq() {
		return this.writeTimeTotalSq;
	}
	/** @param x The sum of the squares of microseconds spent in write operations. */
	public void setWriteTimeTotalSq(long x) {
		this.writeTimeTotalSq = x;
	}

	/** The sum of the squares of microseconds spent in non read-write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The sum of the squares of microseconds spent in non read-write operations." , required = true)
	@XmlElement(required = true)
	private long otherTimeTotalSq;

	/** @return The sum of the squares of microseconds spent in non read-write operations. */
	public long getOtherTimeTotalSq() {
		return this.otherTimeTotalSq;
	}
	/** @param x The sum of the squares of microseconds spent in non read-write operations. */
	public void setOtherTimeTotalSq(long x) {
		this.otherTimeTotalSq = x;
	}

	/** Start time for this collection as measured by the number of seconds since baseTime. */
	@io.swagger.annotations.ApiModelProperty(value ="Start time for this collection as measured by the number of seconds since baseTime." , required = true)
	@XmlElement(required = true)
	private long startTime;

	/** @return Start time for this collection as measured by the number of seconds since baseTime. */
	public long getStartTime() {
		return this.startTime;
	}
	/** @param x Start time for this collection as measured by the number of seconds since baseTime. */
	public void setStartTime(long x) {
		this.startTime = x;
	}

	/** End time for this collection as measured by the number of seconds since baseTime. */
	@io.swagger.annotations.ApiModelProperty(value ="End time for this collection as measured by the number of seconds since baseTime." , required = true)
	@XmlElement(required = true)
	private long observedTime;

	/** @return End time for this collection as measured by the number of seconds since baseTime. */
	public long getObservedTime() {
		return this.observedTime;
	}
	/** @param x End time for this collection as measured by the number of seconds since baseTime. */
	public void setObservedTime(long x) {
		this.observedTime = x;
	}

	/** Total drive queue depth. */
	@io.swagger.annotations.ApiModelProperty(value ="Total drive queue depth." , required = true)
	@XmlElement(required = true)
	private long queueDepthTotal;

	/** @return Total drive queue depth. */
	public long getQueueDepthTotal() {
		return this.queueDepthTotal;
	}
	/** @param x Total drive queue depth. */
	public void setQueueDepthTotal(long x) {
		this.queueDepthTotal = x;
	}

	/** Maximum queue depth. */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum queue depth." , required = true)
	@XmlElement(required = true)
	private long queueDepthMax;

	/** @return Maximum queue depth. */
	public long getQueueDepthMax() {
		return this.queueDepthMax;
	}
	/** @param x Maximum queue depth. */
	public void setQueueDepthMax(long x) {
		this.queueDepthMax = x;
	}

	/** Total number of IOs that are categorized as random. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of IOs that are categorized as random." , required = true)
	@XmlElement(required = true)
	private long randomIosTotal;

	/** @return Total number of IOs that are categorized as random. */
	public long getRandomIosTotal() {
		return this.randomIosTotal;
	}
	/** @param x Total number of IOs that are categorized as random. */
	public void setRandomIosTotal(long x) {
		this.randomIosTotal = x;
	}

	/** Total number of Bytes that are categorized as random. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of Bytes that are categorized as random." , required = true)
	@XmlElement(required = true)
	private long randomBytesTotal;

	/** @return Total number of Bytes that are categorized as random. */
	public long getRandomBytesTotal() {
		return this.randomBytesTotal;
	}
	/** @param x Total number of Bytes that are categorized as random. */
	public void setRandomBytesTotal(long x) {
		this.randomBytesTotal = x;
	}

	/** Sum of LBA's accessed from the drive within an observation interval. */
	@io.swagger.annotations.ApiModelProperty(value ="Sum of LBA's accessed from the drive within an observation interval." , required = true)
	@XmlElement(required = true)
	private long cumulativeLBA;

	/** @return Sum of LBA's accessed from the drive within an observation interval. */
	public long getCumulativeLBA() {
		return this.cumulativeLBA;
	}
	/** @param x Sum of LBA's accessed from the drive within an observation interval. */
	public void setCumulativeLBA(long x) {
		this.cumulativeLBA = x;
	}

	/** Sum of LBA shifts accessed from the drive within an observation interval. */
	@io.swagger.annotations.ApiModelProperty(value ="Sum of LBA shifts accessed from the drive within an observation interval." , required = true)
	@XmlElement(required = true)
	private long cumulativeDeltaLBA;

	/** @return Sum of LBA shifts accessed from the drive within an observation interval. */
	public long getCumulativeDeltaLBA() {
		return this.cumulativeDeltaLBA;
	}
	/** @param x Sum of LBA shifts accessed from the drive within an observation interval. */
	public void setCumulativeDeltaLBA(long x) {
		this.cumulativeDeltaLBA = x;
	}
}
