package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about a loss of redundancy to an ESM card. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(768)
public class EsmLostRedundancyFailure implements Serializable {
	public EsmLostRedundancyFailure() {
	}

	/** This object uniquely identifies the particular ESM card within the storage array that has lost redundancy. */
	@io.swagger.annotations.ApiModelProperty(value ="This object uniquely identifies the particular ESM card within the storage array that has lost redundancy." , required = true)
	@XmlElement(required = true)
	private String esmLostRedundancy;

	/** @return This object uniquely identifies the particular ESM card within the storage array that has lost redundancy. */
	public String getEsmLostRedundancy() {
		return this.esmLostRedundancy;
	}
	/** @param x This object uniquely identifies the particular ESM card within the storage array that has lost redundancy. */
	public void setEsmLostRedundancy(String x) {
		this.esmLostRedundancy = x;
	}

	/** The channel to the ESM card that is still operational. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel to the ESM card that is still operational." , required = true)
	@XmlElement(required = true)
	private int workingChannel;

	/** @return The channel to the ESM card that is still operational. */
	public int getWorkingChannel() {
		return this.workingChannel;
	}
	/** @param x The channel to the ESM card that is still operational. */
	public void setWorkingChannel(int x) {
		this.workingChannel = x;
	}
}
