package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure allows customized control over the handling of MEL events. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(441)
public class EventControl implements Serializable {
	public EventControl() {
	}

	/** If this value if equal to EVENT_DEFAULT_PRIORITY then the management client should use the priority value from the MelEntry structure when filtering events for display, otherwise this value should be used. */
	@io.swagger.annotations.ApiModelProperty(value ="If this value if equal to EVENT_DEFAULT_PRIORITY then the management client should use the priority value from the MelEntry structure when filtering events for display, otherwise this value should be used." , required = true)
	@XmlElement(required = true)
	private EventPriority oemPriority = EventPriority.__UNDEFINED;

	/** @return If this value if equal to EVENT_DEFAULT_PRIORITY then the management client should use the priority value from the MelEntry structure when filtering events for display, otherwise this value should be used. */
	public EventPriority getOemPriority() {
		return this.oemPriority;
	}
	/** @param x If this value if equal to EVENT_DEFAULT_PRIORITY then the management client should use the priority value from the MelEntry structure when filtering events for display, otherwise this value should be used. */
	public void setOemPriority(EventPriority x) {
		this.oemPriority = x;
	}

	/** This is the default value for needs attention. Its value can be overridden by oemNeedsAttention. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the default value for needs attention. Its value can be overridden by oemNeedsAttention." , required = true)
	@XmlElement(required = true)
	private boolean defaultNeedsAttention;

	/** @return This is the default value for needs attention. Its value can be overridden by oemNeedsAttention. */
	public boolean isDefaultNeedsAttention() {
		return this.defaultNeedsAttention;
	}
	/** @param x This is the default value for needs attention. Its value can be overridden by oemNeedsAttention. */
	public void setDefaultNeedsAttention(boolean x) {
		this.defaultNeedsAttention = x;
	}

	/** This is the default value for sending an alert. Its value can be overridden by oemSendAlert. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the default value for sending an alert. Its value can be overridden by oemSendAlert." , required = true)
	@XmlElement(required = true)
	private boolean defaultSendAlert;

	/** @return This is the default value for sending an alert. Its value can be overridden by oemSendAlert. */
	public boolean isDefaultSendAlert() {
		return this.defaultSendAlert;
	}
	/** @param x This is the default value for sending an alert. Its value can be overridden by oemSendAlert. */
	public void setDefaultSendAlert(boolean x) {
		this.defaultSendAlert = x;
	}

	/** This is the default value for visibility. Its value can be overridden by oemVisibility. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the default value for visibility. Its value can be overridden by oemVisibility." , required = true)
	@XmlElement(required = true)
	private boolean defaultVisibility;

	/** @return This is the default value for visibility. Its value can be overridden by oemVisibility. */
	public boolean isDefaultVisibility() {
		return this.defaultVisibility;
	}
	/** @param x This is the default value for visibility. Its value can be overridden by oemVisibility. */
	public void setDefaultVisibility(boolean x) {
		this.defaultVisibility = x;
	}

	/** If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultNeedsAttention determines whether Needs Attention is set on the array. Otherwise, this field determines whether Needs Attention is set on the array. */
	@io.swagger.annotations.ApiModelProperty(value ="If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultNeedsAttention determines whether Needs Attention is set on the array. Otherwise, this field determines whether Needs Attention is set on the array." , required = true)
	@XmlElement(required = true)
	private EventControlOverride oemNeedsAttention = EventControlOverride.__UNDEFINED;

	/** @return If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultNeedsAttention determines whether Needs Attention is set on the array. Otherwise, this field determines whether Needs Attention is set on the array. */
	public EventControlOverride getOemNeedsAttention() {
		return this.oemNeedsAttention;
	}
	/** @param x If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultNeedsAttention determines whether Needs Attention is set on the array. Otherwise, this field determines whether Needs Attention is set on the array. */
	public void setOemNeedsAttention(EventControlOverride x) {
		this.oemNeedsAttention = x;
	}

	/** If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultSendAlert determines whether an alert will be sent. Otherwise this field determines whether an alert will be sent. */
	@io.swagger.annotations.ApiModelProperty(value ="If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultSendAlert determines whether an alert will be sent. Otherwise this field determines whether an alert will be sent." , required = true)
	@XmlElement(required = true)
	private EventControlOverride oemSendAlert = EventControlOverride.__UNDEFINED;

	/** @return If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultSendAlert determines whether an alert will be sent. Otherwise this field determines whether an alert will be sent. */
	public EventControlOverride getOemSendAlert() {
		return this.oemSendAlert;
	}
	/** @param x If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultSendAlert determines whether an alert will be sent. Otherwise this field determines whether an alert will be sent. */
	public void setOemSendAlert(EventControlOverride x) {
		this.oemSendAlert = x;
	}

	/** If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultVisibility determines whether the event will be displayed. Otherwise, this field determines whether the event will be displayed. */
	@io.swagger.annotations.ApiModelProperty(value ="If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultVisibility determines whether the event will be displayed. Otherwise, this field determines whether the event will be displayed." , required = true)
	@XmlElement(required = true)
	private EventControlOverride oemVisibility = EventControlOverride.__UNDEFINED;

	/** @return If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultVisibility determines whether the event will be displayed. Otherwise, this field determines whether the event will be displayed. */
	public EventControlOverride getOemVisibility() {
		return this.oemVisibility;
	}
	/** @param x If this value is equal to EVENT_CONTROL_ACCEPT_DEFAULT then the value of defaultVisibility determines whether the event will be displayed. Otherwise, this field determines whether the event will be displayed. */
	public void setOemVisibility(EventControlOverride x) {
		this.oemVisibility = x;
	}

	/** If this value is true, a support bundle will be collected. */
	@io.swagger.annotations.ApiModelProperty(value ="If this value is true, a support bundle will be collected." , required = true)
	@XmlElement(required = true)
	private boolean collectSupportBundle;

	/** @return If this value is true, a support bundle will be collected. */
	public boolean isCollectSupportBundle() {
		return this.collectSupportBundle;
	}
	/** @param x If this value is true, a support bundle will be collected. */
	public void setCollectSupportBundle(boolean x) {
		this.collectSupportBundle = x;
	}

	/** This flag indicates whether or not this MEL event should be marked as the reason a customer case was automatically created. It's possible that multiple MEL events could be present in the MEL log that would trigger case creation. But the first MEL event in the log that has this flag set will be tagged as the event that caused the case to be created. */
	@io.swagger.annotations.ApiModelProperty(value ="This flag indicates whether or not this MEL event should be marked as the reason a customer case was automatically created. It's possible that multiple MEL events could be present in the MEL log that would trigger case creation. But the first MEL event in the log that has this flag set will be tagged as the event that caused the case to be created." , required = true)
	@XmlElement(required = true)
	private boolean priorityCaseCreationTrigger;

	/** @return This flag indicates whether or not this MEL event should be marked as the reason a customer case was automatically created. It's possible that multiple MEL events could be present in the MEL log that would trigger case creation. But the first MEL event in the log that has this flag set will be tagged as the event that caused the case to be created. */
	public boolean isPriorityCaseCreationTrigger() {
		return this.priorityCaseCreationTrigger;
	}
	/** @param x This flag indicates whether or not this MEL event should be marked as the reason a customer case was automatically created. It's possible that multiple MEL events could be present in the MEL log that would trigger case creation. But the first MEL event in the log that has this flag set will be tagged as the event that caused the case to be created. */
	public void setPriorityCaseCreationTrigger(boolean x) {
		this.priorityCaseCreationTrigger = x;
	}
}
