package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union object is used as the return argument for the getVolumeGroupExpansionCandidates procedure. It identifies candidate drive sets that may be used to expand a given volume group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(739)
public class ExpansionCandidatesReturned implements Serializable {
	public ExpansionCandidatesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** A list of candidate drive sets that may be used for expanding the given volume group. This field is valid only when the value of returnCode is RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of candidate drive sets that may be used for expanding the given volume group. This field is valid only when the value of returnCode is RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private VolumeGroupExpansionCandidate[] candidates;

	/** @return A list of candidate drive sets that may be used for expanding the given volume group. This field is valid only when the value of returnCode is RETCODE_OK. */
	public VolumeGroupExpansionCandidate[] getCandidates() {
		return this.candidates;
	}
	/** @param x A list of candidate drive sets that may be used for expanding the given volume group. This field is valid only when the value of returnCode is RETCODE_OK. */
	public void setCandidates(VolumeGroupExpansionCandidate[] x) {
		this.candidates = x;
	}
}
