package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union object is returned by the getExportDependencies procedure. It contains the procedure return code, and, if the status is good, the return data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1149)
public class ExportDependenciesReturned implements Serializable {
	public ExportDependenciesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is an array of ExportDependency structures. This field is present only when the returnCode field is RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is an array of ExportDependency structures. This field is present only when the returnCode field is RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private ExportDependency[] dependency;

	/** @return This field is an array of ExportDependency structures. This field is present only when the returnCode field is RETCODE_OK. */
	public ExportDependency[] getDependency() {
		return this.dependency;
	}
	/** @param x This field is an array of ExportDependency structures. This field is present only when the returnCode field is RETCODE_OK. */
	public void setDependency(ExportDependency[] x) {
		this.dependency = x;
	}
}
