package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about a premium subsystem feature. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(741)
public class FeatureState implements Serializable {
	public FeatureState() {
	}

	/** This field will contain the value of the premium feature being described. */
	@io.swagger.annotations.ApiModelProperty(value ="This field will contain the value of the premium feature being described." , required = true)
	@XmlElement(required = true)
	private Capability capability = Capability.__UNDEFINED;

	/** @return This field will contain the value of the premium feature being described. */
	public Capability getCapability() {
		return this.capability;
	}
	/** @param x This field will contain the value of the premium feature being described. */
	public void setCapability(Capability x) {
		this.capability = x;
	}

	/** A true value in this field indicates that the feature is enabled (regardless of compliance) */
	@io.swagger.annotations.ApiModelProperty(value ="A true value in this field indicates that the feature is enabled (regardless of compliance)" , required = true)
	@XmlElement(required = true)
	private boolean isEnabled;

	/** @return A true value in this field indicates that the feature is enabled (regardless of compliance) */
	public boolean isIsEnabled() {
		return this.isEnabled;
	}
	/** @param x A true value in this field indicates that the feature is enabled (regardless of compliance) */
	public void setIsEnabled(boolean x) {
		this.isEnabled = x;
	}

	/** A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	@io.swagger.annotations.ApiModelProperty(value ="A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled." , required = true)
	@XmlElement(required = true)
	private boolean isCompliant;

	/** @return A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	public boolean isIsCompliant() {
		return this.isCompliant;
	}
	/** @param x A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	public void setIsCompliant(boolean x) {
		this.isCompliant = x;
	}

	/** This field is deprecated. Use isCompliant field instead. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is deprecated. Use isCompliant field instead." , required = true)
	@XmlElement(required = true)
	private boolean isWithinLimits;

	/** @return This field is deprecated. Use isCompliant field instead. */
	public boolean isIsWithinLimits() {
		return this.isWithinLimits;
	}
	/** @param x This field is deprecated. Use isCompliant field instead. */
	public void setIsWithinLimits(boolean x) {
		this.isWithinLimits = x;
	}

	/** This field contains the value of the feature ID associated with the feature. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains the value of the feature ID associated with the feature." , required = true)
	@XmlElement(required = true)
	private FeatureId featureId = FeatureId.__UNDEFINED;

	/** @return This field contains the value of the feature ID associated with the feature. */
	public FeatureId getFeatureId() {
		return this.featureId;
	}
	/** @param x This field contains the value of the feature ID associated with the feature. */
	public void setFeatureId(FeatureId x) {
		this.featureId = x;
	}

	/** This field contains a reference to the feature. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains a reference to the feature." , required = true)
	@XmlElement(required = true)
	private String featureRef;

	/** @return This field contains a reference to the feature. */
	public String getFeatureRef() {
		return this.featureRef;
	}
	/** @param x This field contains a reference to the feature. */
	public void setFeatureRef(String x) {
		this.featureRef = x;
	}

	/** A numerical description associated with this FeatureState object, describing the level or tier for this feature. A zero value represents a feature that does not support tiering. Non-zero implies a tiering level. */
	@io.swagger.annotations.ApiModelProperty(value ="A numerical description associated with this FeatureState object, describing the level or tier for this feature. A zero value represents a feature that does not support tiering. Non-zero implies a tiering level." , required = true)
	@XmlElement(required = true)
	private int limit;

	/** @return A numerical description associated with this FeatureState object, describing the level or tier for this feature. A zero value represents a feature that does not support tiering. Non-zero implies a tiering level. */
	public int getLimit() {
		return this.limit;
	}
	/** @param x A numerical description associated with this FeatureState object, describing the level or tier for this feature. A zero value represents a feature that does not support tiering. Non-zero implies a tiering level. */
	public void setLimit(int x) {
		this.limit = x;
	}

	/** Describes the timeframe this feature will be available. A zero value describes an infinite duration. The unit of duration is in days. */
	@io.swagger.annotations.ApiModelProperty(value ="Describes the timeframe this feature will be available. A zero value describes an infinite duration. The unit of duration is in days." , required = true)
	@XmlElement(required = true)
	private int duration;

	/** @return Describes the timeframe this feature will be available. A zero value describes an infinite duration. The unit of duration is in days. */
	public int getDuration() {
		return this.duration;
	}
	/** @param x Describes the timeframe this feature will be available. A zero value describes an infinite duration. The unit of duration is in days. */
	public void setDuration(int x) {
		this.duration = x;
	}

	/** Describes the time when this feature was enabled. */
	@io.swagger.annotations.ApiModelProperty(value ="Describes the time when this feature was enabled." , required = true)
	@XmlElement(required = true)
	private long enabledTime;

	/** @return Describes the time when this feature was enabled. */
	public long getEnabledTime() {
		return this.enabledTime;
	}
	/** @param x Describes the time when this feature was enabled. */
	public void setEnabledTime(long x) {
		this.enabledTime = x;
	}

	/** The supported Feature Bundle ID. When not in use this value will be zero. */
	@io.swagger.annotations.ApiModelProperty(value ="The supported Feature Bundle ID. When not in use this value will be zero." , required = true)
	@XmlElement(required = true)
	private int supportedFeatureBundleId;

	/** @return The supported Feature Bundle ID. When not in use this value will be zero. */
	public int getSupportedFeatureBundleId() {
		return this.supportedFeatureBundleId;
	}
	/** @param x The supported Feature Bundle ID. When not in use this value will be zero. */
	public void setSupportedFeatureBundleId(int x) {
		this.supportedFeatureBundleId = x;
	}

	/** TRUE if a permanent license for this feature has been applied. FALSE if the feature is being evaluated or is not enabled at all. */
	@io.swagger.annotations.ApiModelProperty(value ="TRUE if a permanent license for this feature has been applied. FALSE if the feature is being evaluated or is not enabled at all." , required = true)
	@XmlElement(required = true)
	private boolean permanentLicenseApplied;

	/** @return TRUE if a permanent license for this feature has been applied. FALSE if the feature is being evaluated or is not enabled at all. */
	public boolean isPermanentLicenseApplied() {
		return this.permanentLicenseApplied;
	}
	/** @param x TRUE if a permanent license for this feature has been applied. FALSE if the feature is being evaluated or is not enabled at all. */
	public void setPermanentLicenseApplied(boolean x) {
		this.permanentLicenseApplied = x;
	}
}
