package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different Fibre Channel topology types that may be reported as part of the I/O interface information associated with a controller. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(250)
public enum FibreTopologyType implements Serializable {
		/** The topology is not known. This generally indicates that the controller has not yet initialized the associated interface. */
		unknown(0),
		/** A point-to-point topology is being used. */
		ptp(1),
		/** A fabric-based topology is being used. */
		fabric(2),
		/** An arbitrated loop topology is being used. */
		arbLoop(3),
		/** A fabric loop topology is being used. */
		fabLoop(4),
		__UNDEFINED(464378545);

		public final int value;

		private FibreTopologyType(int v) {
			this.value = v;
		}
}
