package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about flash cache objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1021)
public class FlashCacheBundle implements Serializable {
	public FlashCacheBundle() {
	}

	/** A list of structures that map between the cached volumes and their associated flash cache. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of structures that map between the cached volumes and their associated flash cache." , required = true)
	@XmlElement(required = true)
	private FlashCacheMap[] flashCacheMap;

	/** @return A list of structures that map between the cached volumes and their associated flash cache. */
	public FlashCacheMap[] getFlashCacheMap() {
		return this.flashCacheMap;
	}
	/** @param x A list of structures that map between the cached volumes and their associated flash cache. */
	public void setFlashCacheMap(FlashCacheMap[] x) {
		this.flashCacheMap = x;
	}

	/** A list of flash cache objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of flash cache objects." , required = true)
	@XmlElement(required = true)
	private FlashCache[] flashCache;

	/** @return A list of flash cache objects. */
	public FlashCache[] getFlashCache() {
		return this.flashCache;
	}
	/** @param x A list of flash cache objects. */
	public void setFlashCache(FlashCache[] x) {
		this.flashCache = x;
	}
}
