package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about a free extent's attributes and current operational status. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(822)
public class FreeExtent implements Serializable {
	public FreeExtent() {
	}

	/** The sector offset of this free extent within its volume group. This value is provided only to allow the client application to determine the relative positions of free extents and volumes within a given volume group. No other assumptions or computations should be made with this value. */
	@io.swagger.annotations.ApiModelProperty(value ="The sector offset of this free extent within its volume group. This value is provided only to allow the client application to determine the relative positions of free extents and volumes within a given volume group. No other assumptions or computations should be made with this value." , required = true)
	@XmlElement(required = true)
	private long sectorOffset;

	/** @return The sector offset of this free extent within its volume group. This value is provided only to allow the client application to determine the relative positions of free extents and volumes within a given volume group. No other assumptions or computations should be made with this value. */
	public long getSectorOffset() {
		return this.sectorOffset;
	}
	/** @param x The sector offset of this free extent within its volume group. This value is provided only to allow the client application to determine the relative positions of free extents and volumes within a given volume group. No other assumptions or computations should be made with this value. */
	public void setSectorOffset(long x) {
		this.sectorOffset = x;
	}

	/** The total raw capacity of this free extent. If the storage array supports mixed RAID levels per volume group, this value will represent the raw capacity without accounting for RAID parity requirements. Otherwise, this value will represent the RAID-factored capacity of the free extent, and thus provide an indication of the maximum volume (using the volume group's RAID level) that can be created on this free extent. */
	@io.swagger.annotations.ApiModelProperty(value ="The total raw capacity of this free extent. If the storage array supports mixed RAID levels per volume group, this value will represent the raw capacity without accounting for RAID parity requirements. Otherwise, this value will represent the RAID-factored capacity of the free extent, and thus provide an indication of the maximum volume (using the volume group's RAID level) that can be created on this free extent." , required = true)
	@XmlElement(required = true)
	private long rawCapacity;

	/** @return The total raw capacity of this free extent. If the storage array supports mixed RAID levels per volume group, this value will represent the raw capacity without accounting for RAID parity requirements. Otherwise, this value will represent the RAID-factored capacity of the free extent, and thus provide an indication of the maximum volume (using the volume group's RAID level) that can be created on this free extent. */
	public long getRawCapacity() {
		return this.rawCapacity;
	}
	/** @param x The total raw capacity of this free extent. If the storage array supports mixed RAID levels per volume group, this value will represent the raw capacity without accounting for RAID parity requirements. Otherwise, this value will represent the RAID-factored capacity of the free extent, and thus provide an indication of the maximum volume (using the volume group's RAID level) that can be created on this free extent. */
	public void setRawCapacity(long x) {
		this.rawCapacity = x;
	}

	/** The RAID level of this free extent, which governs the allowed configuration of volumes that can be created on it. */
	@io.swagger.annotations.ApiModelProperty(value ="The RAID level of this free extent, which governs the allowed configuration of volumes that can be created on it." , required = true)
	@XmlElement(required = true)
	private RAIDLevel raidLevel = RAIDLevel.__UNDEFINED;

	/** @return The RAID level of this free extent, which governs the allowed configuration of volumes that can be created on it. */
	public RAIDLevel getRaidLevel() {
		return this.raidLevel;
	}
	/** @param x The RAID level of this free extent, which governs the allowed configuration of volumes that can be created on it. */
	public void setRaidLevel(RAIDLevel x) {
		this.raidLevel = x;
	}

	/** The volume group reference value of the volume group on which this free extent resides. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume group reference value of the volume group on which this free extent resides." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return The volume group reference value of the volume group on which this free extent resides. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x The volume group reference value of the volume group on which this free extent resides. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** The unique identification value for this free extent. Other objects may use this reference value to refer to the free extent. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identification value for this free extent. Other objects may use this reference value to refer to the free extent." , required = true)
	@XmlElement(required = true)
	private String freeExtentRef;

	/** @return The unique identification value for this free extent. Other objects may use this reference value to refer to the free extent. */
	public String getFreeExtentRef() {
		return this.freeExtentRef;
	}
	/** @param x The unique identification value for this free extent. Other objects may use this reference value to refer to the free extent. */
	public void setFreeExtentRef(String x) {
		this.freeExtentRef = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved for future use. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved for future use. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
