package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is the argument to the getIscsiSessions procedure. It allows the caller to specify a type of filter to apply for returned sessions. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(890)
public class GetIscsiSessionsFilter implements Serializable {
	public GetIscsiSessionsFilter() {
	}

	/** This enumeration type identifies the different filter options for the getIscsiSessions procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration type identifies the different filter options for the getIscsiSessions procedure." , required = true)
	@XmlElement(required = true)
	private GetIscsiSessionsType type = GetIscsiSessionsType.__UNDEFINED;

	/** @return This enumeration type identifies the different filter options for the getIscsiSessions procedure. */
	public GetIscsiSessionsType getType() {
		return this.type;
	}
	/** @param x This enumeration type identifies the different filter options for the getIscsiSessions procedure. */
	public void setType(GetIscsiSessionsType x) {
		this.type = x;
	}

	/** A reference to an initiator instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_INITIATOR. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to an initiator instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_INITIATOR." , required = false)
	@XmlElement(required = false)
	private String initiatorRef;

	/** @return A reference to an initiator instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_INITIATOR. */
	public String getInitiatorRef() {
		return this.initiatorRef;
	}
	/** @param x A reference to an initiator instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_INITIATOR. */
	public void setInitiatorRef(String x) {
		this.initiatorRef = x;
	}

	/** A reference to a target instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_TARGET. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a target instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_TARGET." , required = false)
	@XmlElement(required = false)
	private String targetRef;

	/** @return A reference to a target instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_TARGET. */
	public String getTargetRef() {
		return this.targetRef;
	}
	/** @param x A reference to a target instance. This field is present only if type is GET_ISCSI_SESSIONS_BY_TARGET. */
	public void setTargetRef(String x) {
		this.targetRef = x;
	}
}
