package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes the location of a controller host I/O card for reporting host I/O card failures or errors in the major event log. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(305)
public class HostIoCardLocation implements Serializable {
	public HostIoCardLocation() {
	}

	/** The tray ID of the controller that houses the host card. */
	@io.swagger.annotations.ApiModelProperty(value ="The tray ID of the controller that houses the host card." , required = true)
	@XmlElement(required = true)
	private int controllerTray;

	/** @return The tray ID of the controller that houses the host card. */
	public int getControllerTray() {
		return this.controllerTray;
	}
	/** @param x The tray ID of the controller that houses the host card. */
	public void setControllerTray(int x) {
		this.controllerTray = x;
	}

	/** The slot number of the controller that houses the host card. */
	@io.swagger.annotations.ApiModelProperty(value ="The slot number of the controller that houses the host card." , required = true)
	@XmlElement(required = true)
	private int controllerSlot;

	/** @return The slot number of the controller that houses the host card. */
	public int getControllerSlot() {
		return this.controllerSlot;
	}
	/** @param x The slot number of the controller that houses the host card. */
	public void setControllerSlot(int x) {
		this.controllerSlot = x;
	}

	/** The number of the slot on the controller where the host I/O card (a.k.a., host board) resides. Host I/O card slots are numbered starting at one, independent of other types of slots (e.g., cache backup device slots) on the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of the slot on the controller where the host I/O card (a.k.a., host board) resides. Host I/O card slots are numbered starting at one, independent of other types of slots (e.g., cache backup device slots) on the controller." , required = true)
	@XmlElement(required = true)
	private int hostIoCardControllerSlot;

	/** @return The number of the slot on the controller where the host I/O card (a.k.a., host board) resides. Host I/O card slots are numbered starting at one, independent of other types of slots (e.g., cache backup device slots) on the controller. */
	public int getHostIoCardControllerSlot() {
		return this.hostIoCardControllerSlot;
	}
	/** @param x The number of the slot on the controller where the host I/O card (a.k.a., host board) resides. Host I/O card slots are numbered starting at one, independent of other types of slots (e.g., cache backup device slots) on the controller. */
	public void setHostIoCardControllerSlot(int x) {
		this.hostIoCardControllerSlot = x;
	}
}
