package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines the set of changeable properties for a HostPort object. Each field has a length indicator that can be zero or one. A length indicator of zero means the value is not specified. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(717)
public class HostPortChangeableProperties implements Serializable {
	public HostPortChangeableProperties() {
	}

	/** The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port." , required = true)
	@XmlElement(required = true)
	private String[] hostPortName;

	/** @return The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	public String[] getHostPortName() {
		return this.hostPortName;
	}
	/** @param x The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	public void setHostPortName(String[] x) {
		this.hostPortName = x;
	}

	/** The user-assigned, descriptive label string for the host port. */
	@io.swagger.annotations.ApiModelProperty(value ="The user-assigned, descriptive label string for the host port." , required = true)
	@XmlElement(required = true)
	private String[] label;

	/** @return The user-assigned, descriptive label string for the host port. */
	public String[] getLabel() {
		return this.label;
	}
	/** @param x The user-assigned, descriptive label string for the host port. */
	public void setLabel(String[] x) {
		this.label = x;
	}

	/** The host reference value of the host in which this port resides. */
	@io.swagger.annotations.ApiModelProperty(value ="The host reference value of the host in which this port resides." , required = true)
	@XmlElement(required = true)
	private String[] hostRef;

	/** @return The host reference value of the host in which this port resides. */
	public String[] getHostRef() {
		return this.hostRef;
	}
	/** @param x The host reference value of the host in which this port resides. */
	public void setHostRef(String[] x) {
		this.hostRef = x;
	}
}
