package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input argument to the setHostPortProperties procedure. It contains a reference to the affected host port, along with a group of properties to set for the host port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1039)
public class HostPortPropertiesUpdateDescriptor implements Serializable {
	public HostPortPropertiesUpdateDescriptor() {
	}

	/** A reference to the affected host port. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the affected host port." , required = true)
	@XmlElement(required = true)
	private String hostPortRef;

	/** @return A reference to the affected host port. */
	public String getHostPortRef() {
		return this.hostPortRef;
	}
	/** @param x A reference to the affected host port. */
	public void setHostPortRef(String x) {
		this.hostPortRef = x;
	}

	/** The new property settings for the host port. */
	@io.swagger.annotations.ApiModelProperty(value ="The new property settings for the host port." , required = true)
	@XmlElement(required = true)
	private HostPortMutableProperties settings;

	/** @return The new property settings for the host port. */
	public HostPortMutableProperties getSettings() {
		return this.settings;
	}
	/** @param x The new property settings for the host port. */
	public void setSettings(HostPortMutableProperties x) {
		this.settings = x;
	}
}
