package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey details of a host that has loss redudant connections to the array and is reported in the FailureTypeEntry for REC_HOST_REDUNDANCY_LOST. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(628)
public class HostRedundancyLossDetails implements Serializable {
	public HostRedundancyLossDetails() {
	}

	/** The host that has lost redundant connection to the array. */
	@io.swagger.annotations.ApiModelProperty(value ="The host that has lost redundant connection to the array." , required = true)
	@XmlElement(required = true)
	private String hostRef;

	/** @return The host that has lost redundant connection to the array. */
	public String getHostRef() {
		return this.hostRef;
	}
	/** @param x The host that has lost redundant connection to the array. */
	public void setHostRef(String x) {
		this.hostRef = x;
	}

	/** The host has lost connection to this controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The host has lost connection to this controller." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The host has lost connection to this controller. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The host has lost connection to this controller. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
