package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to contain the host specific values from the heterogeneous host region. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(542)
public class HostSpecificValues implements Serializable {
	public HostSpecificValues() {
	}

	/** The download microcode status control. */
	@io.swagger.annotations.ApiModelProperty(value ="The download microcode status control." , required = true)
	@XmlElement(required = true)
	private boolean waitForDownload;

	/** @return The download microcode status control. */
	public boolean isWaitForDownload() {
		return this.waitForDownload;
	}
	/** @param x The download microcode status control. */
	public void setWaitForDownload(boolean x) {
		this.waitForDownload = x;
	}

	/** This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines the response of the controller to commands received during the 'controller quiesced' state." , required = true)
	@XmlElement(required = true)
	private boolean notReadySenseForQuiescenceInProgress;

	/** @return This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	public boolean isNotReadySenseForQuiescenceInProgress() {
		return this.notReadySenseForQuiescenceInProgress;
	}
	/** @param x This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	public void setNotReadySenseForQuiescenceInProgress(boolean x) {
		this.notReadySenseForQuiescenceInProgress = x;
	}

	/** This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines the response of the controller to commands received during the 'controller quiesced' state." , required = true)
	@XmlElement(required = true)
	private boolean notReadySenseForQuiescenceInProgress2;

	/** @return This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	public boolean isNotReadySenseForQuiescenceInProgress2() {
		return this.notReadySenseForQuiescenceInProgress2;
	}
	/** @param x This value determines the response of the controller to commands received during the 'controller quiesced' state. */
	public void setNotReadySenseForQuiescenceInProgress2(boolean x) {
		this.notReadySenseForQuiescenceInProgress2 = x;
	}

	/** This value determines if the controller will report a vendor unique Unit Attention condition as a Check Condition status. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines if the controller will report a vendor unique Unit Attention condition as a Check Condition status." , required = true)
	@XmlElement(required = true)
	private boolean checkConditionForVendorUniqueUAConditions;

	/** @return This value determines if the controller will report a vendor unique Unit Attention condition as a Check Condition status. */
	public boolean isCheckConditionForVendorUniqueUAConditions() {
		return this.checkConditionForVendorUniqueUAConditions;
	}
	/** @param x This value determines if the controller will report a vendor unique Unit Attention condition as a Check Condition status. */
	public void setCheckConditionForVendorUniqueUAConditions(boolean x) {
		this.checkConditionForVendorUniqueUAConditions = x;
	}

	/** This value is used to determine how deferred errors are reported to the host. */
	@io.swagger.annotations.ApiModelProperty(value ="This value is used to determine how deferred errors are reported to the host." , required = true)
	@XmlElement(required = true)
	private boolean reportDeferredErrors;

	/** @return This value is used to determine how deferred errors are reported to the host. */
	public boolean isReportDeferredErrors() {
		return this.reportDeferredErrors;
	}
	/** @param x This value is used to determine how deferred errors are reported to the host. */
	public void setReportDeferredErrors(boolean x) {
		this.reportDeferredErrors = x;
	}

	/** This value determines controller treatment of the Force Unit Access Option in the SCSI Read(10) and Write(10) commands. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines controller treatment of the Force Unit Access Option in the SCSI Read(10) and Write(10) commands." , required = true)
	@XmlElement(required = true)
	private boolean ignoreForceUnitAccess;

	/** @return This value determines controller treatment of the Force Unit Access Option in the SCSI Read(10) and Write(10) commands. */
	public boolean isIgnoreForceUnitAccess() {
		return this.ignoreForceUnitAccess;
	}
	/** @param x This value determines controller treatment of the Force Unit Access Option in the SCSI Read(10) and Write(10) commands. */
	public void setIgnoreForceUnitAccess(boolean x) {
		this.ignoreForceUnitAccess = x;
	}

	/** This value determines if the controller will allow the resetting of the WCE bit in the Mode Select Caching Page to disable write caching. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines if the controller will allow the resetting of the WCE bit in the Mode Select Caching Page to disable write caching." , required = true)
	@XmlElement(required = true)
	private boolean ignoreWriteCacheDisable;

	/** @return This value determines if the controller will allow the resetting of the WCE bit in the Mode Select Caching Page to disable write caching. */
	public boolean isIgnoreWriteCacheDisable() {
		return this.ignoreWriteCacheDisable;
	}
	/** @param x This value determines if the controller will allow the resetting of the WCE bit in the Mode Select Caching Page to disable write caching. */
	public void setIgnoreWriteCacheDisable(boolean x) {
		this.ignoreWriteCacheDisable = x;
	}

	/** This value determines the controller response to Reservation/Release commands that are received for LUNs that are not owned by the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines the controller response to Reservation/Release commands that are received for LUNs that are not owned by the controller." , required = true)
	@XmlElement(required = true)
	private boolean allowReservationOnUnownedLUNs;

	/** @return This value determines the controller response to Reservation/Release commands that are received for LUNs that are not owned by the controller. */
	public boolean isAllowReservationOnUnownedLUNs() {
		return this.allowReservationOnUnownedLUNs;
	}
	/** @param x This value determines the controller response to Reservation/Release commands that are received for LUNs that are not owned by the controller. */
	public void setAllowReservationOnUnownedLUNs(boolean x) {
		this.allowReservationOnUnownedLUNs = x;
	}

	/** Set to true if the WWN is in the standard inquiry data. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if the WWN is in the standard inquiry data." , required = true)
	@XmlElement(required = true)
	private boolean worldWideNameInStandardInquiry;

	/** @return Set to true if the WWN is in the standard inquiry data. */
	public boolean isWorldWideNameInStandardInquiry() {
		return this.worldWideNameInStandardInquiry;
	}
	/** @param x Set to true if the WWN is in the standard inquiry data. */
	public void setWorldWideNameInStandardInquiry(boolean x) {
		this.worldWideNameInStandardInquiry = x;
	}

	/** This value determines whether the controller will propagate a Host Bus Reset/Target Reset/Logical Unit Reset to the other controller in a dual controller subsystem to support Microsoft Clustering Services. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines whether the controller will propagate a Host Bus Reset/Target Reset/Logical Unit Reset to the other controller in a dual controller subsystem to support Microsoft Clustering Services." , required = true)
	@XmlElement(required = true)
	private boolean propagateHostBusResets;

	/** @return This value determines whether the controller will propagate a Host Bus Reset/Target Reset/Logical Unit Reset to the other controller in a dual controller subsystem to support Microsoft Clustering Services. */
	public boolean isPropagateHostBusResets() {
		return this.propagateHostBusResets;
	}
	/** @param x This value determines whether the controller will propagate a Host Bus Reset/Target Reset/Logical Unit Reset to the other controller in a dual controller subsystem to support Microsoft Clustering Services. */
	public void setPropagateHostBusResets(boolean x) {
		this.propagateHostBusResets = x;
	}

	/** Report SCC Device Enable. */
	@io.swagger.annotations.ApiModelProperty(value ="Report SCC Device Enable." , required = true)
	@XmlElement(required = true)
	private boolean reportSCCDeviceEnable;

	/** @return Report SCC Device Enable. */
	public boolean isReportSCCDeviceEnable() {
		return this.reportSCCDeviceEnable;
	}
	/** @param x Report SCC Device Enable. */
	public void setReportSCCDeviceEnable(boolean x) {
		this.reportSCCDeviceEnable = x;
	}

	/** Conditional Fibre Channel Logout. */
	@io.swagger.annotations.ApiModelProperty(value ="Conditional Fibre Channel Logout." , required = true)
	@XmlElement(required = true)
	private boolean conditionalFCLogout;

	/** @return Conditional Fibre Channel Logout. */
	public boolean isConditionalFCLogout() {
		return this.conditionalFCLogout;
	}
	/** @param x Conditional Fibre Channel Logout. */
	public void setConditionalFCLogout(boolean x) {
		this.conditionalFCLogout = x;
	}

	/** Report SCSI-2 Through Fibre Channel Host Interface. */
	@io.swagger.annotations.ApiModelProperty(value ="Report SCSI-2 Through Fibre Channel Host Interface." , required = true)
	@XmlElement(required = true)
	private boolean forceSCSI2;

	/** @return Report SCSI-2 Through Fibre Channel Host Interface. */
	public boolean isForceSCSI2() {
		return this.forceSCSI2;
	}
	/** @param x Report SCSI-2 Through Fibre Channel Host Interface. */
	public void setForceSCSI2(boolean x) {
		this.forceSCSI2 = x;
	}

	/** This value determines the LUN data returned by the Report LUNs command. */
	@io.swagger.annotations.ApiModelProperty(value ="This value determines the LUN data returned by the Report LUNs command." , required = true)
	@XmlElement(required = true)
	private boolean reportUnconfiguredLUNs;

	/** @return This value determines the LUN data returned by the Report LUNs command. */
	public boolean isReportUnconfiguredLUNs() {
		return this.reportUnconfiguredLUNs;
	}
	/** @param x This value determines the LUN data returned by the Report LUNs command. */
	public void setReportUnconfiguredLUNs(boolean x) {
		this.reportUnconfiguredLUNs = x;
	}

	/** Ignore Cache Sync Command. */
	@io.swagger.annotations.ApiModelProperty(value ="Ignore Cache Sync Command." , required = true)
	@XmlElement(required = true)
	private boolean ignoreSyncCache;

	/** @return Ignore Cache Sync Command. */
	public boolean isIgnoreSyncCache() {
		return this.ignoreSyncCache;
	}
	/** @param x Ignore Cache Sync Command. */
	public void setIgnoreSyncCache(boolean x) {
		this.ignoreSyncCache = x;
	}

	/** Ignore UTM LUN Ownership. */
	@io.swagger.annotations.ApiModelProperty(value ="Ignore UTM LUN Ownership." , required = true)
	@XmlElement(required = true)
	private boolean ignoreUTMLunOwnership;

	/** @return Ignore UTM LUN Ownership. */
	public boolean isIgnoreUTMLunOwnership() {
		return this.ignoreUTMLunOwnership;
	}
	/** @param x Ignore UTM LUN Ownership. */
	public void setIgnoreUTMLunOwnership(boolean x) {
		this.ignoreUTMLunOwnership = x;
	}

	/** Report LUN Preferred Path in Standard Inquiry Data. */
	@io.swagger.annotations.ApiModelProperty(value ="Report LUN Preferred Path in Standard Inquiry Data." , required = true)
	@XmlElement(required = true)
	private boolean reportLUNPreferredPathInStandardInquiry;

	/** @return Report LUN Preferred Path in Standard Inquiry Data. */
	public boolean isReportLUNPreferredPathInStandardInquiry() {
		return this.reportLUNPreferredPathInStandardInquiry;
	}
	/** @param x Report LUN Preferred Path in Standard Inquiry Data. */
	public void setReportLUNPreferredPathInStandardInquiry(boolean x) {
		this.reportLUNPreferredPathInStandardInquiry = x;
	}

	/** Auto Volume Transfer. */
	@io.swagger.annotations.ApiModelProperty(value ="Auto Volume Transfer." , required = true)
	@XmlElement(required = true)
	private boolean autoLUNTransfer;

	/** @return Auto Volume Transfer. */
	public boolean isAutoLUNTransfer() {
		return this.autoLUNTransfer;
	}
	/** @param x Auto Volume Transfer. */
	public void setAutoLUNTransfer(boolean x) {
		this.autoLUNTransfer = x;
	}

	/** The value returned in the Inquiry Device Type Field when an unconfigured LUN is accessed. */
	@io.swagger.annotations.ApiModelProperty(value ="The value returned in the Inquiry Device Type Field when an unconfigured LUN is accessed." , required = true)
	@XmlElement(required = true)
	private char inquiryUnconfiguredDeviceType;

	/** @return The value returned in the Inquiry Device Type Field when an unconfigured LUN is accessed. */
	public char getInquiryUnconfiguredDeviceType() {
		return this.inquiryUnconfiguredDeviceType;
	}
	/** @param x The value returned in the Inquiry Device Type Field when an unconfigured LUN is accessed. */
	public void setInquiryUnconfiguredDeviceType(char x) {
		this.inquiryUnconfiguredDeviceType = x;
	}

	/** This value is used to define the device type the controller should return in the first byte of the Inquiry data, if the addressed logical unit is not owned by the addressed controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This value is used to define the device type the controller should return in the first byte of the Inquiry data, if the addressed logical unit is not owned by the addressed controller." , required = true)
	@XmlElement(required = true)
	private char inquiryUnownedDeviceType;

	/** @return This value is used to define the device type the controller should return in the first byte of the Inquiry data, if the addressed logical unit is not owned by the addressed controller. */
	public char getInquiryUnownedDeviceType() {
		return this.inquiryUnownedDeviceType;
	}
	/** @param x This value is used to define the device type the controller should return in the first byte of the Inquiry data, if the addressed logical unit is not owned by the addressed controller. */
	public void setInquiryUnownedDeviceType(char x) {
		this.inquiryUnownedDeviceType = x;
	}

	/** This value is used to define how the controller handles a read request to Block 0 of an unowned volume. When this is enabled, the non-owning controller sends a request for the block 0 data to the owning controller and the owning controller sends the requested block 0 data back to the non-owning controller. If disabled, the controller will do a volume transfer (if AVT is enabled) and then a read of the now owned volume. */
	@io.swagger.annotations.ApiModelProperty(value ="This value is used to define how the controller handles a read request to Block 0 of an unowned volume. When this is enabled, the non-owning controller sends a request for the block 0 data to the owning controller and the owning controller sends the requested block 0 data back to the non-owning controller. If disabled, the controller will do a volume transfer (if AVT is enabled) and then a read of the now owned volume." , required = true)
	@XmlElement(required = true)
	private char unownedBlock0Read;

	/** @return This value is used to define how the controller handles a read request to Block 0 of an unowned volume. When this is enabled, the non-owning controller sends a request for the block 0 data to the owning controller and the owning controller sends the requested block 0 data back to the non-owning controller. If disabled, the controller will do a volume transfer (if AVT is enabled) and then a read of the now owned volume. */
	public char getUnownedBlock0Read() {
		return this.unownedBlock0Read;
	}
	/** @param x This value is used to define how the controller handles a read request to Block 0 of an unowned volume. When this is enabled, the non-owning controller sends a request for the block 0 data to the owning controller and the owning controller sends the requested block 0 data back to the non-owning controller. If disabled, the controller will do a volume transfer (if AVT is enabled) and then a read of the now owned volume. */
	public void setUnownedBlock0Read(char x) {
		this.unownedBlock0Read = x;
	}

	/** This field is deprecated. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is deprecated." , required = true)
	@XmlElement(required = true)
	private boolean retainLogins;

	/** @return This field is deprecated. */
	public boolean isRetainLogins() {
		return this.retainLogins;
	}
	/** @param x This field is deprecated. */
	public void setRetainLogins(boolean x) {
		this.retainLogins = x;
	}

	/** The host type. */
	@io.swagger.annotations.ApiModelProperty(value ="The host type." , required = true)
	@XmlElement(required = true)
	private String hostPortType;

	/** @return The host type. */
	public String getHostPortType() {
		return this.hostPortType;
	}
	/** @param x The host type. */
	public void setHostPortType(String x) {
		this.hostPortType = x;
	}

	/** Maximum number of LUNs allowed for host type. */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum number of LUNs allowed for host type." , required = true)
	@XmlElement(required = true)
	private int maxRestrictedLUNs;

	/** @return Maximum number of LUNs allowed for host type. */
	public int getMaxRestrictedLUNs() {
		return this.maxRestrictedLUNs;
	}
	/** @param x Maximum number of LUNs allowed for host type. */
	public void setMaxRestrictedLUNs(int x) {
		this.maxRestrictedLUNs = x;
	}

	/** Reserved. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Enable the AVT exclusion extents for this heterogeneous host region. */
	@io.swagger.annotations.ApiModelProperty(value ="Enable the AVT exclusion extents for this heterogeneous host region." , required = true)
	@XmlElement(required = true)
	private boolean avtExclusionExtentsEnabled;

	/** @return Enable the AVT exclusion extents for this heterogeneous host region. */
	public boolean isAvtExclusionExtentsEnabled() {
		return this.avtExclusionExtentsEnabled;
	}
	/** @param x Enable the AVT exclusion extents for this heterogeneous host region. */
	public void setAvtExclusionExtentsEnabled(boolean x) {
		this.avtExclusionExtentsEnabled = x;
	}

	/** If true, then volume-off-preferred events are not considered critical. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, then volume-off-preferred events are not considered critical." , required = true)
	@XmlElement(required = true)
	private boolean suppressVolOffPreferredPathAlert;

	/** @return If true, then volume-off-preferred events are not considered critical. */
	public boolean isSuppressVolOffPreferredPathAlert() {
		return this.suppressVolOffPreferredPathAlert;
	}
	/** @param x If true, then volume-off-preferred events are not considered critical. */
	public void setSuppressVolOffPreferredPathAlert(boolean x) {
		this.suppressVolOffPreferredPathAlert = x;
	}

	/** The host type string. A zero-length string is allowed and indicates that the associated host-specific NVSRAM region has been cleared. This field should be used in place of the deprecated hostPortType field. */
	@io.swagger.annotations.ApiModelProperty(value ="The host type string. A zero-length string is allowed and indicates that the associated host-specific NVSRAM region has been cleared. This field should be used in place of the deprecated hostPortType field." , required = true)
	@XmlElement(required = true)
	private String hostType;

	/** @return The host type string. A zero-length string is allowed and indicates that the associated host-specific NVSRAM region has been cleared. This field should be used in place of the deprecated hostPortType field. */
	public String getHostType() {
		return this.hostType;
	}
	/** @param x The host type string. A zero-length string is allowed and indicates that the associated host-specific NVSRAM region has been cleared. This field should be used in place of the deprecated hostPortType field. */
	public void setHostType(String x) {
		this.hostType = x;
	}

	/** This field is set to true if Target Port Group Support is provided; otherwise it is false. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is set to true if Target Port Group Support is provided; otherwise it is false." , required = true)
	@XmlElement(required = true)
	private boolean tpgsSupported;

	/** @return This field is set to true if Target Port Group Support is provided; otherwise it is false. */
	public boolean isTpgsSupported() {
		return this.tpgsSupported;
	}
	/** @param x This field is set to true if Target Port Group Support is provided; otherwise it is false. */
	public void setTpgsSupported(boolean x) {
		this.tpgsSupported = x;
	}

	/** If true, a format unit request will interrupt any in-progress IAF and start a write-zeros initialization. If false, the format unit will be returned with no action. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, a format unit request will interrupt any in-progress IAF and start a write-zeros initialization. If false, the format unit will be returned with no action." , required = true)
	@XmlElement(required = true)
	private boolean volumeFormatOptions;

	/** @return If true, a format unit request will interrupt any in-progress IAF and start a write-zeros initialization. If false, the format unit will be returned with no action. */
	public boolean isVolumeFormatOptions() {
		return this.volumeFormatOptions;
	}
	/** @param x If true, a format unit request will interrupt any in-progress IAF and start a write-zeros initialization. If false, the format unit will be returned with no action. */
	public void setVolumeFormatOptions(boolean x) {
		this.volumeFormatOptions = x;
	}

	/** If true, LUN 0 is restricted and volume mapping to LUN 0 will not be allowed or be reported in the REPORT LUNS data. If false, a volume-to-LUN mapping can be created to LUN 0 and will be reported in a REPORT LUNS response. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, LUN 0 is restricted and volume mapping to LUN 0 will not be allowed or be reported in the REPORT LUNS data. If false, a volume-to-LUN mapping can be created to LUN 0 and will be reported in a REPORT LUNS response." , required = true)
	@XmlElement(required = true)
	private boolean restrictedLun0;

	/** @return If true, LUN 0 is restricted and volume mapping to LUN 0 will not be allowed or be reported in the REPORT LUNS data. If false, a volume-to-LUN mapping can be created to LUN 0 and will be reported in a REPORT LUNS response. */
	public boolean isRestrictedLun0() {
		return this.restrictedLun0;
	}
	/** @param x If true, LUN 0 is restricted and volume mapping to LUN 0 will not be allowed or be reported in the REPORT LUNS data. If false, a volume-to-LUN mapping can be created to LUN 0 and will be reported in a REPORT LUNS response. */
	public void setRestrictedLun0(boolean x) {
		this.restrictedLun0 = x;
	}

	/** The quiescence timeout is the amount of time the controller should wait to achieve a "no I/Os active" state before invoking a forced transfer of LUN ownership. When this field is set to true, the timeout parameter provided by the host initiator in a mode select Page 2C will be used. When this field is set to false, the timeout value applied will be calculated by the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The quiescence timeout is the amount of time the controller should wait to achieve a \"no I/Os active\" state before invoking a forced transfer of LUN ownership. When this field is set to true, the timeout parameter provided by the host initiator in a mode select Page 2C will be used. When this field is set to false, the timeout value applied will be calculated by the controller." , required = true)
	@XmlElement(required = true)
	private boolean usePage2CQuiescenceTimeout;

	/** @return The quiescence timeout is the amount of time the controller should wait to achieve a "no I/Os active" state before invoking a forced transfer of LUN ownership. When this field is set to true, the timeout parameter provided by the host initiator in a mode select Page 2C will be used. When this field is set to false, the timeout value applied will be calculated by the controller. */
	public boolean isUsePage2CQuiescenceTimeout() {
		return this.usePage2CQuiescenceTimeout;
	}
	/** @param x The quiescence timeout is the amount of time the controller should wait to achieve a "no I/Os active" state before invoking a forced transfer of LUN ownership. When this field is set to true, the timeout parameter provided by the host initiator in a mode select Page 2C will be used. When this field is set to false, the timeout value applied will be calculated by the controller. */
	public void setUsePage2CQuiescenceTimeout(boolean x) {
		this.usePage2CQuiescenceTimeout = x;
	}

	/** If true, Asymmetric Logical Unit Access is enabled. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, Asymmetric Logical Unit Access is enabled." , required = true)
	@XmlElement(required = true)
	private boolean asymmetricLUAccess;

	/** @return If true, Asymmetric Logical Unit Access is enabled. */
	public boolean isAsymmetricLUAccess() {
		return this.asymmetricLUAccess;
	}
	/** @param x If true, Asymmetric Logical Unit Access is enabled. */
	public void setAsymmetricLUAccess(boolean x) {
		this.asymmetricLUAccess = x;
	}

	/** If true, the array iSCSI target driver will not use the session identifier as part of its internal I_T Nexus identifiers. This reduces churn in I_T Nexus identifiers if the initiator does not re-use iSCSI session identifiers when re-opening a session. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the array iSCSI target driver will not use the session identifier as part of its internal I_T Nexus identifiers. This reduces churn in I_T Nexus identifiers if the initiator does not re-use iSCSI session identifiers when re-opening a session." , required = true)
	@XmlElement(required = true)
	private boolean ignoreISCSISessionIDInITN;

	/** @return If true, the array iSCSI target driver will not use the session identifier as part of its internal I_T Nexus identifiers. This reduces churn in I_T Nexus identifiers if the initiator does not re-use iSCSI session identifiers when re-opening a session. */
	public boolean isIgnoreISCSISessionIDInITN() {
		return this.ignoreISCSISessionIDInITN;
	}
	/** @param x If true, the array iSCSI target driver will not use the session identifier as part of its internal I_T Nexus identifiers. This reduces churn in I_T Nexus identifiers if the initiator does not re-use iSCSI session identifiers when re-opening a session. */
	public void setIgnoreISCSISessionIDInITN(boolean x) {
		this.ignoreISCSISessionIDInITN = x;
	}

	/** If true, array may return multiple CHECK CONDITION responses simultaneously on a given logical unit. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, array may return multiple CHECK CONDITION responses simultaneously on a given logical unit." , required = true)
	@XmlElement(required = true)
	private boolean enableLUCheckConditionParallelResponses;

	/** @return If true, array may return multiple CHECK CONDITION responses simultaneously on a given logical unit. */
	public boolean isEnableLUCheckConditionParallelResponses() {
		return this.enableLUCheckConditionParallelResponses;
	}
	/** @param x If true, array may return multiple CHECK CONDITION responses simultaneously on a given logical unit. */
	public void setEnableLUCheckConditionParallelResponses(boolean x) {
		this.enableLUCheckConditionParallelResponses = x;
	}

	/** If true, the standard INQUIRY data reporting TPGS support to the initiator will only indicate support for implicit mode (providing TPGS support is enabled, see tpgsSupported field). */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the standard INQUIRY data reporting TPGS support to the initiator will only indicate support for implicit mode (providing TPGS support is enabled, see tpgsSupported field)." , required = true)
	@XmlElement(required = true)
	private boolean disableExplicitTPGS;

	/** @return If true, the standard INQUIRY data reporting TPGS support to the initiator will only indicate support for implicit mode (providing TPGS support is enabled, see tpgsSupported field). */
	public boolean isDisableExplicitTPGS() {
		return this.disableExplicitTPGS;
	}
	/** @param x If true, the standard INQUIRY data reporting TPGS support to the initiator will only indicate support for implicit mode (providing TPGS support is enabled, see tpgsSupported field). */
	public void setDisableExplicitTPGS(boolean x) {
		this.disableExplicitTPGS = x;
	}

	/** If true, controller will return a LUN NOT OWNED (05h/94h/01h) CHECK CONDITION when unable to handle I/O during firmware activation. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, controller will return a LUN NOT OWNED (05h/94h/01h) CHECK CONDITION when unable to handle I/O during firmware activation." , required = true)
	@XmlElement(required = true)
	private boolean unownedCheckConditionDuringFWActivation;

	/** @return If true, controller will return a LUN NOT OWNED (05h/94h/01h) CHECK CONDITION when unable to handle I/O during firmware activation. */
	public boolean isUnownedCheckConditionDuringFWActivation() {
		return this.unownedCheckConditionDuringFWActivation;
	}
	/** @param x If true, controller will return a LUN NOT OWNED (05h/94h/01h) CHECK CONDITION when unable to handle I/O during firmware activation. */
	public void setUnownedCheckConditionDuringFWActivation(boolean x) {
		this.unownedCheckConditionDuringFWActivation = x;
	}

	/** If true, the controller will suppress reporting the preferred owner in REPORT TARGET PORT GROUPS or INQUIRY VPD data in conditions when the preferred controller cannot process I/O. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the controller will suppress reporting the preferred owner in REPORT TARGET PORT GROUPS or INQUIRY VPD data in conditions when the preferred controller cannot process I/O." , required = true)
	@XmlElement(required = true)
	private boolean allowPreferredOwnerReportingSuppression;

	/** @return If true, the controller will suppress reporting the preferred owner in REPORT TARGET PORT GROUPS or INQUIRY VPD data in conditions when the preferred controller cannot process I/O. */
	public boolean isAllowPreferredOwnerReportingSuppression() {
		return this.allowPreferredOwnerReportingSuppression;
	}
	/** @param x If true, the controller will suppress reporting the preferred owner in REPORT TARGET PORT GROUPS or INQUIRY VPD data in conditions when the preferred controller cannot process I/O. */
	public void setAllowPreferredOwnerReportingSuppression(boolean x) {
		this.allowPreferredOwnerReportingSuppression = x;
	}

	/** If true, controller initiates fail-back of volumes to the preferred owner . */
	@io.swagger.annotations.ApiModelProperty(value ="If true, controller initiates fail-back of volumes to the preferred owner ." , required = true)
	@XmlElement(required = true)
	private boolean enableTargetFailback;

	/** @return If true, controller initiates fail-back of volumes to the preferred owner . */
	public boolean isEnableTargetFailback() {
		return this.enableTargetFailback;
	}
	/** @param x If true, controller initiates fail-back of volumes to the preferred owner . */
	public void setEnableTargetFailback(boolean x) {
		this.enableTargetFailback = x;
	}

	/** If true, the controller may issue volume ownership changes to balance IO load between controllers. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the controller may issue volume ownership changes to balance IO load between controllers." , required = true)
	@XmlElement(required = true)
	private boolean enableAutoLoadBalance;

	/** @return If true, the controller may issue volume ownership changes to balance IO load between controllers. */
	public boolean isEnableAutoLoadBalance() {
		return this.enableAutoLoadBalance;
	}
	/** @param x If true, the controller may issue volume ownership changes to balance IO load between controllers. */
	public void setEnableAutoLoadBalance(boolean x) {
		this.enableAutoLoadBalance = x;
	}

	/** Sense Key returned to host for Quiescence In Progress Check Conditions. */
	@io.swagger.annotations.ApiModelProperty(value ="Sense Key returned to host for Quiescence In Progress Check Conditions." , required = true)
	@XmlElement(required = true)
	private int quiescenceInProgressSenseKey;

	/** @return Sense Key returned to host for Quiescence In Progress Check Conditions. */
	public int getQuiescenceInProgressSenseKey() {
		return this.quiescenceInProgressSenseKey;
	}
	/** @param x Sense Key returned to host for Quiescence In Progress Check Conditions. */
	public void setQuiescenceInProgressSenseKey(int x) {
		this.quiescenceInProgressSenseKey = x;
	}

	/** Additional Sense Code returned to host for Quiescence In Progress Check Conditions. */
	@io.swagger.annotations.ApiModelProperty(value ="Additional Sense Code returned to host for Quiescence In Progress Check Conditions." , required = true)
	@XmlElement(required = true)
	private int quiescenceInProgressASC;

	/** @return Additional Sense Code returned to host for Quiescence In Progress Check Conditions. */
	public int getQuiescenceInProgressASC() {
		return this.quiescenceInProgressASC;
	}
	/** @param x Additional Sense Code returned to host for Quiescence In Progress Check Conditions. */
	public void setQuiescenceInProgressASC(int x) {
		this.quiescenceInProgressASC = x;
	}

	/** Additional Sense Code Qualifier returned to host for Quiscence In Progress Check Conditions. */
	@io.swagger.annotations.ApiModelProperty(value ="Additional Sense Code Qualifier returned to host for Quiscence In Progress Check Conditions." , required = true)
	@XmlElement(required = true)
	private int quiescenceInProgressASCQ;

	/** @return Additional Sense Code Qualifier returned to host for Quiscence In Progress Check Conditions. */
	public int getQuiescenceInProgressASCQ() {
		return this.quiescenceInProgressASCQ;
	}
	/** @param x Additional Sense Code Qualifier returned to host for Quiscence In Progress Check Conditions. */
	public void setQuiescenceInProgressASCQ(int x) {
		this.quiescenceInProgressASCQ = x;
	}

	/** Unique identifier for this specific host type. This value is stored in the controller configuration database when persisting Host objects in order to uniquely identify this specific host type across all NVSRAM builds. */
	@io.swagger.annotations.ApiModelProperty(value ="Unique identifier for this specific host type. This value is stored in the controller configuration database when persisting Host objects in order to uniquely identify this specific host type across all NVSRAM builds." , required = true)
	@XmlElement(required = true)
	private short persistentID;

	/** @return Unique identifier for this specific host type. This value is stored in the controller configuration database when persisting Host objects in order to uniquely identify this specific host type across all NVSRAM builds. */
	public short getPersistentID() {
		return this.persistentID;
	}
	/** @param x Unique identifier for this specific host type. This value is stored in the controller configuration database when persisting Host objects in order to uniquely identify this specific host type across all NVSRAM builds. */
	public void setPersistentID(short x) {
		this.persistentID = x;
	}
}
