package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to hold the InfiniBand port partition table. It consists of port identification information, a count of partition keys, and an array of partition keys. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(671)
public class IbPortPartitionTable implements Serializable {
	public IbPortPartitionTable() {
	}

	/** A reference to the controller that is associated with the port described by this structure. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller that is associated with the port described by this structure." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A reference to the controller that is associated with the port described by this structure. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A reference to the controller that is associated with the port described by this structure. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The controller-relative number of the port for which the table applies. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller-relative number of the port for which the table applies." , required = true)
	@XmlElement(required = true)
	private int portNumber;

	/** @return The controller-relative number of the port for which the table applies. */
	public int getPortNumber() {
		return this.portNumber;
	}
	/** @param x The controller-relative number of the port for which the table applies. */
	public void setPortNumber(int x) {
		this.portNumber = x;
	}

	/** The globally-unique identifier associated with the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The globally-unique identifier associated with the port." , required = true)
	@XmlElement(required = true)
	private String portGuid;

	/** @return The globally-unique identifier associated with the port. */
	public String getPortGuid() {
		return this.portGuid;
	}
	/** @param x The globally-unique identifier associated with the port. */
	public void setPortGuid(String x) {
		this.portGuid = x;
	}

	/** The globally-unique identifier of the Target Channel Adapter that controls the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The globally-unique identifier of the Target Channel Adapter that controls the port." , required = true)
	@XmlElement(required = true)
	private String tcaGuid;

	/** @return The globally-unique identifier of the Target Channel Adapter that controls the port. */
	public String getTcaGuid() {
		return this.tcaGuid;
	}
	/** @param x The globally-unique identifier of the Target Channel Adapter that controls the port. */
	public void setTcaGuid(String x) {
		this.tcaGuid = x;
	}

	/** An array containing the partition keys for the port. */
	@io.swagger.annotations.ApiModelProperty(value ="An array containing the partition keys for the port." , required = true)
	@XmlElement(required = true)
	private int[] pkeys;

	/** @return An array containing the partition keys for the port. */
	public int[] getPkeys() {
		return this.pkeys;
	}
	/** @param x An array containing the partition keys for the port. */
	public void setPkeys(int[] x) {
		this.pkeys = x;
	}
}
