package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains various pieces of statistical data that are reported for an InfiniBand target channel adapter (a.k.a., IB host board) in the storage array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(889)
public class IbTcaStatistics implements Serializable {
	public IbTcaStatistics() {
	}

	/** A reference to the host board for which the statistics apply. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the host board for which the statistics apply." , required = true)
	@XmlElement(required = true)
	private String hostBoardRef;

	/** @return A reference to the host board for which the statistics apply. */
	public String getHostBoardRef() {
		return this.hostBoardRef;
	}
	/** @param x A reference to the host board for which the statistics apply. */
	public void setHostBoardRef(String x) {
		this.hostBoardRef = x;
	}

	/** The maximum number of queue pairs that were in use simultaneously. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum number of queue pairs that were in use simultaneously." , required = true)
	@XmlElement(required = true)
	private long maximumQpairsUsedSimultaneously;

	/** @return The maximum number of queue pairs that were in use simultaneously. */
	public long getMaximumQpairsUsedSimultaneously() {
		return this.maximumQpairsUsedSimultaneously;
	}
	/** @param x The maximum number of queue pairs that were in use simultaneously. */
	public void setMaximumQpairsUsedSimultaneously(long x) {
		this.maximumQpairsUsedSimultaneously = x;
	}

	/** The minimum number of queue pairs that were in use simultaneously. */
	@io.swagger.annotations.ApiModelProperty(value ="The minimum number of queue pairs that were in use simultaneously." , required = true)
	@XmlElement(required = true)
	private long minimumQpairsUsedSimultaneously;

	/** @return The minimum number of queue pairs that were in use simultaneously. */
	public long getMinimumQpairsUsedSimultaneously() {
		return this.minimumQpairsUsedSimultaneously;
	}
	/** @param x The minimum number of queue pairs that were in use simultaneously. */
	public void setMinimumQpairsUsedSimultaneously(long x) {
		this.minimumQpairsUsedSimultaneously = x;
	}

	/** The average number of queue pairs that were in use simultaneously. */
	@io.swagger.annotations.ApiModelProperty(value ="The average number of queue pairs that were in use simultaneously." , required = true)
	@XmlElement(required = true)
	private long averageQpairsUsedSimultaneously;

	/** @return The average number of queue pairs that were in use simultaneously. */
	public long getAverageQpairsUsedSimultaneously() {
		return this.averageQpairsUsedSimultaneously;
	}
	/** @param x The average number of queue pairs that were in use simultaneously. */
	public void setAverageQpairsUsedSimultaneously(long x) {
		this.averageQpairsUsedSimultaneously = x;
	}

	/** The maximum depth attained by any queue pair of the TCA. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum depth attained by any queue pair of the TCA." , required = true)
	@XmlElement(required = true)
	private long maximumDepthOfAnyQpair;

	/** @return The maximum depth attained by any queue pair of the TCA. */
	public long getMaximumDepthOfAnyQpair() {
		return this.maximumDepthOfAnyQpair;
	}
	/** @param x The maximum depth attained by any queue pair of the TCA. */
	public void setMaximumDepthOfAnyQpair(long x) {
		this.maximumDepthOfAnyQpair = x;
	}

	/** The minimum depth attained by any queue pair of the TCA. */
	@io.swagger.annotations.ApiModelProperty(value ="The minimum depth attained by any queue pair of the TCA." , required = true)
	@XmlElement(required = true)
	private long minimumDepthOfAnyQpair;

	/** @return The minimum depth attained by any queue pair of the TCA. */
	public long getMinimumDepthOfAnyQpair() {
		return this.minimumDepthOfAnyQpair;
	}
	/** @param x The minimum depth attained by any queue pair of the TCA. */
	public void setMinimumDepthOfAnyQpair(long x) {
		this.minimumDepthOfAnyQpair = x;
	}

	/** The average depth attained across all queue pairs of the TCA. */
	@io.swagger.annotations.ApiModelProperty(value ="The average depth attained across all queue pairs of the TCA." , required = true)
	@XmlElement(required = true)
	private long averageDepthOfAnyQpair;

	/** @return The average depth attained across all queue pairs of the TCA. */
	public long getAverageDepthOfAnyQpair() {
		return this.averageDepthOfAnyQpair;
	}
	/** @param x The average depth attained across all queue pairs of the TCA. */
	public void setAverageDepthOfAnyQpair(long x) {
		this.averageDepthOfAnyQpair = x;
	}
}
