package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report progress of a volume initialization operation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1088)
public class InitializationOperation implements Serializable {
	public InitializationOperation() {
	}

	/** Reference to the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference to the volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return Reference to the volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x Reference to the volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** If true, the operation has not started. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the operation has not started." , required = true)
	@XmlElement(required = true)
	private boolean pending;

	/** @return If true, the operation has not started. */
	public boolean isPending() {
		return this.pending;
	}
	/** @param x If true, the operation has not started. */
	public void setPending(boolean x) {
		this.pending = x;
	}

	/** Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING." , required = true)
	@XmlElement(required = true)
	private int percentComplete;

	/** @return Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public int getPercentComplete() {
		return this.percentComplete;
	}
	/** @param x Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public void setPercentComplete(int x) {
		this.percentComplete = x;
	}

	/** Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int timeToCompletion;

	/** @return Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getTimeToCompletion() {
		return this.timeToCompletion;
	}
	/** @param x Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setTimeToCompletion(int x) {
		this.timeToCompletion = x;
	}
}
