package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** The structure is designed to model the critical aspects of a SCSI initiator. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1022)
public class Initiator implements Serializable,devmgr.api.model.Identifiable {
	public Initiator() {
	}

	/** The reference that uniquely identifies an instance of this object. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference that uniquely identifies an instance of this object." , required = true)
	@XmlElement(required = true)
	private String initiatorRef;

	/** @return The reference that uniquely identifies an instance of this object. */
	public String getInitiatorRef() {
		return this.initiatorRef;
	}
	/** @param x The reference that uniquely identifies an instance of this object. */
	public void setInitiatorRef(String x) {
		this.initiatorRef = x;
	}

	/** The unique node name associated with the initiator. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique node name associated with the initiator." , required = true)
	@XmlElement(required = true)
	private ScsiNodeName nodeName;

	/** @return The unique node name associated with the initiator. */
	public ScsiNodeName getNodeName() {
		return this.nodeName;
	}
	/** @param x The unique node name associated with the initiator. */
	public void setNodeName(ScsiNodeName x) {
		this.nodeName = x;
	}

	/** An additional name that can be assigned to an initiator, which is usually "friendlier" than the node name. */
	@io.swagger.annotations.ApiModelProperty(value ="An additional name that can be assigned to an initiator, which is usually \"friendlier\" than the node name." , required = true)
	@XmlElement(required = true)
	private ScsiAlias alias;

	/** @return An additional name that can be assigned to an initiator, which is usually "friendlier" than the node name. */
	public ScsiAlias getAlias() {
		return this.alias;
	}
	/** @param x An additional name that can be assigned to an initiator, which is usually "friendlier" than the node name. */
	public void setAlias(ScsiAlias x) {
		this.alias = x;
	}

	/** An additional "friendly" name that can be assigned to an initiator through the Storage Manager application. */
	@io.swagger.annotations.ApiModelProperty(value ="An additional \"friendly\" name that can be assigned to an initiator through the Storage Manager application." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return An additional "friendly" name that can be assigned to an initiator through the Storage Manager application. */
	public String getLabel() {
		return this.label;
	}
	/** @param x An additional "friendly" name that can be assigned to an initiator through the Storage Manager application. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** The authentication methods that have been configured for the initiator. Associated secrets are not exposed. instead the type field of the EncryptedPassword is set to ENCRYPT_UNSPECIFIED. */
	@io.swagger.annotations.ApiModelProperty(value ="The authentication methods that have been configured for the initiator. Associated secrets are not exposed. instead the type field of the EncryptedPassword is set to ENCRYPT_UNSPECIFIED." , required = true)
	@XmlElement(required = true)
	private AuthenticationBundle configuredAuthMethods;

	/** @return The authentication methods that have been configured for the initiator. Associated secrets are not exposed. instead the type field of the EncryptedPassword is set to ENCRYPT_UNSPECIFIED. */
	public AuthenticationBundle getConfiguredAuthMethods() {
		return this.configuredAuthMethods;
	}
	/** @param x The authentication methods that have been configured for the initiator. Associated secrets are not exposed. instead the type field of the EncryptedPassword is set to ENCRYPT_UNSPECIFIED. */
	public void setConfiguredAuthMethods(AuthenticationBundle x) {
		this.configuredAuthMethods = x;
	}

	/** A reference to the Host object to which the initiator belongs. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the Host object to which the initiator belongs." , required = true)
	@XmlElement(required = true)
	private String hostRef;

	/** @return A reference to the Host object to which the initiator belongs. */
	public String getHostRef() {
		return this.hostRef;
	}
	/** @param x A reference to the Host object to which the initiator belongs. */
	public void setHostRef(String x) {
		this.hostRef = x;
	}

	/** The initiator is marked inactive. */
	@io.swagger.annotations.ApiModelProperty(value ="The initiator is marked inactive." , required = true)
	@XmlElement(required = true)
	private boolean initiatorInactive;

	/** @return The initiator is marked inactive. */
	public boolean isInitiatorInactive() {
		return this.initiatorInactive;
	}
	/** @param x The initiator is marked inactive. */
	public void setInitiatorInactive(boolean x) {
		this.initiatorInactive = x;
	}
	@Override
	public String getId(){
		return initiatorRef;
	}
}
