package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify new parameters to be assigned to a particular I/O interface that resides on the controller and is used for host-based I/O access to the array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(640)
public class InterfaceUpdateDescriptor implements Serializable {
	public InterfaceUpdateDescriptor() {
	}

	/** The reference value that identifies the controller whose interface configuration is to be changed by this operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that identifies the controller whose interface configuration is to be changed by this operation." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The reference value that identifies the controller whose interface configuration is to be changed by this operation. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The reference value that identifies the controller whose interface configuration is to be changed by this operation. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The new preferred ID value for the channel. For Fibre Channel interfaces, the following values are supported: */
	@io.swagger.annotations.ApiModelProperty(value ="The new preferred ID value for the channel. For Fibre Channel interfaces, the following values are supported:" , required = true)
	@XmlElement(required = true)
	private int preferredID;

	/** @return The new preferred ID value for the channel. For Fibre Channel interfaces, the following values are supported: */
	public int getPreferredID() {
		return this.preferredID;
	}
	/** @param x The new preferred ID value for the channel. For Fibre Channel interfaces, the following values are supported: */
	public void setPreferredID(int x) {
		this.preferredID = x;
	}

	/** The unique identifier of the port associated with this channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identifier of the port associated with this channel." , required = true)
	@XmlElement(required = true)
	private String portName;

	/** @return The unique identifier of the port associated with this channel. */
	public String getPortName() {
		return this.portName;
	}
	/** @param x The unique identifier of the port associated with this channel. */
	public void setPortName(String x) {
		this.portName = x;
	}
}
