package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about IPV4-related configuration settings. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(592)
public class InternetProtocolV4Data implements Serializable {
	public InternetProtocolV4Data() {
	}

	/** The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration." , required = true)
	@XmlElement(required = true)
	private String ipv4Address;

	/** @return The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	public String getIpv4Address() {
		return this.ipv4Address;
	}
	/** @param x The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	public void setIpv4Address(String x) {
		this.ipv4Address = x;
	}

	/** IPV4 configuration method for the endpoint; always STATIC for iSER interfaces. */
	@io.swagger.annotations.ApiModelProperty(value ="IPV4 configuration method for the endpoint; always STATIC for iSER interfaces." , required = true)
	@XmlElement(required = true)
	private IpV4ConfigMethod ipv4AddressConfigMethod = IpV4ConfigMethod.__UNDEFINED;

	/** @return IPV4 configuration method for the endpoint; always STATIC for iSER interfaces. */
	public IpV4ConfigMethod getIpv4AddressConfigMethod() {
		return this.ipv4AddressConfigMethod;
	}
	/** @param x IPV4 configuration method for the endpoint; always STATIC for iSER interfaces. */
	public void setIpv4AddressConfigMethod(IpV4ConfigMethod x) {
		this.ipv4AddressConfigMethod = x;
	}

	/** Priority associate with outbound IPV4 packets; always disabled for iSER interfaces. */
	@io.swagger.annotations.ApiModelProperty(value ="Priority associate with outbound IPV4 packets; always disabled for iSER interfaces." , required = true)
	@XmlElement(required = true)
	private SettingControl ipv4OutboundPacketPriority;

	/** @return Priority associate with outbound IPV4 packets; always disabled for iSER interfaces. */
	public SettingControl getIpv4OutboundPacketPriority() {
		return this.ipv4OutboundPacketPriority;
	}
	/** @param x Priority associate with outbound IPV4 packets; always disabled for iSER interfaces. */
	public void setIpv4OutboundPacketPriority(SettingControl x) {
		this.ipv4OutboundPacketPriority = x;
	}

	/** Value of IPV4 VLAN id for the interface; always disabled for iSER interfaces. */
	@io.swagger.annotations.ApiModelProperty(value ="Value of IPV4 VLAN id for the interface; always disabled for iSER interfaces." , required = true)
	@XmlElement(required = true)
	private SettingControl ipv4VlanId;

	/** @return Value of IPV4 VLAN id for the interface; always disabled for iSER interfaces. */
	public SettingControl getIpv4VlanId() {
		return this.ipv4VlanId;
	}
	/** @param x Value of IPV4 VLAN id for the interface; always disabled for iSER interfaces. */
	public void setIpv4VlanId(SettingControl x) {
		this.ipv4VlanId = x;
	}

	/** The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration." , required = true)
	@XmlElement(required = true)
	private IpV4AddressData ipv4AddressData;

	/** @return The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	public IpV4AddressData getIpv4AddressData() {
		return this.ipv4AddressData;
	}
	/** @param x The various IPV4 address-related elements (IP address, gateway IP address, and subnet mask), along with the state of their configuration. */
	public void setIpv4AddressData(IpV4AddressData x) {
		this.ipv4AddressData = x;
	}
}
