package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a group of I/O-operation-related counters accumulated by an individual controller for a physical channel. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(534)
public class IoCounterGroup implements Serializable {
	public IoCounterGroup() {
	}

	/** A reference to the controller that generated this group. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller that generated this group." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A reference to the controller that generated this group. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A reference to the controller that generated this group. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The time the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time the counters were last reset. Time is the number of seconds since midnight, January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long baseTime;

	/** @return The time the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	public long getBaseTime() {
		return this.baseTime;
	}
	/** @param x The time the counters were last reset. Time is the number of seconds since midnight, January 1, 1970. */
	public void setBaseTime(long x) {
		this.baseTime = x;
	}

	/** An array of opcode counters. Each element in the array has an opcode value and an associated count of the number of times that opcode was observed. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of opcode counters. Each element in the array has an opcode value and an associated count of the number of times that opcode was observed." , required = true)
	@XmlElement(required = true)
	private OpcodeCounter[] opcodeCounters;

	/** @return An array of opcode counters. Each element in the array has an opcode value and an associated count of the number of times that opcode was observed. */
	public OpcodeCounter[] getOpcodeCounters() {
		return this.opcodeCounters;
	}
	/** @param x An array of opcode counters. Each element in the array has an opcode value and an associated count of the number of times that opcode was observed. */
	public void setOpcodeCounters(OpcodeCounter[] x) {
		this.opcodeCounters = x;
	}

	/** The number of bytes transferred into controller memory. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes transferred into controller memory." , required = true)
	@XmlElement(required = true)
	private long bytesIn;

	/** @return The number of bytes transferred into controller memory. */
	public long getBytesIn() {
		return this.bytesIn;
	}
	/** @param x The number of bytes transferred into controller memory. */
	public void setBytesIn(long x) {
		this.bytesIn = x;
	}

	/** The number of bytes transferred out of controller memory. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes transferred out of controller memory." , required = true)
	@XmlElement(required = true)
	private long bytesOut;

	/** @return The number of bytes transferred out of controller memory. */
	public long getBytesOut() {
		return this.bytesOut;
	}
	/** @param x The number of bytes transferred out of controller memory. */
	public void setBytesOut(long x) {
		this.bytesOut = x;
	}

	/** The amount of time in microseconds the channel spent idle since baseTime. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of time in microseconds the channel spent idle since baseTime." , required = true)
	@XmlElement(required = true)
	private long idleTime;

	/** @return The amount of time in microseconds the channel spent idle since baseTime. */
	public long getIdleTime() {
		return this.idleTime;
	}
	/** @param x The amount of time in microseconds the channel spent idle since baseTime. */
	public void setIdleTime(long x) {
		this.idleTime = x;
	}
}
