package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report statistical data for a TCP connection. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(586)
public class IpEndpointStatistics implements Serializable {
	public IpEndpointStatistics() {
	}

	/** The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance." , required = true)
	@XmlElement(required = true)
	private String[] interfaces;

	/** @return The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	public String[] getInterfaces() {
		return this.interfaces;
	}
	/** @param x The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	public void setInterfaces(String[] x) {
		this.interfaces = x;
	}

	/** The number of IPV4 input datagrams received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 input datagrams received." , required = true)
	@XmlElement(required = true)
	private long ipv4ReceivedPdus;

	/** @return The number of IPV4 input datagrams received. */
	public long getIpv4ReceivedPdus() {
		return this.ipv4ReceivedPdus;
	}
	/** @param x The number of IPV4 input datagrams received. */
	public void setIpv4ReceivedPdus(long x) {
		this.ipv4ReceivedPdus = x;
	}

	/** The number of IPV4 output datagrams sent. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 output datagrams sent." , required = true)
	@XmlElement(required = true)
	private long ipv4SentPdus;

	/** @return The number of IPV4 output datagrams sent. */
	public long getIpv4SentPdus() {
		return this.ipv4SentPdus;
	}
	/** @param x The number of IPV4 output datagrams sent. */
	public void setIpv4SentPdus(long x) {
		this.ipv4SentPdus = x;
	}

	/** The number of IPV4 datagrams successfully reassembled. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 datagrams successfully reassembled." , required = true)
	@XmlElement(required = true)
	private long ipv4ReassembledPackets;

	/** @return The number of IPV4 datagrams successfully reassembled. */
	public long getIpv4ReassembledPackets() {
		return this.ipv4ReassembledPackets;
	}
	/** @param x The number of IPV4 datagrams successfully reassembled. */
	public void setIpv4ReassembledPackets(long x) {
		this.ipv4ReassembledPackets = x;
	}

	/** The number of IPV4 packet fragments received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 packet fragments received." , required = true)
	@XmlElement(required = true)
	private long ipv4Fragmentation;

	/** @return The number of IPV4 packet fragments received. */
	public long getIpv4Fragmentation() {
		return this.ipv4Fragmentation;
	}
	/** @param x The number of IPV4 packet fragments received. */
	public void setIpv4Fragmentation(long x) {
		this.ipv4Fragmentation = x;
	}

	/** The number of IPV4 packet fragments transmitted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 packet fragments transmitted." , required = true)
	@XmlElement(required = true)
	private long ipv4FragmentedPdusCreates;

	/** @return The number of IPV4 packet fragments transmitted. */
	public long getIpv4FragmentedPdusCreates() {
		return this.ipv4FragmentedPdusCreates;
	}
	/** @param x The number of IPV4 packet fragments transmitted. */
	public void setIpv4FragmentedPdusCreates(long x) {
		this.ipv4FragmentedPdusCreates = x;
	}

	/** The number of data payload bytes transmitted in IPV4 packets. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes transmitted in IPV4 packets." , required = true)
	@XmlElement(required = true)
	private long ipv4TxByteCount;

	/** @return The number of data payload bytes transmitted in IPV4 packets. */
	public long getIpv4TxByteCount() {
		return this.ipv4TxByteCount;
	}
	/** @param x The number of data payload bytes transmitted in IPV4 packets. */
	public void setIpv4TxByteCount(long x) {
		this.ipv4TxByteCount = x;
	}

	/** The number of data payload bytes received in IPV4 packets. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes received in IPV4 packets." , required = true)
	@XmlElement(required = true)
	private long ipv4RxByteCount;

	/** @return The number of data payload bytes received in IPV4 packets. */
	public long getIpv4RxByteCount() {
		return this.ipv4RxByteCount;
	}
	/** @param x The number of data payload bytes received in IPV4 packets. */
	public void setIpv4RxByteCount(long x) {
		this.ipv4RxByteCount = x;
	}

	/** # of IPV4 packets received with errors */
	@io.swagger.annotations.ApiModelProperty(value ="# of IPV4 packets received with errors" , required = true)
	@XmlElement(required = true)
	private long ipv4RxErrorCount;

	/** @return # of IPV4 packets received with errors */
	public long getIpv4RxErrorCount() {
		return this.ipv4RxErrorCount;
	}
	/** @param x # of IPV4 packets received with errors */
	public void setIpv4RxErrorCount(long x) {
		this.ipv4RxErrorCount = x;
	}

	/** The number of IPV4 datagrams with fragments that overlapped. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 datagrams with fragments that overlapped." , required = true)
	@XmlElement(required = true)
	private long ipv4OverlappedFragCount;

	/** @return The number of IPV4 datagrams with fragments that overlapped. */
	public long getIpv4OverlappedFragCount() {
		return this.ipv4OverlappedFragCount;
	}
	/** @param x The number of IPV4 datagrams with fragments that overlapped. */
	public void setIpv4OverlappedFragCount(long x) {
		this.ipv4OverlappedFragCount = x;
	}

	/** The number of IPV4 datagrams with fragments received that were out of order. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV4 datagrams with fragments received that were out of order." , required = true)
	@XmlElement(required = true)
	private long ipv4OutOfOrderFragCount;

	/** @return The number of IPV4 datagrams with fragments received that were out of order. */
	public long getIpv4OutOfOrderFragCount() {
		return this.ipv4OutOfOrderFragCount;
	}
	/** @param x The number of IPV4 datagrams with fragments received that were out of order. */
	public void setIpv4OutOfOrderFragCount(long x) {
		this.ipv4OutOfOrderFragCount = x;
	}

	/** The number of timed-out IPV4 datagrams waiting for reassembly. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of timed-out IPV4 datagrams waiting for reassembly." , required = true)
	@XmlElement(required = true)
	private long ipv4TimeoutCount;

	/** @return The number of timed-out IPV4 datagrams waiting for reassembly. */
	public long getIpv4TimeoutCount() {
		return this.ipv4TimeoutCount;
	}
	/** @param x The number of timed-out IPV4 datagrams waiting for reassembly. */
	public void setIpv4TimeoutCount(long x) {
		this.ipv4TimeoutCount = x;
	}

	/** The number of IPV6 input datagrams received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 input datagrams received." , required = true)
	@XmlElement(required = true)
	private long ipv6ReceivedPdus;

	/** @return The number of IPV6 input datagrams received. */
	public long getIpv6ReceivedPdus() {
		return this.ipv6ReceivedPdus;
	}
	/** @param x The number of IPV6 input datagrams received. */
	public void setIpv6ReceivedPdus(long x) {
		this.ipv6ReceivedPdus = x;
	}

	/** The number of IPV6output datagrams sent. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6output datagrams sent." , required = true)
	@XmlElement(required = true)
	private long ipv6SentPdus;

	/** @return The number of IPV6output datagrams sent. */
	public long getIpv6SentPdus() {
		return this.ipv6SentPdus;
	}
	/** @param x The number of IPV6output datagrams sent. */
	public void setIpv6SentPdus(long x) {
		this.ipv6SentPdus = x;
	}

	/** The number of IPV6 datagrams successfully reassembled. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 datagrams successfully reassembled." , required = true)
	@XmlElement(required = true)
	private long ipv6ReassembledPackets;

	/** @return The number of IPV6 datagrams successfully reassembled. */
	public long getIpv6ReassembledPackets() {
		return this.ipv6ReassembledPackets;
	}
	/** @param x The number of IPV6 datagrams successfully reassembled. */
	public void setIpv6ReassembledPackets(long x) {
		this.ipv6ReassembledPackets = x;
	}

	/** The number of IPV6packet fragments received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6packet fragments received." , required = true)
	@XmlElement(required = true)
	private long ipv6Fragmentation;

	/** @return The number of IPV6packet fragments received. */
	public long getIpv6Fragmentation() {
		return this.ipv6Fragmentation;
	}
	/** @param x The number of IPV6packet fragments received. */
	public void setIpv6Fragmentation(long x) {
		this.ipv6Fragmentation = x;
	}

	/** The number of IPV6 packet fragments transmitted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 packet fragments transmitted." , required = true)
	@XmlElement(required = true)
	private long ipv6FragmentedPdusCreates;

	/** @return The number of IPV6 packet fragments transmitted. */
	public long getIpv6FragmentedPdusCreates() {
		return this.ipv6FragmentedPdusCreates;
	}
	/** @param x The number of IPV6 packet fragments transmitted. */
	public void setIpv6FragmentedPdusCreates(long x) {
		this.ipv6FragmentedPdusCreates = x;
	}

	/** The number of data payload bytes transmitted in IPV6 packets. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes transmitted in IPV6 packets." , required = true)
	@XmlElement(required = true)
	private long ipv6TxByteCount;

	/** @return The number of data payload bytes transmitted in IPV6 packets. */
	public long getIpv6TxByteCount() {
		return this.ipv6TxByteCount;
	}
	/** @param x The number of data payload bytes transmitted in IPV6 packets. */
	public void setIpv6TxByteCount(long x) {
		this.ipv6TxByteCount = x;
	}

	/** The number of data payload bytes received in IPV6 packets. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes received in IPV6 packets." , required = true)
	@XmlElement(required = true)
	private long ipv6RxByteCount;

	/** @return The number of data payload bytes received in IPV6 packets. */
	public long getIpv6RxByteCount() {
		return this.ipv6RxByteCount;
	}
	/** @param x The number of data payload bytes received in IPV6 packets. */
	public void setIpv6RxByteCount(long x) {
		this.ipv6RxByteCount = x;
	}

	/** The number of IPV6 packets received with errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 packets received with errors." , required = true)
	@XmlElement(required = true)
	private long ipv6RxErrorCount;

	/** @return The number of IPV6 packets received with errors. */
	public long getIpv6RxErrorCount() {
		return this.ipv6RxErrorCount;
	}
	/** @param x The number of IPV6 packets received with errors. */
	public void setIpv6RxErrorCount(long x) {
		this.ipv6RxErrorCount = x;
	}

	/** The number of IPV6 datagrams with fragments that overlapped. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 datagrams with fragments that overlapped." , required = true)
	@XmlElement(required = true)
	private long ipv6OverlappedFragCount;

	/** @return The number of IPV6 datagrams with fragments that overlapped. */
	public long getIpv6OverlappedFragCount() {
		return this.ipv6OverlappedFragCount;
	}
	/** @param x The number of IPV6 datagrams with fragments that overlapped. */
	public void setIpv6OverlappedFragCount(long x) {
		this.ipv6OverlappedFragCount = x;
	}

	/** The number of IPV6 datagrams with fragments received that were out of order. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of IPV6 datagrams with fragments received that were out of order." , required = true)
	@XmlElement(required = true)
	private long ipv6OutOfOrderFragCount;

	/** @return The number of IPV6 datagrams with fragments received that were out of order. */
	public long getIpv6OutOfOrderFragCount() {
		return this.ipv6OutOfOrderFragCount;
	}
	/** @param x The number of IPV6 datagrams with fragments received that were out of order. */
	public void setIpv6OutOfOrderFragCount(long x) {
		this.ipv6OutOfOrderFragCount = x;
	}

	/** The number of timed-out IPV6 datagrams waiting for reassembly. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of timed-out IPV6 datagrams waiting for reassembly." , required = true)
	@XmlElement(required = true)
	private long ipv6TimeoutCount;

	/** @return The number of timed-out IPV6 datagrams waiting for reassembly. */
	public long getIpv6TimeoutCount() {
		return this.ipv6TimeoutCount;
	}
	/** @param x The number of timed-out IPV6 datagrams waiting for reassembly. */
	public void setIpv6TimeoutCount(long x) {
		this.ipv6TimeoutCount = x;
	}
}
