package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union type contains mutually exclusive sets of values for indicating the state of an IPV6 address. The applicable set depends on the type of IPV6 address - either interface or router. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(278)
public class IpV6AddressState implements Serializable {
	public IpV6AddressState() {
	}

	/** This enumeration defines the two different types of IPV6 addresses - interface or router. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the two different types of IPV6 addresses - interface or router." , required = true)
	@XmlElement(required = true)
	private IpV6AddressType addressType = IpV6AddressType.__UNDEFINED;

	/** @return This enumeration defines the two different types of IPV6 addresses - interface or router. */
	public IpV6AddressType getAddressType() {
		return this.addressType;
	}
	/** @param x This enumeration defines the two different types of IPV6 addresses - interface or router. */
	public void setAddressType(IpV6AddressType x) {
		this.addressType = x;
	}

	/** The interface address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_INTERFACE. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_INTERFACE." , required = false)
	@XmlElement(required = false)
	private IpConfigState interfaceAddressState = IpConfigState.__UNDEFINED;

	/** @return The interface address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_INTERFACE. */
	public IpConfigState getInterfaceAddressState() {
		return this.interfaceAddressState;
	}
	/** @param x The interface address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_INTERFACE. */
	public void setInterfaceAddressState(IpConfigState x) {
		this.interfaceAddressState = x;
	}

	/** The router address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_ROUTER. */
	@io.swagger.annotations.ApiModelProperty(value ="The router address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_ROUTER." , required = false)
	@XmlElement(required = false)
	private IpV6RouterAddressState routerAddressState = IpV6RouterAddressState.__UNDEFINED;

	/** @return The router address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_ROUTER. */
	public IpV6RouterAddressState getRouterAddressState() {
		return this.routerAddressState;
	}
	/** @param x The router address state. This field is only valid if addressType is equal to IPV6_ADDR_TYPE_ROUTER. */
	public void setRouterAddressState(IpV6RouterAddressState x) {
		this.routerAddressState = x;
	}
}
