package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used with the setIscsiEntityProperties procedure.) It indicates what IscsiEntity properties are to be set and their values. To support setting a subset of the properties, all of the fields are variable-length arrays of maximum size one; If the caller does not want to set a property, the corresponding length indicator should be zero; otherwise the length indicator is one, and the single element is the new value of the property. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(517)
public class IscsiEntityChangeableProperties implements Serializable {
	public IscsiEntityChangeableProperties() {
	}

	/** The setting for enabling or disabling the ICMP (Internet Control Message Protocol) ping messages. */
	@io.swagger.annotations.ApiModelProperty(value ="The setting for enabling or disabling the ICMP (Internet Control Message Protocol) ping messages." , required = true)
	@XmlElement(required = true)
	private boolean[] icmpPingResponseEnabled;

	/** @return The setting for enabling or disabling the ICMP (Internet Control Message Protocol) ping messages. */
	public boolean[] getIcmpPingResponseEnabled() {
		return this.icmpPingResponseEnabled;
	}
	/** @param x The setting for enabling or disabling the ICMP (Internet Control Message Protocol) ping messages. */
	public void setIcmpPingResponseEnabled(boolean[] x) {
		this.icmpPingResponseEnabled = x;
	}

	/** The setting for enabling or disabling unnamed discovery sessions. */
	@io.swagger.annotations.ApiModelProperty(value ="The setting for enabling or disabling unnamed discovery sessions." , required = true)
	@XmlElement(required = true)
	private boolean[] unnamedDiscoverySessionsEnabled;

	/** @return The setting for enabling or disabling unnamed discovery sessions. */
	public boolean[] getUnnamedDiscoverySessionsEnabled() {
		return this.unnamedDiscoverySessionsEnabled;
	}
	/** @param x The setting for enabling or disabling unnamed discovery sessions. */
	public void setUnnamedDiscoverySessionsEnabled(boolean[] x) {
		this.unnamedDiscoverySessionsEnabled = x;
	}

	/** The number of the TCP port on which the iSNS server listens for incoming connections. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of the TCP port on which the iSNS server listens for incoming connections." , required = true)
	@XmlElement(required = true)
	private int[] isnsServerTcpListenPort;

	/** @return The number of the TCP port on which the iSNS server listens for incoming connections. */
	public int[] getIsnsServerTcpListenPort() {
		return this.isnsServerTcpListenPort;
	}
	/** @param x The number of the TCP port on which the iSNS server listens for incoming connections. */
	public void setIsnsServerTcpListenPort(int[] x) {
		this.isnsServerTcpListenPort = x;
	}

	/** The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation." , required = true)
	@XmlElement(required = true)
	private IpV4ConfigMethod[] ipv4IsnsServerAddressConfigMethod;

	/** @return The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	public IpV4ConfigMethod[] getIpv4IsnsServerAddressConfigMethod() {
		return this.ipv4IsnsServerAddressConfigMethod;
	}
	/** @param x The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	public void setIpv4IsnsServerAddressConfigMethod(IpV4ConfigMethod[] x) {
		this.ipv4IsnsServerAddressConfigMethod = x;
	}

	/** The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	@io.swagger.annotations.ApiModelProperty(value ="The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation." , required = true)
	@XmlElement(required = true)
	private String[] ipv4IsnsServerAddress;

	/** @return The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	public String[] getIpv4IsnsServerAddress() {
		return this.ipv4IsnsServerAddress;
	}
	/** @param x The IPV4 configuration method to use for determining the IP address of the iSNS server. Whenever there is a transition of the configuration method from IPV4_CONFIG_STATIC to IPV4_CONFIG_DHCP, the storage array performs the equivalent of a refreshIsnsServerLocation operation. */
	public void setIpv4IsnsServerAddress(String[] x) {
		this.ipv4IsnsServerAddress = x;
	}

	/** The IPV6 address of the iSNS server. */
	@io.swagger.annotations.ApiModelProperty(value ="The IPV6 address of the iSNS server." , required = true)
	@XmlElement(required = true)
	private String[] ipv6IsnsServerAddress;

	/** @return The IPV6 address of the iSNS server. */
	public String[] getIpv6IsnsServerAddress() {
		return this.ipv6IsnsServerAddress;
	}
	/** @param x The IPV6 address of the iSNS server. */
	public void setIpv6IsnsServerAddress(String[] x) {
		this.ipv6IsnsServerAddress = x;
	}

	/** The setting is for enabling or disabling storage array registration with the iSNS server. */
	@io.swagger.annotations.ApiModelProperty(value ="The setting is for enabling or disabling storage array registration with the iSNS server." , required = true)
	@XmlElement(required = true)
	private boolean[] isnsServerRegistrationEnabled;

	/** @return The setting is for enabling or disabling storage array registration with the iSNS server. */
	public boolean[] getIsnsServerRegistrationEnabled() {
		return this.isnsServerRegistrationEnabled;
	}
	/** @param x The setting is for enabling or disabling storage array registration with the iSNS server. */
	public void setIsnsServerRegistrationEnabled(boolean[] x) {
		this.isnsServerRegistrationEnabled = x;
	}
}
