package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes a LUN-to-volume mapping that is currently defined for the storage array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(856)
public class LUNMapping implements Serializable,devmgr.api.model.Identifiable {
	public LUNMapping() {
	}

	/** The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition." , required = true)
	@XmlElement(required = true)
	private String lunMappingRef;

	/** @return The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	public String getLunMappingRef() {
		return this.lunMappingRef;
	}
	/** @param x The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	public void setLunMappingRef(String x) {
		this.lunMappingRef = x;
	}

	/** The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition." , required = true)
	@XmlElement(required = true)
	private int lun;

	/** @return The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	public int getLun() {
		return this.lun;
	}
	/** @param x The unique identification value for this object. Other objects may use this reference value to refer to the mapping definition. */
	public void setLun(int x) {
		this.lun = x;
	}

	/** An internal volume identifier value that is not meaningful outside the firmware environment. */
	@io.swagger.annotations.ApiModelProperty(value ="An internal volume identifier value that is not meaningful outside the firmware environment." , required = true)
	@XmlElement(required = true)
	private int ssid;

	/** @return An internal volume identifier value that is not meaningful outside the firmware environment. */
	public int getSsid() {
		return this.ssid;
	}
	/** @param x An internal volume identifier value that is not meaningful outside the firmware environment. */
	public void setSsid(int x) {
		this.ssid = x;
	}

	/** The permission values associated with this mapping definition. This field is not currently used, but is provided for future extensions. */
	@io.swagger.annotations.ApiModelProperty(value ="The permission values associated with this mapping definition. This field is not currently used, but is provided for future extensions." , required = true)
	@XmlElement(required = true)
	private int perms;

	/** @return The permission values associated with this mapping definition. This field is not currently used, but is provided for future extensions. */
	public int getPerms() {
		return this.perms;
	}
	/** @param x The permission values associated with this mapping definition. This field is not currently used, but is provided for future extensions. */
	public void setPerms(int x) {
		this.perms = x;
	}

	/** The unique identification value of the volume that is accessed via the LUN value associated with this mapping definition. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identification value of the volume that is accessed via the LUN value associated with this mapping definition." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The unique identification value of the volume that is accessed via the LUN value associated with this mapping definition. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The unique identification value of the volume that is accessed via the LUN value associated with this mapping definition. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The type of the LUN mapping. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of the LUN mapping." , required = true)
	@XmlElement(required = true)
	private LUNMappingType type = LUNMappingType.__UNDEFINED;

	/** @return The type of the LUN mapping. */
	public LUNMappingType getType() {
		return this.type;
	}
	/** @param x The type of the LUN mapping. */
	public void setType(LUNMappingType x) {
		this.type = x;
	}

	/** The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field will contain a NULL SYMbolRef. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field will contain a NULL SYMbolRef." , required = true)
	@XmlElement(required = true)
	private String mapRef;

	/** @return The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field will contain a NULL SYMbolRef. */
	public String getMapRef() {
		return this.mapRef;
	}
	/** @param x The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field will contain a NULL SYMbolRef. */
	public void setMapRef(String x) {
		this.mapRef = x;
	}
	@Override
	public String getId(){
		return lunMappingRef;
	}
}
