package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure conveys all required parameter data needed to modify the properties of a LUN mapping via the moveLUNMapping procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(779)
public class LUNMappingUpdateDescriptor implements Serializable {
	public LUNMappingUpdateDescriptor() {
	}

	/** A reference to the LUN mapping to update. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the LUN mapping to update." , required = true)
	@XmlElement(required = true)
	private String lunMappingRef;

	/** @return A reference to the LUN mapping to update. */
	public String getLunMappingRef() {
		return this.lunMappingRef;
	}
	/** @param x A reference to the LUN mapping to update. */
	public void setLunMappingRef(String x) {
		this.lunMappingRef = x;
	}

	/** A reference to the LUN mapping to update. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the LUN mapping to update." , required = true)
	@XmlElement(required = true)
	private int lun;

	/** @return A reference to the LUN mapping to update. */
	public int getLun() {
		return this.lun;
	}
	/** @param x A reference to the LUN mapping to update. */
	public void setLun(int x) {
		this.lun = x;
	}

	/** The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field must contain a NULL SYMbolRef. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field must contain a NULL SYMbolRef." , required = true)
	@XmlElement(required = true)
	private String mapRef;

	/** @return The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field must contain a NULL SYMbolRef. */
	public String getMapRef() {
		return this.mapRef;
	}
	/** @param x The unique identifier of the entity for which the mapping applies. The type of the entity, and thus of the SYMbol reference, depends on the mapping type. For example, if the LUNMapping object represents a cluster-wide mapping, this field will contain the ClusterRef of the cluster for which the mapping applies. Similarly, if the object represents a host-specific mapping, this field will contain the HostRef of the host for which the mapping applies. Note that if the object represents a default mapping, this field must contain a NULL SYMbolRef. */
	public void setMapRef(String x) {
		this.mapRef = x;
	}
}
