package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration identifies an auto load balance action being requested by the client. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(161)
public enum LoadBalanceAction implements Serializable {
		/** The action is unknown / invalid. */
		unknown(0),
		/** Request to reset load balance statistics baseline. This is used when the client believes load characteristics are dramatically changing such that the historical data is no longer valid. */
		resetStatisticsBaseline(1),
		/** Request to perform a load balance operation. */
		rebalanceLoad(2),
		__UNDEFINED(464378545);

		public final int value;

		private LoadBalanceAction(int v) {
			this.value = v;
		}
}
