package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about creating a new metadata volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1004)
public class MetadataVolCreationDescriptor implements Serializable {
	public MetadataVolCreationDescriptor() {
	}

	/** The metadata volume type to create. */
	@io.swagger.annotations.ApiModelProperty(value ="The metadata volume type to create." , required = true)
	@XmlElement(required = true)
	private MetadataVolType metadataVolType = MetadataVolType.__UNDEFINED;

	/** @return The metadata volume type to create. */
	public MetadataVolType getMetadataVolType() {
		return this.metadataVolType;
	}
	/** @param x The metadata volume type to create. */
	public void setMetadataVolType(MetadataVolType x) {
		this.metadataVolType = x;
	}

	/** The user assigned label, as assigned by the firmware, for controller 0 volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The user assigned label, as assigned by the firmware, for controller 0 volume." , required = true)
	@XmlElement(required = true)
	private String ctl0Label;

	/** @return The user assigned label, as assigned by the firmware, for controller 0 volume. */
	public String getCtl0Label() {
		return this.ctl0Label;
	}
	/** @param x The user assigned label, as assigned by the firmware, for controller 0 volume. */
	public void setCtl0Label(String x) {
		this.ctl0Label = x;
	}

	/** The user assigned label, as assigned by the firmware, for controller 1 volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The user assigned label, as assigned by the firmware, for controller 1 volume." , required = true)
	@XmlElement(required = true)
	private String ctl1Label;

	/** @return The user assigned label, as assigned by the firmware, for controller 1 volume. */
	public String getCtl1Label() {
		return this.ctl1Label;
	}
	/** @param x The user assigned label, as assigned by the firmware, for controller 1 volume. */
	public void setCtl1Label(String x) {
		this.ctl1Label = x;
	}

	/** The volume candidate for the repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume candidate for the repository." , required = true)
	@XmlElement(required = true)
	private VolumeCandidate candidate;

	/** @return The volume candidate for the repository. */
	public VolumeCandidate getCandidate() {
		return this.candidate;
	}
	/** @param x The volume candidate for the repository. */
	public void setCandidate(VolumeCandidate x) {
		this.candidate = x;
	}

	/** The label to assign to the new volume group for the repository, if any. This field is only used when the repository candidate selection type is CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	@io.swagger.annotations.ApiModelProperty(value ="The label to assign to the new volume group for the repository, if any. This field is only used when the repository candidate selection type is CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT." , required = true)
	@XmlElement(required = true)
	private String volumeGroupLabel;

	/** @return The label to assign to the new volume group for the repository, if any. This field is only used when the repository candidate selection type is CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	public String getVolumeGroupLabel() {
		return this.volumeGroupLabel;
	}
	/** @param x The label to assign to the new volume group for the repository, if any. This field is only used when the repository candidate selection type is CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	public void setVolumeGroupLabel(String x) {
		this.volumeGroupLabel = x;
	}

	/** The protection type that should be used for the metadata volume being created */
	@io.swagger.annotations.ApiModelProperty(value ="The protection type that should be used for the metadata volume being created" , required = true)
	@XmlElement(required = true)
	private ProtectionType protectionType = ProtectionType.__UNDEFINED;

	/** @return The protection type that should be used for the metadata volume being created */
	public ProtectionType getProtectionType() {
		return this.protectionType;
	}
	/** @param x The protection type that should be used for the metadata volume being created */
	public void setProtectionType(ProtectionType x) {
		this.protectionType = x;
	}
}
