package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report minihub information with MEL events. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(529)
public class MinihubLocation implements Serializable {
	public MinihubLocation() {
	}

	/** Information returned is based on the minihub type. */
	@io.swagger.annotations.ApiModelProperty(value ="Information returned is based on the minihub type." , required = true)
	@XmlElement(required = true)
	private MinihubType minihubType = MinihubType.__UNDEFINED;

	/** @return Information returned is based on the minihub type. */
	public MinihubType getMinihubType() {
		return this.minihubType;
	}
	/** @param x Information returned is based on the minihub type. */
	public void setMinihubType(MinihubType x) {
		this.minihubType = x;
	}

	/** The channel number that this minihub is associated with. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel number that this minihub is associated with." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel number that this minihub is associated with. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel number that this minihub is associated with. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	@io.swagger.annotations.ApiModelProperty(value ="Controller number 1 if in top slot. Controller number 2 if in bottom slot." , required = true)
	@XmlElement(required = true)
	private int controllerSlot;

	/** @return Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	public int getControllerSlot() {
		return this.controllerSlot;
	}
	/** @param x Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	public void setControllerSlot(int x) {
		this.controllerSlot = x;
	}

	/** Tray ID number. This field is not used and is considered deprecated. */
	@io.swagger.annotations.ApiModelProperty(value ="Tray ID number. This field is not used and is considered deprecated." , required = true)
	@XmlElement(required = true)
	private int tray;

	/** @return Tray ID number. This field is not used and is considered deprecated. */
	public int getTray() {
		return this.tray;
	}
	/** @param x Tray ID number. This field is not used and is considered deprecated. */
	public void setTray(int x) {
		this.tray = x;
	}
}
