package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to tell the current state of the mirror relationship. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(63)
public enum MirrorProxyStatus implements Serializable {
		/** The primary and secondary mirror volumes are synchronized. */
		optimal(0),
		/** The primary and secondary mirror volumes are unsynchronized. */
		unsynchronized(1),
		/** The primary and secondary mirror volumes are in the process of synchronizing. */
		synchronizing(2),
		/** The primary mirror volume is in a not ready state. */
		notready(3),
		/** Primary & Secondary Mirror vols are suspended */
		suspended(4),
		/** Primary and secondary mirror volumes are failed. */
		failed(5),
		/** Primary and secondary mirror volumes are failed and suspended. */
		failedsuspended(6),
		/** Primary and secondary mirror volumes are degraded and synchronizing. */
		degradedSynchronizing(7),
		/** Primary and secondary mirror volumes are degraded and unsynchronized. */
		degradedUnsynchronized(8),
		__UNDEFINED(464378545);

		public final int value;

		private MirrorProxyStatus(int v) {
			this.value = v;
		}
}
