package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information for changing the role of the mirror proxy volume (Primary or Secondary). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(960)
public class MirrorRoleChangeDescriptor implements Serializable {
	public MirrorRoleChangeDescriptor() {
	}

	/** The reference to the mirror proxy volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference to the mirror proxy volume." , required = true)
	@XmlElement(required = true)
	private String mirrorProxy;

	/** @return The reference to the mirror proxy volume. */
	public String getMirrorProxy() {
		return this.mirrorProxy;
	}
	/** @param x The reference to the mirror proxy volume. */
	public void setMirrorProxy(String x) {
		this.mirrorProxy = x;
	}

	/** If true, ignore if remote array role change fails. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, ignore if remote array role change fails." , required = true)
	@XmlElement(required = true)
	private boolean forced;

	/** @return If true, ignore if remote array role change fails. */
	public boolean isForced() {
		return this.forced;
	}
	/** @param x If true, ignore if remote array role change fails. */
	public void setForced(boolean x) {
		this.forced = x;
	}

	/** The role to change the local mirror proxy volume to: primary or secondary. */
	@io.swagger.annotations.ApiModelProperty(value ="The role to change the local mirror proxy volume to: primary or secondary." , required = true)
	@XmlElement(required = true)
	private MirrorProxyRole toRole = MirrorProxyRole.__UNDEFINED;

	/** @return The role to change the local mirror proxy volume to: primary or secondary. */
	public MirrorProxyRole getToRole() {
		return this.toRole;
	}
	/** @param x The role to change the local mirror proxy volume to: primary or secondary. */
	public void setToRole(MirrorProxyRole x) {
		this.toRole = x;
	}
}
