package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Represents a controller network interface. Contains generic information that applies for all IO interfaces and interface-type-specific info. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1067)
public class NetworkInterface implements Serializable {
	public NetworkInterface() {
	}

	/** The SYMbol array-wide unique name for the interface object. */
	@io.swagger.annotations.ApiModelProperty(value ="The SYMbol array-wide unique name for the interface object." , required = true)
	@XmlElement(required = true)
	private String interfaceRef;

	/** @return The SYMbol array-wide unique name for the interface object. */
	public String getInterfaceRef() {
		return this.interfaceRef;
	}
	/** @param x The SYMbol array-wide unique name for the interface object. */
	public void setInterfaceRef(String x) {
		this.interfaceRef = x;
	}

	/** The type of channel that the interface is associated with. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of channel that the interface is associated with." , required = true)
	@XmlElement(required = true)
	private ChannelType channelType = ChannelType.__UNDEFINED;

	/** @return The type of channel that the interface is associated with. */
	public ChannelType getChannelType() {
		return this.channelType;
	}
	/** @param x The type of channel that the interface is associated with. */
	public void setChannelType(ChannelType x) {
		this.channelType = x;
	}

	/** A field whose contents vary depending on the type of the interface. */
	@io.swagger.annotations.ApiModelProperty(value ="A field whose contents vary depending on the type of the interface." , required = true)
	@XmlElement(required = true)
	private NetInterfaceTypeData netInterfaceTypeData;

	/** @return A field whose contents vary depending on the type of the interface. */
	public NetInterfaceTypeData getNetInterfaceTypeData() {
		return this.netInterfaceTypeData;
	}
	/** @param x A field whose contents vary depending on the type of the interface. */
	public void setNetInterfaceTypeData(NetInterfaceTypeData x) {
		this.netInterfaceTypeData = x;
	}
}
