package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** NTP (Network Time Protocol) acquisition configuration parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(898)
public class NtpAcquisitionDescriptor implements Serializable {
	public NtpAcquisitionDescriptor() {
	}

	/** How the NTP server addresses are acquired. */
	@io.swagger.annotations.ApiModelProperty(value ="How the NTP server addresses are acquired." , required = true)
	@XmlElement(required = true)
	private NtpAcquisitionMethod ntpAcquisitionType = NtpAcquisitionMethod.__UNDEFINED;

	/** @return How the NTP server addresses are acquired. */
	public NtpAcquisitionMethod getNtpAcquisitionType() {
		return this.ntpAcquisitionType;
	}
	/** @param x How the NTP server addresses are acquired. */
	public void setNtpAcquisitionType(NtpAcquisitionMethod x) {
		this.ntpAcquisitionType = x;
	}

	/** This field is used if the method is set to NTP_ACQUISITION_METHOD_STATIC. If more than one address is specified, the first (lowest index) item is given highest precedence and the last item (highest index) is given the lowest precedence. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is used if the method is set to NTP_ACQUISITION_METHOD_STATIC. If more than one address is specified, the first (lowest index) item is given highest precedence and the last item (highest index) is given the lowest precedence." , required = false)
	@XmlElement(required = false)
	private NetworkAddress[] ntpServers;

	/** @return This field is used if the method is set to NTP_ACQUISITION_METHOD_STATIC. If more than one address is specified, the first (lowest index) item is given highest precedence and the last item (highest index) is given the lowest precedence. */
	public NetworkAddress[] getNtpServers() {
		return this.ntpServers;
	}
	/** @param x This field is used if the method is set to NTP_ACQUISITION_METHOD_STATIC. If more than one address is specified, the first (lowest index) item is given highest precedence and the last item (highest index) is given the lowest precedence. */
	public void setNtpServers(NetworkAddress[] x) {
		this.ntpServers = x;
	}
}
