package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is a generic object reference. It provides a way to refer to objects without having to be specific about their type. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(664)
public class ObjectReference implements Serializable {
	public ObjectReference() {
	}

	/** This enumeration identifies the different types of object references. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration identifies the different types of object references." , required = true)
	@XmlElement(required = true)
	private ObjectReferenceType refType = ObjectReferenceType.__UNDEFINED;

	/** @return This enumeration identifies the different types of object references. */
	public ObjectReferenceType getRefType() {
		return this.refType;
	}
	/** @param x This enumeration identifies the different types of object references. */
	public void setRefType(ObjectReferenceType x) {
		this.refType = x;
	}

	/** A ControllerRef that refers to the object. Controllers are identified separately from other SYMbol objects because their refs require special handling by the firmware. This field is only valid if refType is equal to OBJ_REF_CONTROLLER. */
	@io.swagger.annotations.ApiModelProperty(value ="A ControllerRef that refers to the object. Controllers are identified separately from other SYMbol objects because their refs require special handling by the firmware. This field is only valid if refType is equal to OBJ_REF_CONTROLLER." , required = false)
	@XmlElement(required = false)
	private String controllerRef;

	/** @return A ControllerRef that refers to the object. Controllers are identified separately from other SYMbol objects because their refs require special handling by the firmware. This field is only valid if refType is equal to OBJ_REF_CONTROLLER. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A ControllerRef that refers to the object. Controllers are identified separately from other SYMbol objects because their refs require special handling by the firmware. This field is only valid if refType is equal to OBJ_REF_CONTROLLER. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** A SYMbolRef that refers to the object. All non-controller objects can be identified by an untyped SYMbol reference. This field is only present if refType is equal to OBJ_REF_GENERIC. */
	@io.swagger.annotations.ApiModelProperty(value ="A SYMbolRef that refers to the object. All non-controller objects can be identified by an untyped SYMbol reference. This field is only present if refType is equal to OBJ_REF_GENERIC." , required = false)
	@XmlElement(required = false)
	private String symbolRef;

	/** @return A SYMbolRef that refers to the object. All non-controller objects can be identified by an untyped SYMbol reference. This field is only present if refType is equal to OBJ_REF_GENERIC. */
	public String getSymbolRef() {
		return this.symbolRef;
	}
	/** @param x A SYMbolRef that refers to the object. All non-controller objects can be identified by an untyped SYMbol reference. This field is only present if refType is equal to OBJ_REF_GENERIC. */
	public void setSymbolRef(String x) {
		this.symbolRef = x;
	}

	/** A reference to a SYMbol object that includes object type information. This value is only present if the discriminator refType is set to OBJ_REF_GENERIC_TYPED. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a SYMbol object that includes object type information. This value is only present if the discriminator refType is set to OBJ_REF_GENERIC_TYPED." , required = false)
	@XmlElement(required = false)
	private TypedSYMbolReference typedReference;

	/** @return A reference to a SYMbol object that includes object type information. This value is only present if the discriminator refType is set to OBJ_REF_GENERIC_TYPED. */
	public TypedSYMbolReference getTypedReference() {
		return this.typedReference;
	}
	/** @param x A reference to a SYMbol object that includes object type information. This value is only present if the discriminator refType is set to OBJ_REF_GENERIC_TYPED. */
	public void setTypedReference(TypedSYMbolReference x) {
		this.typedReference = x;
	}
}
