package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify the deletion of one or more PiTs within a ConsistencyGroup. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(724)
public class PITConsistencyGroupPITDeletionDescriptor implements Serializable {
	public PITConsistencyGroupPITDeletionDescriptor() {
	}

	/** A reference to the consistency group from which one or more PiTs will be deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the consistency group from which one or more PiTs will be deleted." , required = true)
	@XmlElement(required = true)
	private String cgRef;

	/** @return A reference to the consistency group from which one or more PiTs will be deleted. */
	public String getCgRef() {
		return this.cgRef;
	}
	/** @param x A reference to the consistency group from which one or more PiTs will be deleted. */
	public void setCgRef(String x) {
		this.cgRef = x;
	}

	/** A list of sequence numbers for the PiTs to be deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of sequence numbers for the PiTs to be deleted." , required = true)
	@XmlElement(required = true)
	private long[] pitSequenceNumber;

	/** @return A list of sequence numbers for the PiTs to be deleted. */
	public long[] getPitSequenceNumber() {
		return this.pitSequenceNumber;
	}
	/** @param x A list of sequence numbers for the PiTs to be deleted. */
	public void setPitSequenceNumber(long[] x) {
		this.pitSequenceNumber = x;
	}
}
