package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to identify the status of a PiT Group rollback. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(162)
public enum PITRollbackStatus implements Serializable {
		/** The rollback status is unknown. This should never happen. */
		unknown(0),
		/** No rollback is taking place. */
		none(1),
		/** The rollback is actively copying data. */
		inProgress(2),
		/** The rollback is waiting on resources to start background copy. */
		pending(3),
		/** Active data copy paused due to error */
		paused(4),
		__UNDEFINED(464378545);

		public final int value;

		private PITRollbackStatus(int v) {
			this.value = v;
		}
}
