package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convert a read-only view to read-write view. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1165)
public class PITViewRWConversionDescriptor implements Serializable {
	public PITViewRWConversionDescriptor() {
	}

	/** A reference to the view to convert. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the view to convert." , required = true)
	@XmlElement(required = true)
	private String viewRef;

	/** @return A reference to the view to convert. */
	public String getViewRef() {
		return this.viewRef;
	}
	/** @param x A reference to the view to convert. */
	public void setViewRef(String x) {
		this.viewRef = x;
	}

	/** A descriptor for creation of the repository (read-only view does not have a repository so one must be created in order to convert to read/write). */
	@io.swagger.annotations.ApiModelProperty(value ="A descriptor for creation of the repository (read-only view does not have a repository so one must be created in order to convert to read/write)." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeCreationDescriptor repositoryCandidate;

	/** @return A descriptor for creation of the repository (read-only view does not have a repository so one must be created in order to convert to read/write). */
	public ConcatVolumeCreationDescriptor getRepositoryCandidate() {
		return this.repositoryCandidate;
	}
	/** @param x A descriptor for creation of the repository (read-only view does not have a repository so one must be created in order to convert to read/write). */
	public void setRepositoryCandidate(ConcatVolumeCreationDescriptor x) {
		this.repositoryCandidate = x;
	}

	/** The repository full warning threshold. Although this is specified on the view already, it does not make sense for a read-only view and so should be validated/set as part of the conversion to read/write to ensure the value set makes sense for the now read/write view. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository full warning threshold. Although this is specified on the view already, it does not make sense for a read-only view and so should be validated/set as part of the conversion to read/write to ensure the value set makes sense for the now read/write view." , required = true)
	@XmlElement(required = true)
	private int fullWarnThreshold;

	/** @return The repository full warning threshold. Although this is specified on the view already, it does not make sense for a read-only view and so should be validated/set as part of the conversion to read/write to ensure the value set makes sense for the now read/write view. */
	public int getFullWarnThreshold() {
		return this.fullWarnThreshold;
	}
	/** @param x The repository full warning threshold. Although this is specified on the view already, it does not make sense for a read-only view and so should be validated/set as part of the conversion to read/write to ensure the value set makes sense for the now read/write view. */
	public void setFullWarnThreshold(int x) {
		this.fullWarnThreshold = x;
	}
}
