package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report on utilization of a view repository. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1027)
public class PITViewRepositoryUtilization implements Serializable {
	public PITViewRepositoryUtilization() {
	}

	/** The number of bytes used in the repository for the view metadata, copy-on-write indexes, and copy-on-write data. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes used in the repository for the view metadata, copy-on-write indexes, and copy-on-write data." , required = true)
	@XmlElement(required = true)
	private long viewBytesUsed;

	/** @return The number of bytes used in the repository for the view metadata, copy-on-write indexes, and copy-on-write data. */
	public long getViewBytesUsed() {
		return this.viewBytesUsed;
	}
	/** @param x The number of bytes used in the repository for the view metadata, copy-on-write indexes, and copy-on-write data. */
	public void setViewBytesUsed(long x) {
		this.viewBytesUsed = x;
	}

	/** The total number of bytes available for ongoing copy-on-write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The total number of bytes available for ongoing copy-on-write operations." , required = true)
	@XmlElement(required = true)
	private long viewBytesAvailable;

	/** @return The total number of bytes available for ongoing copy-on-write operations. */
	public long getViewBytesAvailable() {
		return this.viewBytesAvailable;
	}
	/** @param x The total number of bytes available for ongoing copy-on-write operations. */
	public void setViewBytesAvailable(long x) {
		this.viewBytesAvailable = x;
	}

	/** The ViewRef for which this utilization applies. */
	@io.swagger.annotations.ApiModelProperty(value ="The ViewRef for which this utilization applies." , required = true)
	@XmlElement(required = true)
	private String viewRef;

	/** @return The ViewRef for which this utilization applies. */
	public String getViewRef() {
		return this.viewRef;
	}
	/** @param x The ViewRef for which this utilization applies. */
	public void setViewRef(String x) {
		this.viewRef = x;
	}
}
