package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey encryption information that is needed when using the PKCS #5 standard. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(425)
public class PKCS5EncryptionData implements Serializable {
	public PKCS5EncryptionData() {
	}

	/** The number of message digest iterations to be performed when generating the encryption key and initialization vector from the passphrase and salt values. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of message digest iterations to be performed when generating the encryption key and initialization vector from the passphrase and salt values." , required = true)
	@XmlElement(required = true)
	private int iterations;

	/** @return The number of message digest iterations to be performed when generating the encryption key and initialization vector from the passphrase and salt values. */
	public int getIterations() {
		return this.iterations;
	}
	/** @param x The number of message digest iterations to be performed when generating the encryption key and initialization vector from the passphrase and salt values. */
	public void setIterations(int x) {
		this.iterations = x;
	}

	/** A byte array containing the salt, or random data, selected by the encryption code for this particular encryption operation. */
	@io.swagger.annotations.ApiModelProperty(value ="A byte array containing the salt, or random data, selected by the encryption code for this particular encryption operation." , required = true)
	@XmlElement(required = true)
	private String salt;

	/** @return A byte array containing the salt, or random data, selected by the encryption code for this particular encryption operation. */
	public String getSalt() {
		return this.salt;
	}
	/** @param x A byte array containing the salt, or random data, selected by the encryption code for this particular encryption operation. */
	public void setSalt(String x) {
		this.salt = x;
	}

	/** A variable-length array containing the encrypted data, or cipher text. The length of this array must be a multiple of 8 in order to conform to the PKCS #5 standard. The standard specifies the appropriate technique for adding pad bytes to ensure that this constraint is met. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing the encrypted data, or cipher text. The length of this array must be a multiple of 8 in order to conform to the PKCS #5 standard. The standard specifies the appropriate technique for adding pad bytes to ensure that this constraint is met." , required = true)
	@XmlElement(required = true)
	private String cipherText;

	/** @return A variable-length array containing the encrypted data, or cipher text. The length of this array must be a multiple of 8 in order to conform to the PKCS #5 standard. The standard specifies the appropriate technique for adding pad bytes to ensure that this constraint is met. */
	public String getCipherText() {
		return this.cipherText;
	}
	/** @param x A variable-length array containing the encrypted data, or cipher text. The length of this array must be a multiple of 8 in order to conform to the PKCS #5 standard. The standard specifies the appropriate technique for adding pad bytes to ensure that this constraint is met. */
	public void setCipherText(String x) {
		this.cipherText = x;
	}
}
