package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to hold the counts for the Read Link Status command. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(490)
public class RLSCount implements Serializable {
	public RLSCount() {
	}

	/** The number of link failures. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of link failures." , required = true)
	@XmlElement(required = true)
	private int linkFailureCount;

	/** @return The number of link failures. */
	public int getLinkFailureCount() {
		return this.linkFailureCount;
	}
	/** @param x The number of link failures. */
	public void setLinkFailureCount(int x) {
		this.linkFailureCount = x;
	}

	/** The number of synchronization losses. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of synchronization losses." , required = true)
	@XmlElement(required = true)
	private int lossOfSyncCount;

	/** @return The number of synchronization losses. */
	public int getLossOfSyncCount() {
		return this.lossOfSyncCount;
	}
	/** @param x The number of synchronization losses. */
	public void setLossOfSyncCount(int x) {
		this.lossOfSyncCount = x;
	}

	/** The number of signal losses. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of signal losses." , required = true)
	@XmlElement(required = true)
	private int lossOfSignalCount;

	/** @return The number of signal losses. */
	public int getLossOfSignalCount() {
		return this.lossOfSignalCount;
	}
	/** @param x The number of signal losses. */
	public void setLossOfSignalCount(int x) {
		this.lossOfSignalCount = x;
	}

	/** The number of primary sequence protocol failures. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of primary sequence protocol failures." , required = true)
	@XmlElement(required = true)
	private int primSeqProtocolErr;

	/** @return The number of primary sequence protocol failures. */
	public int getPrimSeqProtocolErr() {
		return this.primSeqProtocolErr;
	}
	/** @param x The number of primary sequence protocol failures. */
	public void setPrimSeqProtocolErr(int x) {
		this.primSeqProtocolErr = x;
	}

	/** The number of invalid transmit word failures. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of invalid transmit word failures." , required = true)
	@XmlElement(required = true)
	private int invalidXmitWord;

	/** @return The number of invalid transmit word failures. */
	public int getInvalidXmitWord() {
		return this.invalidXmitWord;
	}
	/** @param x The number of invalid transmit word failures. */
	public void setInvalidXmitWord(int x) {
		this.invalidXmitWord = x;
	}

	/** The number of invalid CRC failures. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of invalid CRC failures." , required = true)
	@XmlElement(required = true)
	private int invalidCRCCount;

	/** @return The number of invalid CRC failures. */
	public int getInvalidCRCCount() {
		return this.invalidCRCCount;
	}
	/** @param x The number of invalid CRC failures. */
	public void setInvalidCRCCount(int x) {
		this.invalidCRCCount = x;
	}
}
