package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** used to differentiate between the transfer-type-specific details that can be requested when starting a raw data restoration. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(650)
public class RawDataRestoreStartDetails implements Serializable {
	public RawDataRestoreStartDetails() {
	}

	/** This enumeration lists the raw data transfer types. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration lists the raw data transfer types." , required = true)
	@XmlElement(required = true)
	private RawDataTransferType rawDataTransferType = RawDataTransferType.__UNDEFINED;

	/** @return This enumeration lists the raw data transfer types. */
	public RawDataTransferType getRawDataTransferType() {
		return this.rawDataTransferType;
	}
	/** @param x This enumeration lists the raw data transfer types. */
	public void setRawDataTransferType(RawDataTransferType x) {
		this.rawDataTransferType = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DBMBLK." , required = false)
	@XmlElement(required = false)
	private DbmBlkRestoreStartDetails dbmBlk;

	/** @return This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	public DbmBlkRestoreStartDetails getDbmBlk() {
		return this.dbmBlk;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	public void setDbmBlk(DbmBlkRestoreStartDetails x) {
		this.dbmBlk = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DBMREC. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DBMREC." , required = false)
	@XmlElement(required = false)
	private DbmRecRestoreStartDetails dbmRec;

	/** @return This field is present only if the type value is equal to RAWDATA_DBMREC. */
	public DbmRecRestoreStartDetails getDbmRec() {
		return this.dbmRec;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DBMREC. */
	public void setDbmRec(DbmRecRestoreStartDetails x) {
		this.dbmRec = x;
	}
}
