package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** contains the return data for the continueRawDataRetrieve procedure */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1047)
public class RawDataRetrieveResult implements Serializable {
	public RawDataRetrieveResult() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The transfer type, this sequence number, the final sequence number, and type-specific details. */
	@io.swagger.annotations.ApiModelProperty(value ="The transfer type, this sequence number, the final sequence number, and type-specific details." , required = false)
	@XmlElement(required = false)
	private RawDataRetrieveInfo info;

	/** @return The transfer type, this sequence number, the final sequence number, and type-specific details. */
	public RawDataRetrieveInfo getInfo() {
		return this.info;
	}
	/** @param x The transfer type, this sequence number, the final sequence number, and type-specific details. */
	public void setInfo(RawDataRetrieveInfo x) {
		this.info = x;
	}

	/** The sequence number of the data chunk that could not be transferred is returned. */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number of the data chunk that could not be transferred is returned." , required = false)
	@XmlElement(required = false)
	private int thisSequenceNumber;

	/** @return The sequence number of the data chunk that could not be transferred is returned. */
	public int getThisSequenceNumber() {
		return this.thisSequenceNumber;
	}
	/** @param x The sequence number of the data chunk that could not be transferred is returned. */
	public void setThisSequenceNumber(int x) {
		this.thisSequenceNumber = x;
	}
}
