package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to specify the type of schedule recurrence. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(100)
public enum RecurrenceType implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The schedule will repeat without stopping. */
		unlimited(1),
		/** The schedule will stop after N days, weeks, or months. */
		count(2),
		/** The schedule will stop after a specified date. */
		endDate(3),
		__UNDEFINED(464378545);

		public final int value;

		private RecurrenceType(int v) {
			this.value = v;
		}
}
