package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a SCSI I/O interface on a controller board. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(291)
public class SCSIInterface implements Serializable {
	public SCSIInterface() {
	}

	/** The channel number of this interface. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel number of this interface." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel number of this interface. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel number of this interface. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** The SCSI ID value used by the controller on this interface. */
	@io.swagger.annotations.ApiModelProperty(value ="The SCSI ID value used by the controller on this interface." , required = true)
	@XmlElement(required = true)
	private int scsiID;

	/** @return The SCSI ID value used by the controller on this interface. */
	public int getScsiID() {
		return this.scsiID;
	}
	/** @param x The SCSI ID value used by the controller on this interface. */
	public void setScsiID(int x) {
		this.scsiID = x;
	}

	/** The speed of the interface in MB/sec. */
	@io.swagger.annotations.ApiModelProperty(value ="The speed of the interface in MB/sec." , required = true)
	@XmlElement(required = true)
	private int speed;

	/** @return The speed of the interface in MB/sec. */
	public int getSpeed() {
		return this.speed;
	}
	/** @param x The speed of the interface in MB/sec. */
	public void setSpeed(int x) {
		this.speed = x;
	}

	/** The type of SCSI line driver (e.g. SE, LVD, etc.) being used. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of SCSI line driver (e.g. SE, LVD, etc.) being used." , required = true)
	@XmlElement(required = true)
	private SCSIDriverType scsiType = SCSIDriverType.__UNDEFINED;

	/** @return The type of SCSI line driver (e.g. SE, LVD, etc.) being used. */
	public SCSIDriverType getScsiType() {
		return this.scsiType;
	}
	/** @param x The type of SCSI line driver (e.g. SE, LVD, etc.) being used. */
	public void setScsiType(SCSIDriverType x) {
		this.scsiType = x;
	}

	/** The transfer width of the SCSI bus, in bits. */
	@io.swagger.annotations.ApiModelProperty(value ="The transfer width of the SCSI bus, in bits." , required = true)
	@XmlElement(required = true)
	private int width;

	/** @return The transfer width of the SCSI bus, in bits. */
	public int getWidth() {
		return this.width;
	}
	/** @param x The transfer width of the SCSI bus, in bits. */
	public void setWidth(int x) {
		this.width = x;
	}

	/** An ASCII text string that describes the SCSI controller chip type. */
	@io.swagger.annotations.ApiModelProperty(value ="An ASCII text string that describes the SCSI controller chip type." , required = true)
	@XmlElement(required = true)
	private String part;

	/** @return An ASCII text string that describes the SCSI controller chip type. */
	public String getPart() {
		return this.part;
	}
	/** @param x An ASCII text string that describes the SCSI controller chip type. */
	public void setPart(String x) {
		this.part = x;
	}

	/** The revision level of the SCSI controller chip. */
	@io.swagger.annotations.ApiModelProperty(value ="The revision level of the SCSI controller chip." , required = true)
	@XmlElement(required = true)
	private int revision;

	/** @return The revision level of the SCSI controller chip. */
	public int getRevision() {
		return this.revision;
	}
	/** @param x The revision level of the SCSI controller chip. */
	public void setRevision(int x) {
		this.revision = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved for future use. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved for future use. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
