package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe the SFP port type. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(287)
public class SFPType implements Serializable {
	public SFPType() {
	}

	/** Information about the SFP type. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP type." , required = true)
	@XmlElement(required = true)
	private SFP_IDENT_TYPE sfpIdentType = SFP_IDENT_TYPE.__UNDEFINED;

	/** @return Information about the SFP type. */
	public SFP_IDENT_TYPE getSfpIdentType() {
		return this.sfpIdentType;
	}
	/** @param x Information about the SFP type. */
	public void setSfpIdentType(SFP_IDENT_TYPE x) {
		this.sfpIdentType = x;
	}

	/** Information about the SFP connector type. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP connector type." , required = true)
	@XmlElement(required = true)
	private SFP_CONNECT_TYPE sfpConnectType = SFP_CONNECT_TYPE.__UNDEFINED;

	/** @return Information about the SFP connector type. */
	public SFP_CONNECT_TYPE getSfpConnectType() {
		return this.sfpConnectType;
	}
	/** @param x Information about the SFP connector type. */
	public void setSfpConnectType(SFP_CONNECT_TYPE x) {
		this.sfpConnectType = x;
	}

	/** Information about the SFP link length. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP link length." , required = true)
	@XmlElement(required = true)
	private SFP_LINKL_TYPE sfpLinkLType = SFP_LINKL_TYPE.__UNDEFINED;

	/** @return Information about the SFP link length. */
	public SFP_LINKL_TYPE getSfpLinkLType() {
		return this.sfpLinkLType;
	}
	/** @param x Information about the SFP link length. */
	public void setSfpLinkLType(SFP_LINKL_TYPE x) {
		this.sfpLinkLType = x;
	}

	/** Information about the SFP transmitter type. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP transmitter type." , required = true)
	@XmlElement(required = true)
	private SFP_TRANSMITTER_TYPE sfpTransmitterType = SFP_TRANSMITTER_TYPE.__UNDEFINED;

	/** @return Information about the SFP transmitter type. */
	public SFP_TRANSMITTER_TYPE getSfpTransmitterType() {
		return this.sfpTransmitterType;
	}
	/** @param x Information about the SFP transmitter type. */
	public void setSfpTransmitterType(SFP_TRANSMITTER_TYPE x) {
		this.sfpTransmitterType = x;
	}

	/** Information about the SFP speed. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP speed." , required = true)
	@XmlElement(required = true)
	private SFP_SPEED[] sfpSpeed;

	/** @return Information about the SFP speed. */
	public SFP_SPEED[] getSfpSpeed() {
		return this.sfpSpeed;
	}
	/** @param x Information about the SFP speed. */
	public void setSfpSpeed(SFP_SPEED[] x) {
		this.sfpSpeed = x;
	}

	/** Information about the SFP transmission media. */
	@io.swagger.annotations.ApiModelProperty(value ="Information about the SFP transmission media." , required = true)
	@XmlElement(required = true)
	private SFP_TRANSMISSION_MEDIA[] sfpTransmissionMedia;

	/** @return Information about the SFP transmission media. */
	public SFP_TRANSMISSION_MEDIA[] getSfpTransmissionMedia() {
		return this.sfpTransmissionMedia;
	}
	/** @param x Information about the SFP transmission media. */
	public void setSfpTransmissionMedia(SFP_TRANSMISSION_MEDIA[] x) {
		this.sfpTransmissionMedia = x;
	}

	/** The date when the SFP was manufactured. */
	@io.swagger.annotations.ApiModelProperty(value ="The date when the SFP was manufactured." , required = true)
	@XmlElement(required = true)
	private long manufacturerDate;

	/** @return The date when the SFP was manufactured. */
	public long getManufacturerDate() {
		return this.manufacturerDate;
	}
	/** @param x The date when the SFP was manufactured. */
	public void setManufacturerDate(long x) {
		this.manufacturerDate = x;
	}

	/** The vendor name of the SFP. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor name of the SFP." , required = true)
	@XmlElement(required = true)
	private String vendorName;

	/** @return The vendor name of the SFP. */
	public String getVendorName() {
		return this.vendorName;
	}
	/** @param x The vendor name of the SFP. */
	public void setVendorName(String x) {
		this.vendorName = x;
	}

	/** The vendor part name of the SFP. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor part name of the SFP." , required = true)
	@XmlElement(required = true)
	private String vendorPN;

	/** @return The vendor part name of the SFP. */
	public String getVendorPN() {
		return this.vendorPN;
	}
	/** @param x The vendor part name of the SFP. */
	public void setVendorPN(String x) {
		this.vendorPN = x;
	}

	/** The vendor revision of the SFP */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor revision of the SFP" , required = true)
	@XmlElement(required = true)
	private String vendorRev;

	/** @return The vendor revision of the SFP */
	public String getVendorRev() {
		return this.vendorRev;
	}
	/** @param x The vendor revision of the SFP */
	public void setVendorRev(String x) {
		this.vendorRev = x;
	}

	/** The vendor serial number of the SFP. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor serial number of the SFP." , required = true)
	@XmlElement(required = true)
	private String vendorSN;

	/** @return The vendor serial number of the SFP. */
	public String getVendorSN() {
		return this.vendorSN;
	}
	/** @param x The vendor serial number of the SFP. */
	public void setVendorSN(String x) {
		this.vendorSN = x;
	}

	/** The vendor unique OUI field of the SFP. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor unique OUI field of the SFP." , required = true)
	@XmlElement(required = true)
	private String vendorOUI;

	/** @return The vendor unique OUI field of the SFP. */
	public String getVendorOUI() {
		return this.vendorOUI;
	}
	/** @param x The vendor unique OUI field of the SFP. */
	public void setVendorOUI(String x) {
		this.vendorOUI = x;
	}

	/** Reserved. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
