package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains configuration info for an SNMP trap destination. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(782)
public class SNMPTrapDestination implements Serializable {
	public SNMPTrapDestination() {
	}

	/** SNMP trap destination reference. */
	@io.swagger.annotations.ApiModelProperty(value ="SNMP trap destination reference." , required = true)
	@XmlElement(required = true)
	private String trapDestinationRef;

	/** @return SNMP trap destination reference. */
	public String getTrapDestinationRef() {
		return this.trapDestinationRef;
	}
	/** @param x SNMP trap destination reference. */
	public void setTrapDestinationRef(String x) {
		this.trapDestinationRef = x;
	}

	/** IPVx address of the trap receiver */
	@io.swagger.annotations.ApiModelProperty(value ="IPVx address of the trap receiver" , required = true)
	@XmlElement(required = true)
	private IpVxAddress trapReceiverIpAddress;

	/** @return IPVx address of the trap receiver */
	public IpVxAddress getTrapReceiverIpAddress() {
		return this.trapReceiverIpAddress;
	}
	/** @param x IPVx address of the trap receiver */
	public void setTrapReceiverIpAddress(IpVxAddress x) {
		this.trapReceiverIpAddress = x;
	}

	/** Community associated with the trap destination */
	@io.swagger.annotations.ApiModelProperty(value ="Community associated with the trap destination" , required = true)
	@XmlElement(required = true)
	private String communityRef;

	/** @return Community associated with the trap destination */
	public String getCommunityRef() {
		return this.communityRef;
	}
	/** @param x Community associated with the trap destination */
	public void setCommunityRef(String x) {
		this.communityRef = x;
	}

	/** Send authentication failure traps to this destination. */
	@io.swagger.annotations.ApiModelProperty(value ="Send authentication failure traps to this destination." , required = true)
	@XmlElement(required = true)
	private boolean sendAuthenticationFailureTraps;

	/** @return Send authentication failure traps to this destination. */
	public boolean isSendAuthenticationFailureTraps() {
		return this.sendAuthenticationFailureTraps;
	}
	/** @param x Send authentication failure traps to this destination. */
	public void setSendAuthenticationFailureTraps(boolean x) {
		this.sendAuthenticationFailureTraps = x;
	}
}
