package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used in cases where a SYMbol procedure must operate on a pair of SYMbolRef values. It is typically used for SYMbol procedures that move objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(616)
public class SYMbolRefPair implements Serializable {
	public SYMbolRefPair() {
	}

	/** The SYMbol reference value of the item in question. */
	@io.swagger.annotations.ApiModelProperty(value ="The SYMbol reference value of the item in question." , required = true)
	@XmlElement(required = true)
	private String itemRef;

	/** @return The SYMbol reference value of the item in question. */
	public String getItemRef() {
		return this.itemRef;
	}
	/** @param x The SYMbol reference value of the item in question. */
	public void setItemRef(String x) {
		this.itemRef = x;
	}

	/** The SYMbol reference value of the container of the item identified by the itemRef field. */
	@io.swagger.annotations.ApiModelProperty(value ="The SYMbol reference value of the container of the item identified by the itemRef field." , required = true)
	@XmlElement(required = true)
	private String containerRef;

	/** @return The SYMbol reference value of the container of the item identified by the itemRef field. */
	public String getContainerRef() {
		return this.containerRef;
	}
	/** @param x The SYMbol reference value of the container of the item identified by the itemRef field. */
	public void setContainerRef(String x) {
		this.containerRef = x;
	}
}
