package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to identify the parent of a SAS expander. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(877)
public class SasExpanderParent implements Serializable {
	public SasExpanderParent() {
	}

	/** This enumeration specifies the different types of parent elements a SAS expander may have. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration specifies the different types of parent elements a SAS expander may have." , required = true)
	@XmlElement(required = true)
	private SasExpanderParentType expanderParentType = SasExpanderParentType.__UNDEFINED;

	/** @return This enumeration specifies the different types of parent elements a SAS expander may have. */
	public SasExpanderParentType getExpanderParentType() {
		return this.expanderParentType;
	}
	/** @param x This enumeration specifies the different types of parent elements a SAS expander may have. */
	public void setExpanderParentType(SasExpanderParentType x) {
		this.expanderParentType = x;
	}

	/** A reference to the parent controller of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_CONTROLLER. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the parent controller of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_CONTROLLER." , required = false)
	@XmlElement(required = false)
	private String parentController;

	/** @return A reference to the parent controller of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_CONTROLLER. */
	public String getParentController() {
		return this.parentController;
	}
	/** @param x A reference to the parent controller of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_CONTROLLER. */
	public void setParentController(String x) {
		this.parentController = x;
	}

	/** A reference to the parent ESM of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the parent ESM of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_ESM." , required = false)
	@XmlElement(required = false)
	private String parentEsm;

	/** @return A reference to the parent ESM of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_ESM. */
	public String getParentEsm() {
		return this.parentEsm;
	}
	/** @param x A reference to the parent ESM of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_ESM. */
	public void setParentEsm(String x) {
		this.parentEsm = x;
	}

	/** A reference to the parent drawer of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_DRAWER. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the parent drawer of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_DRAWER." , required = false)
	@XmlElement(required = false)
	private String parentDrawer;

	/** @return A reference to the parent drawer of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_DRAWER. */
	public String getParentDrawer() {
		return this.parentDrawer;
	}
	/** @param x A reference to the parent drawer of the SAS expander. This field is present only if the expanderParentType value is SAS_EXPANDER_PARENT_DRAWER. */
	public void setParentDrawer(String x) {
		this.parentDrawer = x;
	}
}
