package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type represents a SCSI protocol endpoint. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(948)
public class ScsiProtocolEndpoint implements Serializable {
	public ScsiProtocolEndpoint() {
	}

	/** This enumeration object is used to indicate the role of a SCSI protocol endpoint, either initiator or target. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration object is used to indicate the role of a SCSI protocol endpoint, either initiator or target." , required = true)
	@XmlElement(required = true)
	private ScsiProtocolEndpointRole endpointRole = ScsiProtocolEndpointRole.__UNDEFINED;

	/** @return This enumeration object is used to indicate the role of a SCSI protocol endpoint, either initiator or target. */
	public ScsiProtocolEndpointRole getEndpointRole() {
		return this.endpointRole;
	}
	/** @param x This enumeration object is used to indicate the role of a SCSI protocol endpoint, either initiator or target. */
	public void setEndpointRole(ScsiProtocolEndpointRole x) {
		this.endpointRole = x;
	}

	/** A SCSI initiator port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_INITIATOR. */
	@io.swagger.annotations.ApiModelProperty(value ="A SCSI initiator port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_INITIATOR." , required = false)
	@XmlElement(required = false)
	private SCSIInitiatorPortId initiatorId;

	/** @return A SCSI initiator port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_INITIATOR. */
	public SCSIInitiatorPortId getInitiatorId() {
		return this.initiatorId;
	}
	/** @param x A SCSI initiator port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_INITIATOR. */
	public void setInitiatorId(SCSIInitiatorPortId x) {
		this.initiatorId = x;
	}

	/** A SCSI target port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_TARGET. */
	@io.swagger.annotations.ApiModelProperty(value ="A SCSI target port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_TARGET." , required = false)
	@XmlElement(required = false)
	private SCSITargetPortId targetId;

	/** @return A SCSI target port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_TARGET. */
	public SCSITargetPortId getTargetId() {
		return this.targetId;
	}
	/** @param x A SCSI target port identifier. This field is only valid if the endpointRole field is equal to SCSI_ROLE_TARGET. */
	public void setTargetId(SCSITargetPortId x) {
		this.targetId = x;
	}
}
