package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes properties of the SCSI-to-ATA translation hardware for a SATA physical drive type. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(396)
public class ScsiToAtaTranslatorData implements Serializable {
	public ScsiToAtaTranslatorData() {
	}

	/** The vendor identification string. */
	@io.swagger.annotations.ApiModelProperty(value ="The vendor identification string." , required = true)
	@XmlElement(required = true)
	private String vendorId;

	/** @return The vendor identification string. */
	public String getVendorId() {
		return this.vendorId;
	}
	/** @param x The vendor identification string. */
	public void setVendorId(String x) {
		this.vendorId = x;
	}

	/** The product identification string. */
	@io.swagger.annotations.ApiModelProperty(value ="The product identification string." , required = true)
	@XmlElement(required = true)
	private String productId;

	/** @return The product identification string. */
	public String getProductId() {
		return this.productId;
	}
	/** @param x The product identification string. */
	public void setProductId(String x) {
		this.productId = x;
	}

	/** The product revision level string. When no interposer card is available, this string is set to "----" (four dashes). */
	@io.swagger.annotations.ApiModelProperty(value ="The product revision level string. When no interposer card is available, this string is set to \"----\" (four dashes)." , required = true)
	@XmlElement(required = true)
	private String productRevLevel;

	/** @return The product revision level string. When no interposer card is available, this string is set to "----" (four dashes). */
	public String getProductRevLevel() {
		return this.productRevLevel;
	}
	/** @param x The product revision level string. When no interposer card is available, this string is set to "----" (four dashes). */
	public void setProductRevLevel(String x) {
		this.productRevLevel = x;
	}

	/** This field identifies the type of the SCSI-to-ATA translation hardware. Note that if this field is set to SAT_TYPE_UNKNOWN, the string in the productId field will have zero length, and the string in the productRevLevel field will be set to "----" (four dashes). */
	@io.swagger.annotations.ApiModelProperty(value ="This field identifies the type of the SCSI-to-ATA translation hardware. Note that if this field is set to SAT_TYPE_UNKNOWN, the string in the productId field will have zero length, and the string in the productRevLevel field will be set to \"----\" (four dashes)." , required = true)
	@XmlElement(required = true)
	private SatType satType = SatType.__UNDEFINED;

	/** @return This field identifies the type of the SCSI-to-ATA translation hardware. Note that if this field is set to SAT_TYPE_UNKNOWN, the string in the productId field will have zero length, and the string in the productRevLevel field will be set to "----" (four dashes). */
	public SatType getSatType() {
		return this.satType;
	}
	/** @param x This field identifies the type of the SCSI-to-ATA translation hardware. Note that if this field is set to SAT_TYPE_UNKNOWN, the string in the productId field will have zero length, and the string in the productRevLevel field will be set to "----" (four dashes). */
	public void setSatType(SatType x) {
		this.satType = x;
	}
}
