package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify one of a set of supported algorithms for determining a supported new segment size based on a current segment size. The segTransitions array in the FeatureParams structure will contain values from this enumeration identifying which segment size transitions are supported on the storage array. It is specifically relevant to the use of the startVolumeSegmentSizing procedure that is defined as part of the SYMbol interface. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(226)
public enum SegmentSizeTransition implements Serializable {
		/** Indicates that the current segment size may be reduced by half to obtain a valid, new segment size. Note, however, that the result of doubling must still be a supported segment size, as specified in the FeatureParams object for the storage array. */
		transitionHalf(1),
		/** Indicates that the current segment size may be doubled to obtain a valid, new segment size. Note, however, that the result of doubling must still be a supported segment size, as specified in the FeatureParameters object for the storage array. */
		transitionDouble(2),
		__UNDEFINED(464378545);

		public final int value;

		private SegmentSizeTransition(int v) {
			this.value = v;
		}
}
