package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe a failed snapshot. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(997)
public class SnapshotFailure implements Serializable {
	public SnapshotFailure() {
	}

	/** The repository volume that failed. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository volume that failed." , required = true)
	@XmlElement(required = true)
	private String repositoryVolume;

	/** @return The repository volume that failed. */
	public String getRepositoryVolume() {
		return this.repositoryVolume;
	}
	/** @param x The repository volume that failed. */
	public void setRepositoryVolume(String x) {
		this.repositoryVolume = x;
	}

	/** The snapshot volume that failed. */
	@io.swagger.annotations.ApiModelProperty(value ="The snapshot volume that failed." , required = true)
	@XmlElement(required = true)
	private String snapshotVolume;

	/** @return The snapshot volume that failed. */
	public String getSnapshotVolume() {
		return this.snapshotVolume;
	}
	/** @param x The snapshot volume that failed. */
	public void setSnapshotVolume(String x) {
		this.snapshotVolume = x;
	}

	/** The policy explaining the behavior when the repository is full. */
	@io.swagger.annotations.ApiModelProperty(value ="The policy explaining the behavior when the repository is full." , required = true)
	@XmlElement(required = true)
	private boolean repositoryFull;

	/** @return The policy explaining the behavior when the repository is full. */
	public boolean isRepositoryFull() {
		return this.repositoryFull;
	}
	/** @param x The policy explaining the behavior when the repository is full. */
	public void setRepositoryFull(boolean x) {
		this.repositoryFull = x;
	}
}
