package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to contain information about a snapshot volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(942)
public class SnapshotVolume implements Serializable,devmgr.api.model.Identifiable {
	public SnapshotVolume() {
	}

	/** The World Wide Name of the snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="The World Wide Name of the snapshot." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The World Wide Name of the snapshot. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The World Wide Name of the snapshot. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** Reference (key) for the snapshot volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference (key) for the snapshot volume." , required = true)
	@XmlElement(required = true)
	private String snapshotRef;

	/** @return Reference (key) for the snapshot volume. */
	public String getSnapshotRef() {
		return this.snapshotRef;
	}
	/** @param x Reference (key) for the snapshot volume. */
	public void setSnapshotRef(String x) {
		this.snapshotRef = x;
	}

	/** Name of the snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Name of the snapshot." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return Name of the snapshot. */
	public String getLabel() {
		return this.label;
	}
	/** @param x Name of the snapshot. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** Indicates status of the snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates status of the snapshot." , required = true)
	@XmlElement(required = true)
	private SnapshotStatus status = SnapshotStatus.__UNDEFINED;

	/** @return Indicates status of the snapshot. */
	public SnapshotStatus getStatus() {
		return this.status;
	}
	/** @param x Indicates status of the snapshot. */
	public void setStatus(SnapshotStatus x) {
		this.status = x;
	}

	/** Long running action. */
	@io.swagger.annotations.ApiModelProperty(value ="Long running action." , required = true)
	@XmlElement(required = true)
	private SnapshotAction action = SnapshotAction.__UNDEFINED;

	/** @return Long running action. */
	public SnapshotAction getAction() {
		return this.action;
	}
	/** @param x Long running action. */
	public void setAction(SnapshotAction x) {
		this.action = x;
	}

	/** Current owner of the snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Current owner of the snapshot." , required = true)
	@XmlElement(required = true)
	private String currentManager;

	/** @return Current owner of the snapshot. */
	public String getCurrentManager() {
		return this.currentManager;
	}
	/** @param x Current owner of the snapshot. */
	public void setCurrentManager(String x) {
		this.currentManager = x;
	}

	/** Base volume for this snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Base volume for this snapshot." , required = true)
	@XmlElement(required = true)
	private String baseVolume;

	/** @return Base volume for this snapshot. */
	public String getBaseVolume() {
		return this.baseVolume;
	}
	/** @param x Base volume for this snapshot. */
	public void setBaseVolume(String x) {
		this.baseVolume = x;
	}

	/** Repository volume for this snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Repository volume for this snapshot." , required = true)
	@XmlElement(required = true)
	private String repositoryVolume;

	/** @return Repository volume for this snapshot. */
	public String getRepositoryVolume() {
		return this.repositoryVolume;
	}
	/** @param x Repository volume for this snapshot. */
	public void setRepositoryVolume(String x) {
		this.repositoryVolume = x;
	}

	/** Repository utilization warning threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="Repository utilization warning threshold." , required = true)
	@XmlElement(required = true)
	private int fullWarnThreshold;

	/** @return Repository utilization warning threshold. */
	public int getFullWarnThreshold() {
		return this.fullWarnThreshold;
	}
	/** @param x Repository utilization warning threshold. */
	public void setFullWarnThreshold(int x) {
		this.fullWarnThreshold = x;
	}

	/** True if the repository utilization is over the warning threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="True if the repository utilization is over the warning threshold." , required = true)
	@XmlElement(required = true)
	private boolean overWarnThreshold;

	/** @return True if the repository utilization is over the warning threshold. */
	public boolean isOverWarnThreshold() {
		return this.overWarnThreshold;
	}
	/** @param x True if the repository utilization is over the warning threshold. */
	public void setOverWarnThreshold(boolean x) {
		this.overWarnThreshold = x;
	}

	/** True, if the repository is full. */
	@io.swagger.annotations.ApiModelProperty(value ="True, if the repository is full." , required = true)
	@XmlElement(required = true)
	private boolean repositoryFull;

	/** @return True, if the repository is full. */
	public boolean isRepositoryFull() {
		return this.repositoryFull;
	}
	/** @param x True, if the repository is full. */
	public void setRepositoryFull(boolean x) {
		this.repositoryFull = x;
	}

	/** Indication of the volume behavior when the repository is full. */
	@io.swagger.annotations.ApiModelProperty(value ="Indication of the volume behavior when the repository is full." , required = true)
	@XmlElement(required = true)
	private RepositoryFullPolicy repFullPolicy = RepositoryFullPolicy.__UNDEFINED;

	/** @return Indication of the volume behavior when the repository is full. */
	public RepositoryFullPolicy getRepFullPolicy() {
		return this.repFullPolicy;
	}
	/** @param x Indication of the volume behavior when the repository is full. */
	public void setRepFullPolicy(RepositoryFullPolicy x) {
		this.repFullPolicy = x;
	}

	/** The importance of the rollback operation (0-4). Not used in this release of software. */
	@io.swagger.annotations.ApiModelProperty(value ="The importance of the rollback operation (0-4). Not used in this release of software." , required = true)
	@XmlElement(required = true)
	private int rollbackPriority;

	/** @return The importance of the rollback operation (0-4). Not used in this release of software. */
	public int getRollbackPriority() {
		return this.rollbackPriority;
	}
	/** @param x The importance of the rollback operation (0-4). Not used in this release of software. */
	public void setRollbackPriority(int x) {
		this.rollbackPriority = x;
	}

	/** The start position of the extent in the base volume (bytes). Not used in this release of software. */
	@io.swagger.annotations.ApiModelProperty(value ="The start position of the extent in the base volume (bytes). Not used in this release of software." , required = true)
	@XmlElement(required = true)
	private long extentStart;

	/** @return The start position of the extent in the base volume (bytes). Not used in this release of software. */
	public long getExtentStart() {
		return this.extentStart;
	}
	/** @param x The start position of the extent in the base volume (bytes). Not used in this release of software. */
	public void setExtentStart(long x) {
		this.extentStart = x;
	}

	/** The size of the extent in bytes. Not used in this release of software. */
	@io.swagger.annotations.ApiModelProperty(value ="The size of the extent in bytes. Not used in this release of software." , required = true)
	@XmlElement(required = true)
	private long extentSize;

	/** @return The size of the extent in bytes. Not used in this release of software. */
	public long getExtentSize() {
		return this.extentSize;
	}
	/** @param x The size of the extent in bytes. Not used in this release of software. */
	public void setExtentSize(long x) {
		this.extentSize = x;
	}

	/** The controller time when the snapshot was created. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller time when the snapshot was created." , required = true)
	@XmlElement(required = true)
	private long snapshotTime;

	/** @return The controller time when the snapshot was created. */
	public long getSnapshotTime() {
		return this.snapshotTime;
	}
	/** @param x The controller time when the snapshot was created. */
	public void setSnapshotTime(long x) {
		this.snapshotTime = x;
	}

	/** Permissions allowed on volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Permissions allowed on volume." , required = true)
	@XmlElement(required = true)
	private VolumePerms perms;

	/** @return Permissions allowed on volume. */
	public VolumePerms getPerms() {
		return this.perms;
	}
	/** @param x Permissions allowed on volume. */
	public void setPerms(VolumePerms x) {
		this.perms = x;
	}

	/** True if all child volumes are offline or failed. Child volumes are the base volume and the REPOSITORY volume. */
	@io.swagger.annotations.ApiModelProperty(value ="True if all child volumes are offline or failed. Child volumes are the base volume and the REPOSITORY volume." , required = true)
	@XmlElement(required = true)
	private boolean childrenInactive;

	/** @return True if all child volumes are offline or failed. Child volumes are the base volume and the REPOSITORY volume. */
	public boolean isChildrenInactive() {
		return this.childrenInactive;
	}
	/** @param x True if all child volumes are offline or failed. Child volumes are the base volume and the REPOSITORY volume. */
	public void setChildrenInactive(boolean x) {
		this.childrenInactive = x;
	}

	/** Volume SSID. */
	@io.swagger.annotations.ApiModelProperty(value ="Volume SSID." , required = true)
	@XmlElement(required = true)
	private int volumeHandle;

	/** @return Volume SSID. */
	public int getVolumeHandle() {
		return this.volumeHandle;
	}
	/** @param x Volume SSID. */
	public void setVolumeHandle(int x) {
		this.volumeHandle = x;
	}

	/** For use by management client. */
	@io.swagger.annotations.ApiModelProperty(value ="For use by management client." , required = true)
	@XmlElement(required = true)
	private int mgmtClientAttribute;

	/** @return For use by management client. */
	public int getMgmtClientAttribute() {
		return this.mgmtClientAttribute;
	}
	/** @param x For use by management client. */
	public void setMgmtClientAttribute(int x) {
		this.mgmtClientAttribute = x;
	}

	/** Status of current action being performed on snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Status of current action being performed on snapshot." , required = true)
	@XmlElement(required = true)
	private SnapshotRollbackStatus rollbackStatus = SnapshotRollbackStatus.__UNDEFINED;

	/** @return Status of current action being performed on snapshot. */
	public SnapshotRollbackStatus getRollbackStatus() {
		return this.rollbackStatus;
	}
	/** @param x Status of current action being performed on snapshot. */
	public void setRollbackStatus(SnapshotRollbackStatus x) {
		this.rollbackStatus = x;
	}
	@Override
	public String getId(){
		return snapshotRef;
	}
}
