package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify a specific SOC part for events in the Major Event Log. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(393)
public class SocLocation implements Serializable {
	public SocLocation() {
	}

	/** The channel type. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel type." , required = true)
	@XmlElement(required = true)
	private ChannelType channelType = ChannelType.__UNDEFINED;

	/** @return The channel type. */
	public ChannelType getChannelType() {
		return this.channelType;
	}
	/** @param x The channel type. */
	public void setChannelType(ChannelType x) {
		this.channelType = x;
	}

	/** The channel type. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel type." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel type. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel type. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** The SOC index, 0-based. */
	@io.swagger.annotations.ApiModelProperty(value ="The SOC index, 0-based." , required = true)
	@XmlElement(required = true)
	private int soc;

	/** @return The SOC index, 0-based. */
	public int getSoc() {
		return this.soc;
	}
	/** @param x The SOC index, 0-based. */
	public void setSoc(int x) {
		this.soc = x;
	}

	/** The port number, 1-based */
	@io.swagger.annotations.ApiModelProperty(value ="The port number, 1-based" , required = true)
	@XmlElement(required = true)
	private int port;

	/** @return The port number, 1-based */
	public int getPort() {
		return this.port;
	}
	/** @param x The port number, 1-based */
	public void setPort(int x) {
		this.port = x;
	}

	/** The controller slot number, 1 or 2 */
	@io.swagger.annotations.ApiModelProperty(value ="The controller slot number, 1 or 2" , required = true)
	@XmlElement(required = true)
	private int controllerSlot;

	/** @return The controller slot number, 1 or 2 */
	public int getControllerSlot() {
		return this.controllerSlot;
	}
	/** @param x The controller slot number, 1 or 2 */
	public void setControllerSlot(int x) {
		this.controllerSlot = x;
	}
}
