package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains metadata for a specific database. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(608)
public class SpecificDatabaseMetadata implements Serializable {
	public SpecificDatabaseMetadata() {
	}

	/** A reference to the controller. This is unused if the dbLocation field is DACSTORE_DISKS. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller. This is unused if the dbLocation field is DACSTORE_DISKS." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A reference to the controller. This is unused if the dbLocation field is DACSTORE_DISKS. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A reference to the controller. This is unused if the dbLocation field is DACSTORE_DISKS. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** The physical location of the database image. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the database image." , required = true)
	@XmlElement(required = true)
	private DbmDatabaseLocation dbLocation = DbmDatabaseLocation.__UNDEFINED;

	/** @return The physical location of the database image. */
	public DbmDatabaseLocation getDbLocation() {
		return this.dbLocation;
	}
	/** @param x The physical location of the database image. */
	public void setDbLocation(DbmDatabaseLocation x) {
		this.dbLocation = x;
	}

	/** The database revision. */
	@io.swagger.annotations.ApiModelProperty(value ="The database revision." , required = true)
	@XmlElement(required = true)
	private String dbRevision;

	/** @return The database revision. */
	public String getDbRevision() {
		return this.dbRevision;
	}
	/** @param x The database revision. */
	public void setDbRevision(String x) {
		this.dbRevision = x;
	}

	/** The database ID. */
	@io.swagger.annotations.ApiModelProperty(value ="The database ID." , required = true)
	@XmlElement(required = true)
	private String dbID;

	/** @return The database ID. */
	public String getDbID() {
		return this.dbID;
	}
	/** @param x The database ID. */
	public void setDbID(String x) {
		this.dbID = x;
	}

	/** The database gen number. */
	@io.swagger.annotations.ApiModelProperty(value ="The database gen number." , required = true)
	@XmlElement(required = true)
	private long dbGenNumber;

	/** @return The database gen number. */
	public long getDbGenNumber() {
		return this.dbGenNumber;
	}
	/** @param x The database gen number. */
	public void setDbGenNumber(long x) {
		this.dbGenNumber = x;
	}

	/** The disk pool ID (volume group WWN hash). */
	@io.swagger.annotations.ApiModelProperty(value ="The disk pool ID (volume group WWN hash)." , required = true)
	@XmlElement(required = true)
	private String diskPoolID;

	/** @return The disk pool ID (volume group WWN hash). */
	public String getDiskPoolID() {
		return this.diskPoolID;
	}
	/** @param x The disk pool ID (volume group WWN hash). */
	public void setDiskPoolID(String x) {
		this.diskPoolID = x;
	}

	/** The database status. */
	@io.swagger.annotations.ApiModelProperty(value ="The database status." , required = true)
	@XmlElement(required = true)
	private DatabaseStatus dbStatus = DatabaseStatus.__UNDEFINED;

	/** @return The database status. */
	public DatabaseStatus getDbStatus() {
		return this.dbStatus;
	}
	/** @param x The database status. */
	public void setDbStatus(DatabaseStatus x) {
		this.dbStatus = x;
	}

	/** The database accessibility mode. */
	@io.swagger.annotations.ApiModelProperty(value ="The database accessibility mode." , required = true)
	@XmlElement(required = true)
	private DatabaseAccessibility dbAccess = DatabaseAccessibility.__UNDEFINED;

	/** @return The database accessibility mode. */
	public DatabaseAccessibility getDbAccess() {
		return this.dbAccess;
	}
	/** @param x The database accessibility mode. */
	public void setDbAccess(DatabaseAccessibility x) {
		this.dbAccess = x;
	}
}
