package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the configuration information used by the array for writing MEL events to a syslog server on the network. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(603)
public class SyslogConfiguration implements Serializable {
	public SyslogConfiguration() {
	}

	/** This field is set to true if the writing of MEL events to a syslog server is enabled; otherwise it is false. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is set to true if the writing of MEL events to a syslog server is enabled; otherwise it is false." , required = true)
	@XmlElement(required = true)
	private boolean syslogEnabled;

	/** @return This field is set to true if the writing of MEL events to a syslog server is enabled; otherwise it is false. */
	public boolean isSyslogEnabled() {
		return this.syslogEnabled;
	}
	/** @param x This field is set to true if the writing of MEL events to a syslog server is enabled; otherwise it is false. */
	public void setSyslogEnabled(boolean x) {
		this.syslogEnabled = x;
	}

	/** This field holds the UDP port number of the syslog server. The default value of this field is SYSLOG_DEFAULT_UDP_PORT. */
	@io.swagger.annotations.ApiModelProperty(value ="This field holds the UDP port number of the syslog server. The default value of this field is SYSLOG_DEFAULT_UDP_PORT." , required = true)
	@XmlElement(required = true)
	private int syslogServerPortNumber;

	/** @return This field holds the UDP port number of the syslog server. The default value of this field is SYSLOG_DEFAULT_UDP_PORT. */
	public int getSyslogServerPortNumber() {
		return this.syslogServerPortNumber;
	}
	/** @param x This field holds the UDP port number of the syslog server. The default value of this field is SYSLOG_DEFAULT_UDP_PORT. */
	public void setSyslogServerPortNumber(int x) {
		this.syslogServerPortNumber = x;
	}

	/** This field holds the IPVx address of the syslog server. The default value of this field is zero (0.0.0.0). */
	@io.swagger.annotations.ApiModelProperty(value ="This field holds the IPVx address of the syslog server. The default value of this field is zero (0.0.0.0)." , required = true)
	@XmlElement(required = true)
	private IpVxAddress syslogServerIpAddress;

	/** @return This field holds the IPVx address of the syslog server. The default value of this field is zero (0.0.0.0). */
	public IpVxAddress getSyslogServerIpAddress() {
		return this.syslogServerIpAddress;
	}
	/** @param x This field holds the IPVx address of the syslog server. The default value of this field is zero (0.0.0.0). */
	public void setSyslogServerIpAddress(IpVxAddress x) {
		this.syslogServerIpAddress = x;
	}
}
