package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains static default values for various feature attributes. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(555)
public class SystemAttributeDefaults implements Serializable {
	public SystemAttributeDefaults() {
	}

	/** Default Disk Pool feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default Disk Pool feature attributes." , required = true)
	@XmlElement(required = true)
	private DiskPoolDefaultAttributes diskPoolDefaultAttributes;

	/** @return Default Disk Pool feature attributes. */
	public DiskPoolDefaultAttributes getDiskPoolDefaultAttributes() {
		return this.diskPoolDefaultAttributes;
	}
	/** @param x Default Disk Pool feature attributes. */
	public void setDiskPoolDefaultAttributes(DiskPoolDefaultAttributes x) {
		this.diskPoolDefaultAttributes = x;
	}

	/** Default Thin Volume feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default Thin Volume feature attributes." , required = true)
	@XmlElement(required = true)
	private ThinVolumeDefaultAttributes thinVolDefaultAttributes;

	/** @return Default Thin Volume feature attributes. */
	public ThinVolumeDefaultAttributes getThinVolDefaultAttributes() {
		return this.thinVolDefaultAttributes;
	}
	/** @param x Default Thin Volume feature attributes. */
	public void setThinVolDefaultAttributes(ThinVolumeDefaultAttributes x) {
		this.thinVolDefaultAttributes = x;
	}

	/** Default PiT Groups feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default PiT Groups feature attributes." , required = true)
	@XmlElement(required = true)
	private PITGroupsDefaultAttributes pitGroupsDefaultAttributes;

	/** @return Default PiT Groups feature attributes. */
	public PITGroupsDefaultAttributes getPitGroupsDefaultAttributes() {
		return this.pitGroupsDefaultAttributes;
	}
	/** @param x Default PiT Groups feature attributes. */
	public void setPitGroupsDefaultAttributes(PITGroupsDefaultAttributes x) {
		this.pitGroupsDefaultAttributes = x;
	}

	/** Default ARVM feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default ARVM feature attributes." , required = true)
	@XmlElement(required = true)
	private ARVMDefaultAttributes arvmDefaultAttributes;

	/** @return Default ARVM feature attributes. */
	public ARVMDefaultAttributes getArvmDefaultAttributes() {
		return this.arvmDefaultAttributes;
	}
	/** @param x Default ARVM feature attributes. */
	public void setArvmDefaultAttributes(ARVMDefaultAttributes x) {
		this.arvmDefaultAttributes = x;
	}

	/** Default ConcatVolume feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default ConcatVolume feature attributes." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeDefaultAttributes concatDefaultAttributes;

	/** @return Default ConcatVolume feature attributes. */
	public ConcatVolumeDefaultAttributes getConcatDefaultAttributes() {
		return this.concatDefaultAttributes;
	}
	/** @param x Default ConcatVolume feature attributes. */
	public void setConcatDefaultAttributes(ConcatVolumeDefaultAttributes x) {
		this.concatDefaultAttributes = x;
	}

	/** Default/maximum attributes for the embedded SNMP agent. */
	@io.swagger.annotations.ApiModelProperty(value ="Default/maximum attributes for the embedded SNMP agent." , required = true)
	@XmlElement(required = true)
	private EmbeddedSNMPAgentDefaultAttributes snmpAgentDefaultAttributes;

	/** @return Default/maximum attributes for the embedded SNMP agent. */
	public EmbeddedSNMPAgentDefaultAttributes getSnmpAgentDefaultAttributes() {
		return this.snmpAgentDefaultAttributes;
	}
	/** @param x Default/maximum attributes for the embedded SNMP agent. */
	public void setSnmpAgentDefaultAttributes(EmbeddedSNMPAgentDefaultAttributes x) {
		this.snmpAgentDefaultAttributes = x;
	}

	/** Specifies the low and high statistical sampling attributes supported by this array. */
	@io.swagger.annotations.ApiModelProperty(value ="Specifies the low and high statistical sampling attributes supported by this array." , required = true)
	@XmlElement(required = true)
	private CumulativeStatisticsDefaultAttributes statisticsDefaultAttributes;

	/** @return Specifies the low and high statistical sampling attributes supported by this array. */
	public CumulativeStatisticsDefaultAttributes getStatisticsDefaultAttributes() {
		return this.statisticsDefaultAttributes;
	}
	/** @param x Specifies the low and high statistical sampling attributes supported by this array. */
	public void setStatisticsDefaultAttributes(CumulativeStatisticsDefaultAttributes x) {
		this.statisticsDefaultAttributes = x;
	}
}
