package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is designed to model the critical aspects of a thermal sensor component. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(923)
public class ThermalSensor implements Serializable,devmgr.api.model.Identifiable {
	public ThermalSensor() {
	}

	/** The reference for this physical thermal sensor. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical thermal sensor." , required = true)
	@XmlElement(required = true)
	private String thermalSensorRef;

	/** @return The reference for this physical thermal sensor. */
	public String getThermalSensorRef() {
		return this.thermalSensorRef;
	}
	/** @param x The reference for this physical thermal sensor. */
	public void setThermalSensorRef(String x) {
		this.thermalSensorRef = x;
	}

	/** The operational status of the thermal sensor. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the thermal sensor." , required = true)
	@XmlElement(required = true)
	private ThermalSensorStatus status = ThermalSensorStatus.__UNDEFINED;

	/** @return The operational status of the thermal sensor. */
	public ThermalSensorStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the thermal sensor. */
	public void setStatus(ThermalSensorStatus x) {
		this.status = x;
	}

	/** The physical location of the thermal sensor. The parent reference in Location identifies the CRU that physically houses the thermal sensor, and the position field is the parent-relative/like-component relative number of the thermal sensor, starting at one. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the thermal sensor. The parent reference in Location identifies the CRU that physically houses the thermal sensor, and the position field is the parent-relative/like-component relative number of the thermal sensor, starting at one." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the thermal sensor. The parent reference in Location identifies the CRU that physically houses the thermal sensor, and the position field is the parent-relative/like-component relative number of the thermal sensor, starting at one. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the thermal sensor. The parent reference in Location identifies the CRU that physically houses the thermal sensor, and the position field is the parent-relative/like-component relative number of the thermal sensor, starting at one. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** Reserved. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}

	/** The CRU type of the thermal sensor plus its ready-to-remove attributes, which are based on the CRU type */
	@io.swagger.annotations.ApiModelProperty(value ="The CRU type of the thermal sensor plus its ready-to-remove attributes, which are based on the CRU type" , required = true)
	@XmlElement(required = true)
	private RTRAttributes rtrAttributes;

	/** @return The CRU type of the thermal sensor plus its ready-to-remove attributes, which are based on the CRU type */
	public RTRAttributes getRtrAttributes() {
		return this.rtrAttributes;
	}
	/** @param x The CRU type of the thermal sensor plus its ready-to-remove attributes, which are based on the CRU type */
	public void setRtrAttributes(RTRAttributes x) {
		this.rtrAttributes = x;
	}

	/** The repair policy for the thermal sensor component. */
	@io.swagger.annotations.ApiModelProperty(value ="The repair policy for the thermal sensor component." , required = true)
	@XmlElement(required = true)
	private RepairPolicy repairPolicy;

	/** @return The repair policy for the thermal sensor component. */
	public RepairPolicy getRepairPolicy() {
		return this.repairPolicy;
	}
	/** @param x The repair policy for the thermal sensor component. */
	public void setRepairPolicy(RepairPolicy x) {
		this.repairPolicy = x;
	}
	@Override
	public String getId(){
		return thermalSensorRef;
	}
}
