package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the total and consumed capacity of a thin volume's Expandable Repository Volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(967)
public class ThinVolumeConsumedCapacity implements Serializable {
	public ThinVolumeConsumedCapacity() {
	}

	/** The reference for this thin volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this thin volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference for this thin volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference for this thin volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The total capacity of the repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The total capacity of the repository." , required = true)
	@XmlElement(required = true)
	private long repositoryProvisionedCapacity;

	/** @return The total capacity of the repository. */
	public long getRepositoryProvisionedCapacity() {
		return this.repositoryProvisionedCapacity;
	}
	/** @param x The total capacity of the repository. */
	public void setRepositoryProvisionedCapacity(long x) {
		this.repositoryProvisionedCapacity = x;
	}

	/** The capacity that is consumed. */
	@io.swagger.annotations.ApiModelProperty(value ="The capacity that is consumed." , required = true)
	@XmlElement(required = true)
	private long repositoryConsumedCapacity;

	/** @return The capacity that is consumed. */
	public long getRepositoryConsumedCapacity() {
		return this.repositoryConsumedCapacity;
	}
	/** @param x The capacity that is consumed. */
	public void setRepositoryConsumedCapacity(long x) {
		this.repositoryConsumedCapacity = x;
	}
}
