package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is returned by the getEnclosureTemperatures procedure. It contains the return code for the procedure call and, if the return code is RETCODE_OK, an array of thermal sensor data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(861)
public class TrayTemperatureReturned implements Serializable {
	public TrayTemperatureReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** An array of thermal sensor data. This field is only valid if returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of thermal sensor data. This field is only valid if returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private ThermalSensorData[] thermalSensorData;

	/** @return An array of thermal sensor data. This field is only valid if returnCode is equal to RETCODE_OK. */
	public ThermalSensorData[] getThermalSensorData() {
		return this.thermalSensorData;
	}
	/** @param x An array of thermal sensor data. This field is only valid if returnCode is equal to RETCODE_OK. */
	public void setThermalSensorData(ThermalSensorData[] x) {
		this.thermalSensorData = x;
	}
}
