package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a structure describing a pending host that does not match any host in the configured topology. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1063)
public class UnmatchedPendingHost implements Serializable {
	public UnmatchedPendingHost() {
	}

	/** A description of the pending host as it was submitted by the host context agent. */
	@io.swagger.annotations.ApiModelProperty(value ="A description of the pending host as it was submitted by the host context agent." , required = true)
	@XmlElement(required = true)
	private PendingHost pendingHost;

	/** @return A description of the pending host as it was submitted by the host context agent. */
	public PendingHost getPendingHost() {
		return this.pendingHost;
	}
	/** @param x A description of the pending host as it was submitted by the host context agent. */
	public void setPendingHost(PendingHost x) {
		this.pendingHost = x;
	}

	/** yet been created in the configured topology */
	@io.swagger.annotations.ApiModelProperty(value ="yet been created in the configured topology" , required = true)
	@XmlElement(required = true)
	private SCSIInitiatorPortId[] unconfiguredPorts;

	/** @return yet been created in the configured topology */
	public SCSIInitiatorPortId[] getUnconfiguredPorts() {
		return this.unconfiguredPorts;
	}
	/** @param x yet been created in the configured topology */
	public void setUnconfiguredPorts(SCSIInitiatorPortId[] x) {
		this.unconfiguredPorts = x;
	}

	/** A list of HostPortRef structures representing ports belonging to the pending host that conflict with ports in the configured topology. The definition of a conflict for an unmatched pending host is any port belonging to the pending host that matches a port in the configured topology. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of HostPortRef structures representing ports belonging to the pending host that conflict with ports in the configured topology. The definition of a conflict for an unmatched pending host is any port belonging to the pending host that matches a port in the configured topology." , required = true)
	@XmlElement(required = true)
	private String[] conflictingPorts;

	/** @return A list of HostPortRef structures representing ports belonging to the pending host that conflict with ports in the configured topology. The definition of a conflict for an unmatched pending host is any port belonging to the pending host that matches a port in the configured topology. */
	public String[] getConflictingPorts() {
		return this.conflictingPorts;
	}
	/** @param x A list of HostPortRef structures representing ports belonging to the pending host that conflict with ports in the configured topology. The definition of a conflict for an unmatched pending host is any port belonging to the pending host that matches a port in the configured topology. */
	public void setConflictingPorts(String[] x) {
		this.conflictingPorts = x;
	}

	/** A list of ScsiNodeRef elements representing initiators belonging to the pending host that conflict with initiators in the configured topology. The definition of an initiator conflict for an unmatched pending host is any initiator belonging to the pending host that matches an initiator in the configured topology. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of ScsiNodeRef elements representing initiators belonging to the pending host that conflict with initiators in the configured topology. The definition of an initiator conflict for an unmatched pending host is any initiator belonging to the pending host that matches an initiator in the configured topology." , required = true)
	@XmlElement(required = true)
	private String[] conflictingInitiators;

	/** @return A list of ScsiNodeRef elements representing initiators belonging to the pending host that conflict with initiators in the configured topology. The definition of an initiator conflict for an unmatched pending host is any initiator belonging to the pending host that matches an initiator in the configured topology. */
	public String[] getConflictingInitiators() {
		return this.conflictingInitiators;
	}
	/** @param x A list of ScsiNodeRef elements representing initiators belonging to the pending host that conflict with initiators in the configured topology. The definition of an initiator conflict for an unmatched pending host is any initiator belonging to the pending host that matches an initiator in the configured topology. */
	public void setConflictingInitiators(String[] x) {
		this.conflictingInitiators = x;
	}
}
