package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input argument to the deleteVolumeFromGroup procedure. It allows the caller to fully specify the operation to perform. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(624)
public class VolumeDeletionDescriptor implements Serializable {
	public VolumeDeletionDescriptor() {
	}

	/** A reference indicating which volume to delete. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference indicating which volume to delete." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return A reference indicating which volume to delete. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x A reference indicating which volume to delete. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** An indication of how the procedure is to behave when the last volume in the group is deleted. If set to true, the volume group is also deleted; otherwise the volume group is retained. */
	@io.swagger.annotations.ApiModelProperty(value ="An indication of how the procedure is to behave when the last volume in the group is deleted. If set to true, the volume group is also deleted; otherwise the volume group is retained." , required = true)
	@XmlElement(required = true)
	private boolean deleteGroupOnLastVolDeletion;

	/** @return An indication of how the procedure is to behave when the last volume in the group is deleted. If set to true, the volume group is also deleted; otherwise the volume group is retained. */
	public boolean isDeleteGroupOnLastVolDeletion() {
		return this.deleteGroupOnLastVolDeletion;
	}
	/** @param x An indication of how the procedure is to behave when the last volume in the group is deleted. If set to true, the volume group is also deleted; otherwise the volume group is retained. */
	public void setDeleteGroupOnLastVolDeletion(boolean x) {
		this.deleteGroupOnLastVolDeletion = x;
	}
}
