package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the parameters needed to create a volume group */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1080)
public class VolumeGroupCreationDescriptor implements Serializable {
	public VolumeGroupCreationDescriptor() {
	}

	/** A volume candidate returned by getVolumeCandidates. The candidateSelectionType field must be set to either CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	@io.swagger.annotations.ApiModelProperty(value ="A volume candidate returned by getVolumeCandidates. The candidateSelectionType field must be set to either CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT." , required = true)
	@XmlElement(required = true)
	private VolumeCandidate candidate;

	/** @return A volume candidate returned by getVolumeCandidates. The candidateSelectionType field must be set to either CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	public VolumeCandidate getCandidate() {
		return this.candidate;
	}
	/** @param x A volume candidate returned by getVolumeCandidates. The candidateSelectionType field must be set to either CANDIDATE_SEL_MANUAL or CANDIDATE_SEL_COUNT. */
	public void setCandidate(VolumeCandidate x) {
		this.candidate = x;
	}

	/** The label string for the volume group */
	@io.swagger.annotations.ApiModelProperty(value ="The label string for the volume group" , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The label string for the volume group */
	public String getLabel() {
		return this.label;
	}
	/** @param x The label string for the volume group */
	public void setLabel(String x) {
		this.label = x;
	}
}
