package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as an argument when updating a volume's media scan parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(745)
public class VolumeMediaScanParamsUpdateDescriptor implements Serializable {
	public VolumeMediaScanParamsUpdateDescriptor() {
	}

	/** The reference value that identifies the volume whose media scan parameters are to be updated. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that identifies the volume whose media scan parameters are to be updated." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference value that identifies the volume whose media scan parameters are to be updated. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference value that identifies the volume whose media scan parameters are to be updated. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The new media scan parameters to be instituted for the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The new media scan parameters to be instituted for the volume." , required = true)
	@XmlElement(required = true)
	private VolumeMediaScanParams newParams;

	/** @return The new media scan parameters to be instituted for the volume. */
	public VolumeMediaScanParams getNewParams() {
		return this.newParams;
	}
	/** @param x The new media scan parameters to be instituted for the volume. */
	public void setNewParams(VolumeMediaScanParams x) {
		this.newParams = x;
	}
}
