package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about actions that are allowed for a volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(334)
public class VolumePerms implements Serializable {
	public VolumePerms() {
	}

	/** Can this volume be mapped to a LUN */
	@io.swagger.annotations.ApiModelProperty(value ="Can this volume be mapped to a LUN" , required = true)
	@XmlElement(required = true)
	private boolean mapToLUN;

	/** @return Can this volume be mapped to a LUN */
	public boolean isMapToLUN() {
		return this.mapToLUN;
	}
	/** @param x Can this volume be mapped to a LUN */
	public void setMapToLUN(boolean x) {
		this.mapToLUN = x;
	}

	/** This is true if the volume can have a snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can have a snapshot." , required = true)
	@XmlElement(required = true)
	private boolean snapShot;

	/** @return This is true if the volume can have a snapshot. */
	public boolean isSnapShot() {
		return this.snapShot;
	}
	/** @param x This is true if the volume can have a snapshot. */
	public void setSnapShot(boolean x) {
		this.snapShot = x;
	}

	/** This is true if the volume can be formatted. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be formatted." , required = true)
	@XmlElement(required = true)
	private boolean format;

	/** @return This is true if the volume can be formatted. */
	public boolean isFormat() {
		return this.format;
	}
	/** @param x This is true if the volume can be formatted. */
	public void setFormat(boolean x) {
		this.format = x;
	}

	/** This is true if the volume can be reconfigured (DVE, DCE, DRM, etc.). */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be reconfigured (DVE, DCE, DRM, etc.)." , required = true)
	@XmlElement(required = true)
	private boolean reconfigure;

	/** @return This is true if the volume can be reconfigured (DVE, DCE, DRM, etc.). */
	public boolean isReconfigure() {
		return this.reconfigure;
	}
	/** @param x This is true if the volume can be reconfigured (DVE, DCE, DRM, etc.). */
	public void setReconfigure(boolean x) {
		this.reconfigure = x;
	}

	/** This is true if the volume can be a primary mirror. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be a primary mirror." , required = true)
	@XmlElement(required = true)
	private boolean mirrorPrimary;

	/** @return This is true if the volume can be a primary mirror. */
	public boolean isMirrorPrimary() {
		return this.mirrorPrimary;
	}
	/** @param x This is true if the volume can be a primary mirror. */
	public void setMirrorPrimary(boolean x) {
		this.mirrorPrimary = x;
	}

	/** This is true if the volume can be a secondary mirror. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be a secondary mirror." , required = true)
	@XmlElement(required = true)
	private boolean mirrorSecondary;

	/** @return This is true if the volume can be a secondary mirror. */
	public boolean isMirrorSecondary() {
		return this.mirrorSecondary;
	}
	/** @param x This is true if the volume can be a secondary mirror. */
	public void setMirrorSecondary(boolean x) {
		this.mirrorSecondary = x;
	}

	/** This is true if the volume can be the source for a copy. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be the source for a copy." , required = true)
	@XmlElement(required = true)
	private boolean copySource;

	/** @return This is true if the volume can be the source for a copy. */
	public boolean isCopySource() {
		return this.copySource;
	}
	/** @param x This is true if the volume can be the source for a copy. */
	public void setCopySource(boolean x) {
		this.copySource = x;
	}

	/** This is true if the volume can be the target for a copy. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be the target for a copy." , required = true)
	@XmlElement(required = true)
	private boolean copyTarget;

	/** @return This is true if the volume can be the target for a copy. */
	public boolean isCopyTarget() {
		return this.copyTarget;
	}
	/** @param x This is true if the volume can be the target for a copy. */
	public void setCopyTarget(boolean x) {
		this.copyTarget = x;
	}

	/** This is true if the volume can be read by a host. */
	@io.swagger.annotations.ApiModelProperty(value ="This is true if the volume can be read by a host." , required = true)
	@XmlElement(required = true)
	private boolean readable;

	/** @return This is true if the volume can be read by a host. */
	public boolean isReadable() {
		return this.readable;
	}
	/** @param x This is true if the volume can be read by a host. */
	public void setReadable(boolean x) {
		this.readable = x;
	}

	/** Can this volume be written by a host */
	@io.swagger.annotations.ApiModelProperty(value ="Can this volume be written by a host" , required = true)
	@XmlElement(required = true)
	private boolean writable;

	/** @return Can this volume be written by a host */
	public boolean isWritable() {
		return this.writable;
	}
	/** @param x Can this volume be written by a host */
	public void setWritable(boolean x) {
		this.writable = x;
	}

	/** Set to true if a snapshot rollback can be applied to this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if a snapshot rollback can be applied to this volume." , required = true)
	@XmlElement(required = true)
	private boolean rollback;

	/** @return Set to true if a snapshot rollback can be applied to this volume. */
	public boolean isRollback() {
		return this.rollback;
	}
	/** @param x Set to true if a snapshot rollback can be applied to this volume. */
	public void setRollback(boolean x) {
		this.rollback = x;
	}

	/** Set to true if a remote volume mirror can actively synchronize this volume's data */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if a remote volume mirror can actively synchronize this volume's data" , required = true)
	@XmlElement(required = true)
	private boolean mirrorSync;

	/** @return Set to true if a remote volume mirror can actively synchronize this volume's data */
	public boolean isMirrorSync() {
		return this.mirrorSync;
	}
	/** @param x Set to true if a remote volume mirror can actively synchronize this volume's data */
	public void setMirrorSync(boolean x) {
		this.mirrorSync = x;
	}

	/** Set to true when a new point-in-time image can be taken of this volume, either by creating a new snapshot or re-creating an existing snapshot. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true when a new point-in-time image can be taken of this volume, either by creating a new snapshot or re-creating an existing snapshot." , required = true)
	@XmlElement(required = true)
	private boolean newImage;

	/** @return Set to true when a new point-in-time image can be taken of this volume, either by creating a new snapshot or re-creating an existing snapshot. */
	public boolean isNewImage() {
		return this.newImage;
	}
	/** @param x Set to true when a new point-in-time image can be taken of this volume, either by creating a new snapshot or re-creating an existing snapshot. */
	public void setNewImage(boolean x) {
		this.newImage = x;
	}

	/** If true, this volume can be expanded via DVE. If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DVE specifically. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can be expanded via DVE. If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DVE specifically." , required = true)
	@XmlElement(required = true)
	private boolean allowDVE;

	/** @return If true, this volume can be expanded via DVE. If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DVE specifically. */
	public boolean isAllowDVE() {
		return this.allowDVE;
	}
	/** @param x If true, this volume can be expanded via DVE. If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DVE specifically. */
	public void setAllowDVE(boolean x) {
		this.allowDVE = x;
	}

	/** If true, this volume can undergo a segment size change (DSS). If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DSS specifically. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can undergo a segment size change (DSS). If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DSS specifically." , required = true)
	@XmlElement(required = true)
	private boolean allowDSS;

	/** @return If true, this volume can undergo a segment size change (DSS). If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DSS specifically. */
	public boolean isAllowDSS() {
		return this.allowDSS;
	}
	/** @param x If true, this volume can undergo a segment size change (DSS). If false, this will still allow general reconfigures (providing the 'reconfigure' field is true), but disallow DSS specifically. */
	public void setAllowDSS(boolean x) {
		this.allowDSS = x;
	}

	/** If true, this volume can be a member of a ConcatVolume. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can be a member of a ConcatVolume." , required = true)
	@XmlElement(required = true)
	private boolean concatVolumeMember;

	/** @return If true, this volume can be a member of a ConcatVolume. */
	public boolean isConcatVolumeMember() {
		return this.concatVolumeMember;
	}
	/** @param x If true, this volume can be a member of a ConcatVolume. */
	public void setConcatVolumeMember(boolean x) {
		this.concatVolumeMember = x;
	}

	/** If true, this volume can have flash read cache enabled. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can have flash read cache enabled." , required = true)
	@XmlElement(required = true)
	private boolean flashReadCache;

	/** @return If true, this volume can have flash read cache enabled. */
	public boolean isFlashReadCache() {
		return this.flashReadCache;
	}
	/** @param x If true, this volume can have flash read cache enabled. */
	public void setFlashReadCache(boolean x) {
		this.flashReadCache = x;
	}

	/** If true, this volume can be an Async RVM primary. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can be an Async RVM primary." , required = true)
	@XmlElement(required = true)
	private boolean asyncMirrorPrimary;

	/** @return If true, this volume can be an Async RVM primary. */
	public boolean isAsyncMirrorPrimary() {
		return this.asyncMirrorPrimary;
	}
	/** @param x If true, this volume can be an Async RVM primary. */
	public void setAsyncMirrorPrimary(boolean x) {
		this.asyncMirrorPrimary = x;
	}

	/** If true, this volume can be an Async RVM primary. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this volume can be an Async RVM primary." , required = true)
	@XmlElement(required = true)
	private boolean asyncMirrorSecondary;

	/** @return If true, this volume can be an Async RVM primary. */
	public boolean isAsyncMirrorSecondary() {
		return this.asyncMirrorSecondary;
	}
	/** @param x If true, this volume can be an Async RVM primary. */
	public void setAsyncMirrorSecondary(boolean x) {
		this.asyncMirrorSecondary = x;
	}

	/** If true, a PiT group can be created on this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, a PiT group can be created on this volume." , required = true)
	@XmlElement(required = true)
	private boolean pitGroup;

	/** @return If true, a PiT group can be created on this volume. */
	public boolean isPitGroup() {
		return this.pitGroup;
	}
	/** @param x If true, a PiT group can be created on this volume. */
	public void setPitGroup(boolean x) {
		this.pitGroup = x;
	}

	/** If true, cache parameters may be changed on this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, cache parameters may be changed on this volume." , required = true)
	@XmlElement(required = true)
	private boolean cacheParametersChangeable;

	/** @return If true, cache parameters may be changed on this volume. */
	public boolean isCacheParametersChangeable() {
		return this.cacheParametersChangeable;
	}
	/** @param x If true, cache parameters may be changed on this volume. */
	public void setCacheParametersChangeable(boolean x) {
		this.cacheParametersChangeable = x;
	}

	/** If true, changes to manual mode while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, changes to manual mode while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed." , required = true)
	@XmlElement(required = true)
	private boolean allowThinManualExpansion;

	/** @return If true, changes to manual mode while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	public boolean isAllowThinManualExpansion() {
		return this.allowThinManualExpansion;
	}
	/** @param x If true, changes to manual mode while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	public void setAllowThinManualExpansion(boolean x) {
		this.allowThinManualExpansion = x;
	}

	/** If true, changes to the growth parameters (quota or warning threshold values) while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, changes to the growth parameters (quota or warning threshold values) while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed." , required = true)
	@XmlElement(required = true)
	private boolean allowThinGrowthParametersChange;

	/** @return If true, changes to the growth parameters (quota or warning threshold values) while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	public boolean isAllowThinGrowthParametersChange() {
		return this.allowThinGrowthParametersChange;
	}
	/** @param x If true, changes to the growth parameters (quota or warning threshold values) while the thin volume is in an Asynchronous Mirror Group (AMG) are allowed. */
	public void setAllowThinGrowthParametersChange(boolean x) {
		this.allowThinGrowthParametersChange = x;
	}
}
