package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the current operational state of a volume. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(56)
public enum VolumeStatus implements Serializable {
		/** The volume is fully operational. */
		optimal(1),
		/** The volume is operating in degraded mode due to one or more drive failures. */
		degraded(2),
		/** The volume has been marked failed due to excessive drive failures. */
		failed(3),
		/** The volume has been marked impaired due to detection of inconsistent parity during a media scan operation. */
		impaired(4),
		/** Reported when a DDP volume is being created as a background operation */
		creating(5),
		/** Reported when a DDP volume is being deleted as a background operation */
		deleting(6),
		__UNDEFINED(464378545);

		public final int value;

		private VolumeStatus(int v) {
			this.value = v;
		}
}
