package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union provides capacity provisioning parameters if a volume is thin provisioned. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(491)
public class VolumeTypeParameters implements Serializable {
	public VolumeTypeParameters() {
	}

	/** This enumeration is used to identify the capacity provisioning of a volume. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration is used to identify the capacity provisioning of a volume." , required = true)
	@XmlElement(required = true)
	private VolumeType volumeType = VolumeType.__UNDEFINED;

	/** @return This enumeration is used to identify the capacity provisioning of a volume. */
	public VolumeType getVolumeType() {
		return this.volumeType;
	}
	/** @param x This enumeration is used to identify the capacity provisioning of a volume. */
	public void setVolumeType(VolumeType x) {
		this.volumeType = x;
	}

	/** This field is returned if the value of returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is returned if the value of returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private ThinVolumeCapacityProvisioningDetails capacityProvisioningDetails;

	/** @return This field is returned if the value of returnCode is equal to RETCODE_OK. */
	public ThinVolumeCapacityProvisioningDetails getCapacityProvisioningDetails() {
		return this.capacityProvisioningDetails;
	}
	/** @param x This field is returned if the value of returnCode is equal to RETCODE_OK. */
	public void setCapacityProvisioningDetails(ThinVolumeCapacityProvisioningDetails x) {
		this.capacityProvisioningDetails = x;
	}
}
