package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines the application workload which is metadata utilized in application awareness operations. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(794)
public class Workload implements Serializable {
	public Workload() {
	}

	/** The unique handle for the object contained within this structure (a 1st class object). */
	@io.swagger.annotations.ApiModelProperty(value ="The unique handle for the object contained within this structure (a 1st class object)." , required = true)
	@XmlElement(required = true)
	private String workloadRef;

	/** @return The unique handle for the object contained within this structure (a 1st class object). */
	public String getWorkloadRef() {
		return this.workloadRef;
	}
	/** @param x The unique handle for the object contained within this structure (a 1st class object). */
	public void setWorkloadRef(String x) {
		this.workloadRef = x;
	}

	/** The workload description describes the workload (not the workload type). */
	@io.swagger.annotations.ApiModelProperty(value ="The workload description describes the workload (not the workload type)." , required = true)
	@XmlElement(required = true)
	private String description;

	/** @return The workload description describes the workload (not the workload type). */
	public String getDescription() {
		return this.description;
	}
	/** @param x The workload description describes the workload (not the workload type). */
	public void setDescription(String x) {
		this.description = x;
	}
}
